#
# spec file for package openstack-heat
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component heat
%define groupname %{component}
%define username %{component}

%define version_unconverted 10.0.0.0b3.dev135

Name:           openstack-%{component}
Version:        10.0.0.0~xbeta3~dev135
Release:        1.2
Summary:        Openstack Orchestration (Heat)
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/heat
Source:         http://tarballs.openstack.org/heat/heat-master.tar.gz
Source2:        %{name}.logrotate
Source3:        %{name}-api.service
Source4:        %{name}-api-cfn.service
Source5:        %{name}-api-cloudwatch.service
Source6:        %{name}-engine.service
Source10:       %{name}.conf
Source50:       README.config
Source99:       rpmlintrc
BuildRequires:  crudini
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Paste
BuildRequires:  python-PasteDeploy >= 1.5.0
BuildRequires:  python-Routes >= 2.3.1
BuildRequires:  python-WebOb >= 1.2.3
BuildRequires:  python-cryptography
BuildRequires:  python-devel
BuildRequires:  python-eventlet >= 0.13.0
BuildRequires:  python-keystoneclient
BuildRequires:  python-keystonemiddleware
BuildRequires:  python-lxml >= 2.3
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-oslo.cache
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.config >= 1.2.0
BuildRequires:  python-oslo.db
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.messaging
BuildRequires:  python-oslo.policy
BuildRequires:  python-oslo.serialization
BuildRequires:  python-oslo.service
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslo.versionedobjects
BuildRequires:  python-osprofiler
BuildRequires:  python-pbr >= 0.5.21
BuildRequires:  python-pycrypto
BuildRequires:  python-yaql >= 1.1.0
# Documentation requirements:
BuildRequires:  python-Babel >= 2.3.4
BuildRequires:  python-Sphinx >= 1.1.2
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslosphinx
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}
Requires:       logrotate
Requires:       openstack-heat-templates
Requires:       python >= 2.7
Requires:       python-heat = %{version}
%if 0%{?suse_version}
Requires(pre):  pwdutils
%else
Requires(pre):  /usr/bin/getent /usr/sbin/useradd /usr/sbin/userdel /usr/sbin/groupadd /usr/sbin/groupdel
%endif
BuildArch:      noarch

%description
Heat is a service to orchestrate multiple composite cloud applications using
templates, through both an OpenStack-native ReST API and a
CloudFormation-compatible Query API.

%package -n python-heat
Summary:        Openstack Orchestration (Heat) - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-PasteDeploy >= 1.5.0
Requires:       python-PyYAML >= 3.10
Requires:       python-Routes >= 2.3.1
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-WebOb >= 1.7.1
Requires:       python-aodhclient >= 0.9.0
Requires:       python-barbicanclient >= 4.0.0
Requires:       python-ceilometerclient >= 2.5.0
Requires:       python-cinderclient >= 3.3.0
Requires:       python-croniter >= 0.3.4
Requires:       python-cryptography >= 1.9
Requires:       python-debtcollector >= 1.2.0
Requires:       python-designateclient >= 2.7.0
Requires:       python-eventlet >= 0.18.2
Requires:       python-gabbi >= 1.35.0
Requires:       python-heatclient >= 1.10.0
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-keystonemiddleware >= 4.17.0
Requires:       python-kombu >= 4.0.0
Requires:       python-lxml >= 3.4.1
Requires:       python-magnumclient >= 2.1.0
Requires:       python-manilaclient >= 1.16.0
Requires:       python-mistralclient >= 3.1.0
Requires:       python-monascaclient >= 1.7.0
Requires:       python-netaddr >= 0.7.18
Requires:       python-neutronclient >= 6.3.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-openstackclient >= 3.12.0
Requires:       python-openstacksdk >= 0.9.19
Requires:       python-oslo.cache >= 1.26.0
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.context >= 2.19.2
Requires:       python-oslo.db >= 4.27.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.messaging >= 5.29.0
Requires:       python-oslo.middleware >= 3.31.0
Requires:       python-oslo.policy >= 1.30.0
Requires:       python-oslo.reports >= 1.18.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.service >= 1.24.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-oslo.versionedobjects >= 1.28.0
Requires:       python-osprofiler >= 1.4.0
Requires:       python-pbr >= 2.0.0
Requires:       python-pycrypto >= 2.6
Requires:       python-pytz >= 2013.6
Requires:       python-requests >= 2.14.2
Requires:       python-retrying >= 1.2.3
Requires:       python-saharaclient >= 1.4.0
Requires:       python-six >= 1.10.0
Requires:       python-sqlalchemy-migrate >= 0.11.0
Requires:       python-stevedore >= 1.20.0
Requires:       python-swiftclient >= 3.2.0
Requires:       python-tenacity >= 3.2.1
Requires:       python-troveclient >= 2.2.0
Requires:       python-yaql >= 1.1.3
Requires:       python-zaqarclient >= 1.0.0

%description -n python-heat
This package contains the core Python module of OpenStack Heat.

%package api
Summary:        OpenStack Orchestration (Heat) - API
Group:          System/Management
Requires:       %{name} = %{version}

%description api
This package contains the OpenStack Heat API.

%package api-cfn
Summary:        OpenStack Orchestration (Heat) - CloudFormation API
Group:          System/Management
Requires:       %{name} = %{version}

%description api-cfn
This package contains the OpenStack Heat CloudFormation API.

%package api-cloudwatch
Summary:        OpenStack Orchestration (Heat) - CloudWatch API
Group:          System/Management
Requires:       %{name} = %{version}

%description api-cloudwatch
This package contains the OpenStack Heat CloudWatch API.

%package engine
Summary:        OpenStack Orchestration (Heat) - Engine
Group:          System/Management
Requires:       %{name} = %{version}

%description engine
This package contains the OpenStack Heat Engine.

%package plugin-heat_docker
Summary:        OpenStack Orchestration (Heat) - Support for Docker
Group:          System/Management
Requires:       %{name} = %{version}
Requires:       %{name}-engine
Requires:       python-docker-py >= 0.2.2

%description plugin-heat_docker
This plugin enables using Docker containers as resources in a Heat template.

%package test
Summary:        Openstack Orchestration (Heat) - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       openstack-%{component}-api-cloudwatch
Requires:       python-gabbi >= 1.35.0
Requires:       python-glanceclient >= 2.8.0
Requires:       python-mock >= 2.0.0
Requires:       python-mox3 >= 0.20.0
Requires:       python-oslotest >= 3.2.0
Requires:       python-paramiko >= 2.0.0
Requires:       python-psycopg2 >= 2.6.2
Requires:       python-testrepository >= 0.0.18
Requires:       python-testresources >= 2.0.0
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0

%description test
This package contains testsuite files for %{name}.

%prep
%setup -q -n %{component}-%{version_unconverted}
sed -i "s/qpid-python.*//" requirements.txt
%openstack_cleanup_prep
#NOTE(saschpe): Kill heat Sphinx extension, we're only building manpages:
sed -i -e "s/'ext.resources',\{0,1\}//" doc/source/conf.py

grep -q -E '#!/(usr/)?bin' heat/cloudinit/loguserdata.py || {
  echo "Somebody removes shebangs again :-( Fix the stupid script!"
  exit 1
}

%build
python setup.py build
python setup.py build_sphinx -b man

pushd contrib/heat_docker
OSLO_PACKAGE_VERSION=%{version} python setup.py build
popd

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

pushd contrib/heat_docker
OSLO_PACKAGE_VERSION=%{version} python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# no need for the egg-info file
rm -r %{buildroot}%{python_sitelib}/heat_contrib_docker-*.egg-info
popd

### directories
install -d -m 750 %{buildroot}%{_localstatedir}/lib/%{component}
install -d -m 750 %{buildroot}%{_localstatedir}/{cache,log}/%{component}
install -D -m 644 %{SOURCE10} %{buildroot}/%_tmpfilesdir/%name.conf

### configuration files
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/
mv %{buildroot}/usr/etc/heat/* %{buildroot}%{_sysconfdir}/%{component}/
PYTHONPATH=. oslo-config-generator --config-file=config-generator.conf --output etc/heat/heat.conf
PYTHONPATH=. oslopolicy-sample-generator --config-file=etc/heat/heat-policy-generator.conf --output etc/heat/policy.json
rm etc/heat/heat-policy-generator.conf
install -p -D -m 640 %{SOURCE50} %{buildroot}%{_sysconfdir}/%{component}/README.config
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/
install -p -m 644 etc/heat/*.{conf,json,ini} %{buildroot}%{_sysconfdir}/%{component}/
install -d -m 755  %{buildroot}%{_sysconfdir}/%{component}/{environment.d,templates}
install -p -m 644 etc/heat/environment.d/*.yaml %{buildroot}%{_sysconfdir}/%{component}/environment.d
install -p -m 644 etc/heat/templates/*.yaml %{buildroot}%{_sysconfdir}/%{component}/templates

### set default configuration
%define heat_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
crudini --set %{heat_conf} DEFAULT log_dir /var/log/%{component}
crudini --set %{heat_conf} oslo_concurrency lock_path %{_rundir}/%{component}

### bash-completion/logrotate/etc.
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# Install systemd unit files
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}
install -p -D -m 444 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}-api.service
install -p -D -m 444 %{SOURCE4} %{buildroot}%{_unitdir}/%{name}-api-cfn.service
install -p -D -m 444 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}-api-cloudwatch.service
install -p -D -m 444 %{SOURCE6} %{buildroot}%{_unitdir}/%{name}-engine.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api-cfn
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api-cloudwatch
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-engine

### documentation
install -d %{buildroot}%{_mandir}/man1
install -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1

### test subpackage
%openstack_test_package_install
%fdupes %{buildroot}%{_localstatedir}/lib/%{name}-test

### misc
%fdupes %{buildroot}%{python_sitelib}/%{component}

%pre
%openstack_pre_user_group_create %{username} %{groupname}

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%pre api
%service_add_pre %{name}-api.service

%post api
%service_add_post %{name}-api.service

%preun api
%stop_on_removal %{name}-api
%service_del_preun %{name}-api.service

%postun api
%restart_on_update %{name}-api.service
%service_del_postun %{name}-api.service

%pre api-cfn
%service_add_pre %{name}-api-cfn.service

%post api-cfn
%service_add_post %{name}-api-cfn.service

%preun api-cfn
%stop_on_removal %{name}-api-cfn
%service_del_preun %{name}-api-cfn.service

%postun api-cfn
%restart_on_update %{name}-api-cfn.service
%service_del_postun %{name}-api-cfn.service

%pre api-cloudwatch
%service_add_pre %{name}-api-cloudwatch.service

%post api-cloudwatch
%service_add_post %{name}-api-cloudwatch.service

%preun api-cloudwatch
%stop_on_removal %{name}-api-cloudwatch.service
%service_del_preun %{name}-api-cloudwatch.service

%postun api-cloudwatch
%restart_on_update %{name}-api-cloudwatch.service
%insserv_cleanup
%service_del_postun %{name}-api-cloudwatch.service

%pre engine
%service_add_pre %{name}-engine.service

%post engine
%service_add_post %{name}-engine.service

%preun engine
%stop_on_removal %{name}-engine
%service_del_preun %{name}-engine.service

%postun engine
%restart_on_update %{name}-engine
%service_del_postun %{name}-engine.service

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/cache/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/%{component}
%{_tmpfilesdir}/%{name}.conf
%dir %{_sysconfdir}/%{component}
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%{_sysconfdir}/%{component}/README.config
%config %{_sysconfdir}/%{component}/policy.json
%config %{_sysconfdir}/%{component}/environment.d
%config %{_sysconfdir}/%{component}/templates
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/heat.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/api-paste.ini
%{_bindir}/heat-db-setup
%{_bindir}/heat-manage
%{_bindir}/heat-keystone-setup
%{_bindir}/heat-keystone-setup-domain
%{_bindir}/heat-all
%{_mandir}/man1/%{component}-manage.1%{?ext_man}
%{_mandir}/man1/%{component}-db-setup.1%{?ext_man}
%{_mandir}/man1/%{component}-keystone-setup.1%{?ext_man}
%{_mandir}/man1/%{component}-keystone-setup-domain.1%{?ext_man}

%files -n python-%{component}
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info
%{python_sitelib}/heat_integrationtests

%files api
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/heat-*api
%{_sbindir}/rc%{name}-api
%{_unitdir}/%{name}-api.service
%{_mandir}/man1/%{component}-api.1%{?ext_man}

%files api-cfn
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/heat-*api-cfn
%{_sbindir}/rc%{name}-api-cfn
%{_unitdir}/%{name}-api-cfn.service
%{_mandir}/man1/%{component}-api-cfn.1%{?ext_man}

%files api-cloudwatch
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/heat-*api-cloudwatch
%{_sbindir}/rc%{name}-api-cloudwatch
%{_unitdir}/%{name}-api-cloudwatch.service
%{_mandir}/man1/%{component}-api-cloudwatch.1%{?ext_man}

%files engine
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/heat-engine
%{_sbindir}/rc%{name}-engine
%{_unitdir}/%{name}-engine.service
%dir %{_prefix}/lib/heat/
%{_mandir}/man1/%{component}-engine.1%{?ext_man}

%files plugin-heat_docker
%defattr(-,root,root,-)
%{_prefix}/lib/heat/docker/

%files test
%defattr(-,root,root)
%{_localstatedir}/lib/%{name}-test/

%changelog
* Wed Jan 31 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev135:
  * Updated the template guide
* Mon Jan 29 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev134:
  * Add octavia L7Rule Resource
  * Add octavia L7Policy Resource
* Sun Jan 28 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev130:
  * Restore functional test jobs
  * Remove ReloadOnSighupTest
  * Remove integration and configuration tests
  * Remove potential co-gating integration tests
  * Fix attribute caching in SoftwareDeploymentGroup
  * zun: delete container by using 'stop' option
* Sat Jan 27 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev118:
  * docs: fix user-data end user guide link
  * Imported Translations from Zanata
  * Updated from global requirements
  * fix a typo in heat-manage.rst: s/covergence/convergence/
  * Remove use of auth cache directory
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev109:
  * Remove RH1 OVB jobs from configuration
  * Allow octavia specific client config options
* Thu Jan 25 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev106:
  * Remove tests for Interop Tests for add-on trademark program
* Wed Jan 24 2018 dmueller@suse.com
- make user directory not world readable
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev104:
  * Allow run tests for both tempest plugin and regression tests
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev102:
  * Enable octavia services for gate testing
  * Document RBAC Policy allowed values
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev99:
  * Fix nested template genearation when attribute path is not string
  * Don't load nested stack in batched ResourceGroup
  * Add octavia HealthMonitor Resource
  * Add octavia Loadbalancer Resource
  * Add octavia Listener Resource
  * Raise HTTPNotFound if not in create or adopt
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev88:
  * Updated from global requirements
  * Avoid loading nested stack in some grouputils functions
  * Revert "Register heat tempest plugin"
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version heat-10.0.0.0b3.dev82:
  * Updated from global requirements
  * Add octavia Pool Resource
* Tue Jan 16 2018 tbechtold@suse.com
- Update to version heat-10.0.0.0b3.dev79:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Include value in string Property type error
  * Cache the TemplateResource reference ID like an attribute
  * Eliminate errors getting TemplateResource OS::stack\_id
  * Unit tests: fix absurdly slow tests
  * Add project tags to heat orchestration
  * Updated from global requirements
  * Avoid always loading nested stack on update
  * Imported Translations from Zanata
  * Add removal\_policies\_mode to ResourceGroup
  * Fix bypass list length check when all values are None
  * Add octavia PoolMember Resource
  * Remove policy.json from setup.cfg
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Add octavia client plugin and constraints
  * Match on subnet update\_networks\_matching\_iface\_port
  * Re-factor and improve update\_networks\_matching\_iface\_port
  * Refactor unit tests for server network
  * Fix a typo in tests
  * Use appropriate exception in StackResource.get\_output()
  * Updated from global requirements
  * Enable to specify network for Trove Cluster
  * Use stestr for unit tests
  * Imported Translations from Zanata
  * Remove setting of version/release from releasenotes
  * Bypass list length check for None values in repeat function
  * [policy in code] part 7 add sample and releasenote
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version heat-10.0.0.dev75:
  * Update incorrect timezone description
* Wed Sep 20 2017 cloud-devel@suse.de
- Update to version heat-10.0.0.dev74:
  * Fix client plugin name when calling ignore\_not\_found
  * Updated from global requirements
* Mon Sep 18 2017 tbechtold@suse.com
- move back python-gabbi to python-heat package. It is needed by
  the tempest plugin.
* Sat Sep 16 2017 cloud-devel@suse.de
- Update to version heat-10.0.0.dev71:
  * Don't override get\_reference\_id() for scaling policy
  * Updated from global requirements
  * Add sem-ver flag so pbr generates correct version
* Tue Sep 12 2017 ashwin.agate@suse.com
- update package dependencies and remove signing_dir config option
  * moved following dependencies to test package Requires
  - python-gabbi
  - python-paramiko
  - python-psycopg
  * updated python-Routes version
  * updated python-Babel version
  * removed python-greenlet from Requires
  * remove signing_dir option in keystone_auth section
* Tue Sep 12 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev66:
  * Updated from global requirements
* Tue Sep 12 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev65:
  * Don't mock Target unnecessarily
  * Support property 'domain' for keystone role
  * Add support for tagging Mistral workflows
  * Add gabbi api tests for stack update/patch-update
  * Allow conditions to return null values
* Sat Sep  9 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev56:
  * Minor doc fix: tmpl\_diff argument for handle\_update
* Thu Sep  7 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev55:
  * Updated from global requirements
* Wed Sep  6 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev53:
  * Check for keystoneauth exceptions in mistral client plugin
* Tue Sep  5 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev51:
  * Add missing 'of' in order description
  * Don't remove uwsgi config files on stop
  * Remove vestigate HUDSON\_PUBLISH\_DOCS reference
* Sun Sep  3 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev46:
  * Updated from global requirements
* Thu Aug 31 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev45:
  * Parse live data with correct key 'readonly'
  * Set resource.\_properties\_data=None when loading from db
  * Revert "Disable nova quota check in gate jobs"
  * Use StackDefinition.all\_rsrc\_names() API
  * Clarify make\_url validation errors
* Wed Aug 30 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev37:
  * Don't call update\_port with empty dict
  * Use stored properties values in actions
  * Show correct version of data in convergence resource list
* Tue Aug 29 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev33:
  * Unskip StackSnapshotRestoreTest
  * Strip disabled resources from depends\_on in add\_resource()
  * Fix nonsensical docs in dependencies.py
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev29:
  * Updated from global requirements
  * Fix no-change updates of failed resources with restricted actions
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev27:
  * Updated from global requirements
  * Make sure port updating works if enable observe
* Wed Aug 23 2017 tbechtold@suse.com
- Update to version heat-9.0.0.0rc2.dev23:
  * heat config eliminate ec2authtoken
  * \* Add new HOT version for Queens release
  * \* Add Queens version '10.0.0' in doc
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev17:
  * Updated from global requirements
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev15:
  * fix heat\_keystoneclient config gen
  * Rollback stack with correct tags
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev11:
  * Run heat api tests after upgrade
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev9:
  * Add release notes for heat
  * Update reno for stable/pike
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev5:
  * Use zaqar v2 in integration tests
  * Switch integration jobs to use local mirrors
  * Remove duplicated \`show\_deleted\` param extraction
  * Rename Resource.\_resolve\_all\_attributes() method
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0rc2.dev1:
  9.0.0.0rc1
  * Mark stack failed when exception raised in resource check
  * Avoid creating two Stacks when loading Resource
* Mon Aug 14 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev59:
  * Imported Translations from Zanata
  * Fix race in ZaqarEventSinkTest.test\_events
* Sun Aug 13 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev55:
  * Respect locks when changing FAILED resource to COMPLETE
  * Increase cooldown in test\_asg\_cooldown
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev53:
  * Extend addresses attribute of Zun container
  * Add converge flag in stack update for observing on reality
  * Implement handle\_<action>\_cancel for SoftwareDeployment
  * Deprecate 'deferred\_auth\_method' config option
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev46:
  * Fix readme guide for heat\_integrationtests
  * Fix devstack plugin for multinode deployment issues
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev42:
  * External subnet for floating ip
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev40:
  * Release stack lock after export stack
* Mon Aug  7 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev39:
  * Change exception class from monascaclient
  * Updated from global requirements
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev35:
  * Updated from global requirements
  * Only check service availability during validation
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev31:
  * Updated from global requirements
  * Update security groups for server interfaces
  * Refactor network calculation
  * Do not disassociate floating ip again
  * Fix formatting in make\_url error messages
  * Don't get resource twice in resource\_signal()
  * Implement all\_dep\_attrs() more efficiently for get\_attr
  * Add test for basic resources as heat define test
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev18:
  * Remove install-guide env which is no longer effective
  * Fix a DB error when updating the resource attributes
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev15:
  * Add upgrades guideline for operators
  * Fix networks update from [] to None
  * Correct wrong tests of server networks update
  * Cache dep\_attrs for all resources in definitions
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b4.dev8:
  * Allow CREATE\_COMPLETE status when cluster/bay update check
  9.0.0.0b3
  * Updated from global requirements
  * Add unit test for translate with no translate value
  * Remove unrequired check None in bay resource
  * Cache names of required resources in ResourceDefinition
  * To merge the occ data for OS::Heat::DeployedServer
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev212:
  * Updated from global requirements
  * Add a way to get the resources depended on by an output
  * Remove obsolete cache\_data from Stack
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev207:
  * Updated from global requirements
  * Move in-tree admin guide from openstack-manuals
  * Move in-tree config-reference from openstack-manuals
  * Move install guides to doc/source/install
  * Use StackDefinition in intrinsic functions for resolving data
  * Add release note for repeat improvement
  * Add reno for soft policies supporting
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev193:
  * Updated from global requirements
  * Optimise the function.dep\_attrs() function
  * Always return Resource from ResourceDefinition.dependencies()
  * Get dep\_attrs from StackDefinition
  * Don't call Stack.has\_cache\_data() in Functions
  * Update StackDefinition resource data when getting outputs
  * Add trunk functional testcases to heat
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev180:
  * Neutron resources observe reality implementation
  * Handle PublicIp of None in AutoscalingGroup InstanceList
  * Optionally include attrs referenced in outputs in node data
  * Update StackDefinition resource data on metadata refresh
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev172:
  * Add Output definitions to StackDefinition
  * Unit tests: Ensure StackDefinition is up to date
  * Unit tests: make tests more realistic
  * Check for circular dependencies in template validation
  * Only validate properties once during create resource
  * Fix no message attribute in exception
  * Add CACHE\_NONE for FloatingIP attributes
  * Keep existing stack tags for patch update
* Mon Jul 24 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev156:
  * Updated from global requirements
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev155:
  * Fix subnet validate() for subnetpool resource ref
  * Make standalone heat work with keystone v3
  * [api-ref] Correct config\_id in url instead of in body
  * Fix \_retrigger\_replaced in convergence worker
  * Add validation of block\_device\_mapping\_v2
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev146:
  * Allow only validate external resource template
  * Use placeholder data for resources prior to creation
  * Use stored properties values during signal
  * Use the stored property values of LaunchConfig
  * Unit tests: Do assertions on stored properties data
  * Handle non-existent resources in list during update
  * Support 'permutations' for 'repeat' function
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev137:
  * Fix handle\_create of ResourceGroup
  * Change tags type from 'string' to 'array'
  * Always cache attributes in outputs in Resource.node\_data()
  * Handle errors calculating dep\_attrs for nested get\_attr
  * Add unit tests for function 'index'
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev128:
  * Fix OS::Zaqar::MistralSubscription with mistralclient 3.0
* Tue Jul 18 2017 tbechtold@suse.com
- Update to version heat-9.0.0.0b3.dev126:
  * Updated from global requirements
  * Fix barbicanclient and glance upload issue
  * Add tag for server nic
  * Cinder volume attachment attributes should not be cached
  * Don't load new copies of current resources
  * Updated from global requirements
  * switch from oslosphinx to openstackdocstheme
  * Add a functional test for nested get\_attr functions
  * Log unhandled exceptions in worker
  * Add httpd documentation and sample configs
- Add missing Requires
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev108:
  * Revert "Revert "Enable heat to use uwsgi with devstack""
  * Enable mutable config in Heat
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev105:
  * Create explicit outputs in StackResources
  * Fix ResourceActionNotSupported errors in log
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev102:
  * Fix race in new condition test
  * Improve StackValidationFailed exception
  * Reorder the update task for nova server resource
  * Cache policy enforcer
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev95:
  * Fix wrong function description
  * Get cancellation grace period correctly
  * Add functional test for conditions during updates
  * Resolve Macros when copying templates
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev87:
  * Imported Translations from Zanata
  * Remove obsolete docbkx directory
* Mon Jul  3 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev84:
  * Refactor out a new Resource.referenced\_attrs() method
* Sat Jul  1 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev82:
  * Don't store attributes if resource not stored
  * Add an add\_output() method to Template
* Fri Jun 30 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev78:
  * Replace assertRaisesRegexp with assertRaisesRegex
  * Add an example on how to use 'contains' as condition
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev74:
  * Handle post-delete hooks correctly
  * Use get\_rpc\_transport instead of get\_transport
  * Update functional tests missing skip check
  * Cache attributes with custom handling
  * Updated from global requirements
  * Filter out resources not in template when listing
  * Fix workflow update
  * Add releasenotes for Magnum resource replacement
  * Migrate BayModel to ClusterTemplate
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev59:
  * New resource: Neutron Trunk
  * Updated from global requirements
  * Revert "Support attributes with dynamic scheme"
  * Fix snapshot delete in convergence
  * Add Container to Zun resources
  * Mark Server os\_collect\_config attribute as CACHE\_NONE
  * Store resource attributes in the DB
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev45:
  * Mark combination alarm as None resource
  * Add \`is\_placeholder\` resource data for placeholder resource
  * Disable nova quota check in gate jobs
* Sat Jun 24 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev42:
  * Don't provide defaults for properties depending on extensions
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev41:
  * Add releasenotes for 'contains' function supporting
  * Pretty print parameters in stack-show
  * Don't store rsrc\_data before zaqar queue created
  * Add 'contains' function
  * Fix py35 tempest issue
  * Never cache Senlin cluster outputs
  * Never cache the 'show' attribute
  * Ignore string default for software config input
  * Catch type errors when casting to int
  * Use signal\_url in TestAodhAlarm scenario test
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev22:
  * Document user\_data replace-on-update policy
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev20:
  * Updated from global requirements
  * Use correct user password as occ credential
  * Updated from global requirements
* Mon Jun 19 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev16:
  * Load all templates for generating parameter schema
* Sun Jun 18 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev15:
  * Fix races in SoftwareDeploymentGroupTest
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev14:
  * Fix nova floatingip resources
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev12:
  * Get the deployment group resources again after CREATE\_COMPLETE
  * Don't always validate property values in ResourceChain
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev10:
  * Always return live resource attributes in list\_stack\_resources
  * deployment\_swift\_data property for server resources
* Mon Jun 12 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev7:
  * Updated from global requirements
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev6:
  * Correct validation of wait conditon
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b3.dev4:
  * Support object\_type 'qos\_policy' for neutron rbac
  * Allow for keeping prefix in heat\_url
  9.0.0.0b2
  * Revert "Enable heat to use uwsgi with devstack"
  * Deprecate property 'metadata' of OS::Heat::DeployedServer
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev206:
  * Updated from global requirements
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev205:
  * Avoid creating new resource with old template
  * Load 'name' field for db resource
  * Enable heat to use uwsgi with devstack
  * Use non-blacklisted resources for RG validation
  * Don't fetch stack before update in stack\_update()
  * Use child\_template() in AWS::CloudFormation::Stack handle\_update
  * Load "lighter" db resources when appropriate
* Mon Jun  5 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev191:
  * Support auth\_algorithm 'sha256, sha384, sha512'
  * Updated from global requirements
  * Fix snapshot/restore of volumes
  * Fix restore with convergence
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev184:
  * Fix logging in devstack
  * Updated from global requirements
  * Correct the error msg for 'repeat' function
  * Check for correct Neutron exceptions harder
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev177:
  * Skip StackSnapshotRestoreTest
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev176:
  * Skip snapshot integration tests
  * Remove deprecated functions
  * Don't set any type on input config default
  * Use mock in test\_validate.py
* Wed May 31 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev169:
  * Check for correct neutron exceptions
  * Using fixtures instead of deprecated mockpatch module
* Tue May 30 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev166:
  * Use group\_regex to group gabbi api tests
* Mon May 29 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev164:
  * Add ParameterGroups for the nested stack during stack.validate
* Sun May 28 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev162:
  * Allow function 'yaql' as condition function
* Fri May 26 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev160:
  * Updated from global requirements
  * Implements custom resource type managed by Mistral workflows
  * Updated from global requirements
  * Fix validate() of rbac resource
  * Use six.text\_type() instead of str() to serialise status
  * Fix handle\_restore for server and volume resources
  * Fix check\_snapshot\_complete for nova server
  * Support 'list\_concat\_unique'
  * Enable DeprecationWarning in test environments
  * Get rid of timeutils.round\_to\_seconds()
* Wed May 24 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev141:
  * Refactor neutron constraints
  * Updated from global requirements
  * Fixes use of pre-existing workflows for OS::Mistral::Workflow
* Mon May 22 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev137:
  * Updated from global requirements
  * Replace assertRaisesRegexp with assertRaisesRegex
  * Add os\_collect\_config attribute to server resources
* Fri May 19 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev132:
  * Adds releasenote for 'support-auto-none-special-network'
  * Mark the default policy usage for neutron resource
* Thu May 18 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev128:
  * Updated from global requirements
  * Bring back EIP unit tests
  * Updated from global requirements
  * Fix validation of function 'list\_concat'
  * Change user name limit to 255 characters
  * Yield to other greenthreads during validation
  * Catch all exceptions when getting console url attribute
  * Deal correctly with negative elapsed time
  * Remove FnBase64 from Resource
  * Less unicode weirdness in short\_id
* Wed May 17 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev109:
  * Fix python-novaclient 8.0.0 related issues
* Mon May 15 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev108:
  * Updated from global requirements
  * Supports string values 'none' and 'auto' for networks
  * Remove usage of parameter enforce\_type
  * Use common function for logging with devstack
  * Bring back signal-related tests
  * Explicitly compare IDs to None
  * Add the HOT fuction str\_replace\_vstrict
* Fri May 12 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev95:
  * Updated the description about the verify operation
  * Copy template version when update fails
* Mon May  8 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev91:
  * Deprecate \`OS::Magnum::Bay\` resource
  * Correct the class equivalent judgement error
* Sat May  6 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev87:
  * Updated from global requirements
* Fri May  5 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev86:
  * Corrected max secs for concurrent trans retries
  * Correctly increment the resource atomic\_key after a metadata update
  * Low-level db delete of events should be synchronous
* Fri May  5 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev81:
  * Allow retries when resource acquires lock
  * Updated from global requirements
  * Get rid of resource\_validate flag in Stack
  * Support adding tags for router
  * Support set tags for neutron subnetpool
  * Support adding tags for subnet
  * Support set tags for neutron port
  * Use session and region\_name in mistral client plugin
  * Set COMPLETE for failed resource if no update/replace
* Wed May  3 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev63:
  * Imported Translations from Zanata
  * Updated from global requirements
* Tue May  2 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev60:
  * Updated from global requirements
  * Fix doc generation for Python3
* Sun Apr 30 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev57:
  * Imported Translations from Zanata
  * Support adding tags for network
  * Include template url in nested stack parse error
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev52:
  * Fix translated required properties
  * Fix arguments for OS::Mistral::CronTrigger create
  * Implement Zun client plugin
  * Add releasenote for neutron segment support
  * Add l2\_adjacency attribute for network
  * Remove subunit-trace fork
* Wed Apr 26 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev42:
  * Consolidate resource locking with state changes
  * Use mock for router tests
  * Add segment property for subnet
  * Add segment resource
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev35:
  * Use mock for subnet tests
  * Improve logging of convergence scenario tests
* Sun Apr 23 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev32:
  * Don't escape /s in make\_url query strings
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev31:
  * Revert "Generate placeholders for resource proxies before validation"
  * doc: Add description of list\_concat in pike notes
  * Implement list\_concat function
  * Add auth\_version config option
  * Add attribute schemas to \`OS::Magnum::Cluster\`
  * Deprecate 'attachments' in favor of 'attachments\_list'
  * Use project\_name/admin\_project\_name config option
  * Fix calls to call\_until\_true
  * Unit tests: fix signal URL immutability tests
  * Fix format\_stack\_preview for py3
  * RPC Client: don't cast() delete\_stack by default
  * Use exception\_filter in RPC client
  * Add a make\_url intrinsic function
  * Catch Unauthorized in delete\_trust()
  * Sleep between check\_resource calls
  * Only pass 'endpoint\_override=endpoint' with heat client
  * Use public and unified method get\_console\_url()
  * Remove unused code in prepare\_ports\_for\_replace()
  * Store project\_domain in project\_domain\_id
  * Modify stack\_name regular expression in Orchestration API
  * Remove unused event\_get methods
  * Don't eager load raw\_template in a few places
  * Remove domains \*-log-\* from compile\_catalog
  * Replace deprecated notification\_driver in tests
  * Add a node\_data() method to Resource
  * Fix using parent\_name for Properties
  * Skip test\_update\_with\_mac\_address without admin credentials
  * Change minimal\_image\_ref to cirros-0.3.5-x86\_64-disk
  * Check detach\_interface/attach\_interface complete
  * Store user\_domain in self.\_user\_domain\_id
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev25:
  * Allow to specify 'user' for keypair resource
  * Wait for the policy to be done in tests
  * Fix calls to call_until_true
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev21:
  * Add auth_version config option
  * Add openstacksdk plugin
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev18:
  * Update SUSE distro information in install guide
* Sat Apr 15 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev17:
  * Add attribute schemas to `OS::Magnum::Cluster`
* Fri Apr 14 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev16:
  * Add magnum cluster resource
  * Remove unnecessary old translation mechanism
  * Add few functional tests for translation
  * Enable new translation mechanism
  * Don't invlidate auth/client plugins for token expiry
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.0b2.dev7:
  * Deprecate 'attachments' in favor of 'attachments_list'
  * Updated from global requirements
  9.0.0.0b1
  * Use project_name/admin_project_name config option
  * Don't set metadata for deleted resources
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.dev249:
  * Unit tests: fix signal URL immutability tests
  * Generate placeholders for resource proxies before validation
  * Update NodeData in legacy path
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.dev243:
  * Get rid of undesirable properties.data usage
  * Add .idea pattern to .gitignore
* Mon Apr 10 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.dev239:
  * Updated from global requirements
* Fri Apr  7 2017 cloud-devel@suse.de
- Update to version heat-9.0.0.dev238:
  * Add constraint for cluster template
  * Updated from global requirements
  * Add sem-ver flag so pbr generates correct version
  * Delete internal ports when detach them
  * Fix docs for length constraint supported types
  * Update rally link
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev226:
  * Fix format_stack_preview for py3
  * Validate property values in nested stacks again
  * Modify 'List template functions' API response parameter
  * Use a sentinel to indicate when all attributes are required
  * Use a StackDefinition to store the stack definition
* Wed Apr  5 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev216:
  * Only recreate CHECK FAILED resources in ResourceGroup
  * Error log expression
* Tue Apr  4 2017 comurphy@suse.com
- Add python-keystonemiddleware as a build requirement
* Mon Apr  3 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev212:
  * Updated from global requirements
  * Support to get webmks console url for server
  * Remove encoding for application/json in response
  * Fix remaining py3 tests
  * Updated from global requirements
  * Updated from global requirements
  * Tidy up Stack.supports-check-action()
  * RPC Client: don't cast() delete_stack by default
  * Use mock instead for network tests
  * Use exception_filter in RPC client
  * Check all resources with custom guidelines
  * Add a StackDefinition class
  * Define resource actions/statuses in a separate class
  * Separate management of parent resource into separate class
  * Use keystone session with clients
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev186:
  * Use pydoc for formatting docstrings
  * Fix some functional tests for py3
  * Remove log translations
  * Skip integration tests when Swift is not available
* Sun Mar 26 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev179:
  * Delete software deployment before credentials
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev177:
  * OS::Trove::Instance observe reality implementation
  * Imported Translations from Zanata
  * To reset metadata for resources when mark healthy
  * Add 'pools' attribute to lbaasv2 loadbalancer
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev169:
  * Add a node_data() method to Resource
  * manila resources observe reality implementation
  * sahara resources observe reality implementation
  * Add 'default_pool' property to lbaasv2 listener
  * Add 'loadbalancer' property to lbassv2 pool
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev159:
  * Add soft policy for nova server group
  * Add "Resolve" rule for Translation
  * Remove domains *-log-* from compile_catalog
* Wed Mar 22 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev153:
  * Add attributes schema for OS::Keystone::User
  * Add a NodeData class to roll up resource data
* Tue Mar 21 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev149:
  * Add magnum Cluster Template resource
  * Remove old oslo.messaging transport aliases
  * Catch Unauthorized in delete_trust()
  * Remove bandit.yaml in favor of default config
  * Implement "Add" rule for Translation
* Mon Mar 20 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev139:
  * Add a make_url intrinsic function
  * Squash database patches
* Sat Mar 18 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev135:
  * Remove usage of option 'verbose'
  * Fix api-ref build with Sphinx 1.5
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev131:
  * Updated from global requirements
  * Put error response codes into 'error' group
  * Store project_domain in project_domain_id
* Thu Mar 16 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev126:
  * Updated from global requirements
  * Use public and unified method get_console_url()
  * Remove support for py34 for heat
  * Disable ec2 collector for deployed-server
  * Eager load event's resource prop. data when appropiate
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev117:
  * Add new HOT version for Pike release
  * Updated from global requirements
  * Only pass 'endpoint_override=endpoint' with heat client
  * Add "Replace" handling for translation
  * Add translation method for Translation
  * Initial add Translation-in-place mechanism
  * Fix validation in TranslationRule
  * Replace deprecated notification_driver in tests
  * Tail correct log files with devstack
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev100:
  * Sleep between check_resource calls
  * Remove unused code in prepare_ports_for_replace()
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev97:
  * Modify stack_name regular expression in Orchestration API
  * Make a backward compatible docutils fix
  * Fix doc build
  * Fix missing spaces in strings
  * Handle zero values when merging environments
  * Updated from global requirements
  * Update test requirement
  * Omit rsrc prop data in rpc api for multiple events
  * Remove unused event_get methods
  * Don't eager load raw_template in a few places
  * Updated from global requirements
  * Still wait for hooks on failed resources
  * Data migration enabling storage of resource attributes
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev75:
  * Switch image mirror
  * Encode exception message in tests
  * Stop showing json deserialized message in log
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev70:
  * Updated from global requirements
  * Add full path for Property
  * Fix using parent_name for Properties
* Sat Feb 25 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev65:
  * Fix config file management in tests
  * Try to fix local.conf creation in tests
  * Revert "Using os-testr to get better report"
  * Pass on outputs errors to parent stacks
  * Fix wrong indents for docs
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev57:
  * Only reset current resource's attrs in state_set
  * Lazy-load resource_properties_data for events
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev53:
  * Skip test_update_with_mac_address without admin credentials
  * Fix the incorrect link of the rdo installation guide
  * Using os-testr to get better report
* Mon Feb 20 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev48:
  * Fix swift key generation in python3
  * Improved the descriptions of funtion parameters
* Sun Feb 19 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev46:
  * Use keystone v3 and session for swiftclient
* Sat Feb 18 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev44:
  * Reduce wait condition signal number
  * No need to check if resource not created
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev41:
  * Change minimal_image_ref to cirros-0.3.5-x86_64-disk
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev40:
  * Add CEPHFS manila share protocol
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev38:
  * Mark deprecated resources as HIDDEN
  * Refactor OS::Trove::Instance resource tests
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev35:
  * Updated from global requirements
  * Check detach_interface/attach_interface complete
  * Updated from global requirements
* Mon Feb 13 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev32:
  * Correct resource type in zaqar notification releasenotes
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev30:
  * Just to migrate existing resource to backup stack
  * heat stack-update assumes interfaces have fixed ip addresses
  * Store user_domain in self._user_domain_id
  * Don't use keystoneclient for auth_ref
  * Remove unused url_for method from heat_keystoneclient
* Fri Feb 10 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev21:
  * Fix number of issues with grenade job
  * Prepare for using standard python tests
  * Switch to heat-agents for docs
  * Remove leftover install_heat_other
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev15:
  * Fix default parse_live_resource_data
* Wed Feb  8 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev14:
  * Revert "Enable debug logging in unit tests"
  * Add Pike version '9.0.0' in doc
  * Use stored value in OS::Heat::Value resource
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev8:
  * Enable debug logging in unit tests
  * Use region_name when creating keystone client
  * Add heat-manage subcommand to migrate legacy prop. data
  * Apply super _show_resource() for neutron resources
* Mon Feb  6 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev2:
  * Log stack status changes in unit tests
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0rc2.dev1:
  * Update reno for stable/ocata
  8.0.0.0rc1
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b4.dev22:
  * Fix restore_prev_rsrc assert weakref
  * ResourceGroup fix issue with batch create and zero count
  * Remove handle_delete() for keystone group
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b4.dev17:
  * Move CFN pseudo functions out of Parameters base class
  * Make API services with apache the default
  * Allow 'mac_address' updatable for neutron port
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b4.dev13:
  * Don't try to store i18n messages
  * Don't mock internal method of ceilometerclient
  * Keystone::Project observe reality implementation
  * Use keystone session with zaqar client plugin
  * delete python bytecode including pyo before every test run
* Sat Jan 28 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b4.dev6:
  * Fix i18n issue in event.py
  * Don't make client calls when adding dependencies
  * Make number of workers configurable with apache
  * Allow query types other than string in Aodh alarms
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b4.dev1:
  * Fix ceilometerclient mocks for 2.8.0 release
  8.0.0.0b3
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev245:
  * Add attribute 'collect' to senlin cluster
  * Add missing import for zaqar client
  * Improve resource.NoActionRequired
  * De-duplicate properties_data between events, resources
  * Updated from global requirements
  * Fix for resources stuck in progress after engine crash
  * Remove py26 support
  * Add reno for OS::Sahara::Job
  * Sort JSON output in intrinsic functions
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev228:
  * Delete accidental artifact
  * Don't override _show_resource() for image
  * Updated from global requirements
  * Always replace DELETE_COMPLETE resources on update
  * Don't look at convergence_engine conf option in Resource
  * Updated from global requirements
  * Provide unified _show_resource() for senlin resources
  * Fix nits of server tag test
  * Fix handle_create() of senlin cluster resource
  * Use os_cache in place of no_cache
  * Skip integration tests when not configured
  * Add translation rules for OS::Sahara::Job
  * Add sahara constraints
  * Refactor _show_resource() for neutron resources
  * Change order of init _facade and osprofiler
  * Add port_security_enabled property to ProviderNet
  * Add gabbi tests for resource REST API
  * Allow admins to get resource by physical resource id
  * Avoid to use internal attribute '_info'
  * Mark nested stacks unhealthy by refid
  * Include an OS::stack_id output when generating a template
  * Add more gabbi REST API tests
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev187:
  * Fix MistralClientPluginTest.test_create
  * Add policies property to cluster resource
  * Efficient passing of attrs during traversals
  * Add translation rules to senlin policy resource
  * Initial heat REST API tests with gabbi
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev177:
  * Add reality support to senlin node resource
  * Add translation rules to senlin node resource
  * Don't load resources in dep_attrs
  * Don't load non-referenced resources from DB
  * Use super method _show_resource() for alarms
  * Add note for env prepare of `Custom image script`
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev166:
  * Updated from global requirements
  * Add cluster property to senlin node resource
  * Release notes for designate v2 support
  * Add resource_properties_data assoc. to resource, event objs
* Mon Jan 16 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev159:
  * Set content-type when signaling deployment
  * Fix validate_external()
* Sat Jan 14 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev155:
  * Don't use MagicMock for stacks in tests
  * Fix errors resulting from over-long Zaqar queue names
  * Unit tests: Don't mock client_plugin for Zaqar subscription
  * Deprecate OS::Glance::Image
  * Add OS::Neutron::Quota resource
  * Allow to scale when group is in CHECK_COMPLETE
  * Deprecate designate v1 resource plugin
  * Release notes for OS::Keystone::Domain
  * Use correct charset when create a text/* type MIME
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev137:
  * Ignore dependency errors with conditions
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev136:
  * Default to Glance v2
  * Add reality support for senlin cluster resource
  * Correct output values when generating templates
  * Correct to 'heat_config_notify_script'
  * Don't replace failed neutron resources always
  * Check `resource_validate` before validate external
  * Add designate recordset support
  * Add designate zone support
  * Do nothing in prepare_for_replace if server not created
  * Set access_policy for messaging's dispatcher
  * Use i18n to translate msg in LOG.xxx()
* Wed Jan 11 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev115:
  * Add translate rules for senlin cluster
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev114:
  * Check if image_identifier is UUID
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev112:
  * Do not replace failed server always
  * Fix senlin resources update failure
  * Updated from global requirements
  * Remove greenlet useless requirement
  * Replace always if resource is in CHECK_FAILED
  * To reset metadata for resources when mark unhealthy
  * make the rabbitmq configuration simpler
  * Don't use keystone_authtoken section for trust
  * Fix string declaration in environment_util.py
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev94:
  * Don't try detach interface when server not found
  * Remove repeat entity defination
  * Enable resource _show_resource with dict type
  * Fix a small nit of docs
  * Enable coverage report
  * Sanitize newly added heat-manage command
  * Add the ResourcePropertiesData object
  * Make subnet required for lbaasv2 member resource
  * Use urllib to correctly escape URLs for Zaqar queues
  * Add convenience properties for alarm queue actions
  * Add a zaqar.queue custom constraint
  * Refactor BaseAlarm.actions_to_urls()
  * Fix inconsistencies in updating alarms
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev70:
  * Use heat.engine.resource.UpdateReplace
  * Use 'openstack' commands instead in docs
  * Recreate db only if db service is enabled
* Tue Jan  3 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev64:
  * Updated from global requirements
  * Avoid to use same code for aodh resources
* Mon Jan  2 2017 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev60:
  * Fix get all attributes with cache data
* Fri Dec 30 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev59:
  * Make sure heat works with novaclient 7.0.0
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev57:
  * Add OS::Sahara::Job resource
  * Use _show_resource() of super class
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev53:
  * Don't validate rsrc properties with external_id
  * Docs of configuring Devstack to enable heat
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev50:
  * Make *_id/name_url required for api-ref
* Mon Dec 26 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev48:
  * Fix typo in plugin.sh
* Sat Dec 24 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev47:
  * Trivial fix some typos in api-ref
  * Fix for validating firewall resource status
  * Updated from global requirements
  * Returns project info while getting sd with admin context
  * Add resource_properties_data data migration
  * One transaction per encrypt/decrypt batch
  * map_replace allow noop colliding replacements
  * Skip test_server_signal_userdata_format_software_config
* Fri Dec 23 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev32:
  * Use metadata and personality with server rebuild
  * Correct the order of assertEqual
  * Several improvements of pluginguide.rst
  * Avoid Forcing the Translation of Translatable Variables
  * Default implementation parse_live_resource_data
  * Remove unused mock for server check tests
  * Update .coveragerc after the removal of openstack directory
  * Trivial refactor of session var in reset_stack_status
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev20:
  * Update the constraint value of schema 'ACCESS_TYPE' for Manila share
  * Allows to create x509 keypair
  * Set default value for 'metadata' of nova server
  * Ephemeral disk size support for server bdm_v2
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev14:
  * Allow to create admin context for tests
  * Fix typo
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev11:
  * Nova Flavor Resource Update
  * Refactor batch encrypt/decrpyts of params, props
* Mon Dec 19 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev7:
  * Updated from global requirements
* Sun Dec 18 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev6:
  * Update fedora image in devstack
  * Updated from global requirements
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b3.dev3:
  8.0.0.0b2
  * Correct response of template-version-list
  * Updated from global requirements
  * Do not set the mime-type for userdata
  * Add noauth middleware
* Thu Dec 15 2016 tbechtold@suse.com
- config cleanup
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b2.dev109:
  * Updated from global requirements
  * Remove db.api wrapper
  * Support composite alarm
  * Cleanup test env after tests
  * Allow mark-unhealthy by physical resource ID
  * Add validation for conflicting merge strategies
* Wed Dec 14 2016 mjura@suse.com
- Remove deprecated auth_plugin option from crudini
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b2.dev97:
  * Add DeployedServer resource
  * Use BaseServer base class for Nova Server resource
  * Set default value for 'metadata' of cinder volume
  * Refactor port tests
  * Support new osprofiler API
  * Handle ambiguous physical resource IDs
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b2.dev85:
  * Use assertIsNone(...) instead of assertEqual(None, ...)
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b2.dev84:
  * Don't replace failed volume always
  * Include API version in Zaqar URLs
  * Use mock instead of mox for keypair test
* Fri Dec  9 2016 dmueller@suse.com
- package conf.d dir
* Fri Dec  9 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b2.dev78:
  * Updated from global requirements
  * Updated from global requirements
  * More efficient db resources-per-stack count
* Thu Dec  8 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b2.dev74:
  * Revert "Fix devstack plugin" workaround
  * Use __slots__ for dependencies.Node
  * Observe reality for OS::Keystone::Domain
  * Adds Keystone Domain resource plugin
  * Remove the deprecated Stack.resolve_static_data() method
  * Remove support for accessing ResourceDefinition like a dict
  * Unit tests: Don't use ResourceDefinition as cfn snippet
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version heat-8.0.0.0b2.dev65:
  * Add policy for Keystone resource types
  * Don't use hardcoded flavors in tests
  * Updated from global requirements
  * Updated from global requirements
  * Don't validate address when using get_attr
  * Updated from global requirements
  * Add an OS::Zaqar::MistralTrigger resource type
  * Use both domain id and name
  * Fix a small nit
  * Make the name of a Zaqar queue optional
  * Don't return the signed queue URL from get_resource
  * Includes project info while admin getting stacks
  * Supports 'direct-physical' and 'baremetal' vnic type for port
  * Do not count events for every event created
  * Refactor, add encrypt/decrypt data dict functions to crypt
  * Minor encrypt/decrypt unittest refactor
  * Refactor purge_deleted, operate on batches of stacks
  * Avoid re-validating resources in nested stacks
  * Show team and repo badges on README
  * Updated from global requirements
  * Keystone::User observe reality implementation
  * Refactor _needs_update() for resource
  * Updated from global requirements
  * More efficient pruning of events
  * Avoid redundant validations
  * Use more specific asserts in tests
  * Use both endpoint and endpoint_override
  * Move call trove cluster delete to check complete
  * Skip test_cancel_update_server_with_port
  * Use endpoint_override with heat client plugin
* Fri Nov 18 2016 johannes.grassler@suse.com
- Converted services to systemd:
  * Created .service files for all services
  * Fixed tmpdir creation
  * Removed LSB init scripts
  * Updated spec to configure systemd services
* Wed Nov 16 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev242:
  * Use timeout as whole seconds in swift plugin
  * Initial PropertiesGroup implementation
  * Add Apache 2.0 license to source file
  * Allow policies for resource_types with wildcard
  * Enforce policy before resource.validate
  * Don't delete RawTemplate if it referenced by a stack
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev231:
  * Do not throw an exception if stack outputs is not set
* Mon Nov 14 2016 slunkad@suse.com
- Adds missing file in spec
  * heat-all
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev129:
  * Add http_proxy_to_wsgi middleware to Heat CFN endpoint
  * Add networking-sfc flow-classifier resource plug-in
* Mon Oct 10 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev125:
  * Correct invalid git URL in LogABug config
  * Keystone role assignment observe reality method
  * Using oslo_config's min attribute in heat
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev120:
  * Updated from global requirements
  * Enable release notes translation
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev117:
  * Use __slots__ in Parameter classes
  * Pass region_name to session client
  * Create a root Yaql context
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev111:
  * Avoid double init of classes with __new__
  * Use __slots__ in ResourceInfo classes
  * Don't always eagerly load the raw_template for a stack
  * Properly compute resource_properties pickle
  * Use empty list for None values in repeat function
  * Don't create yaql context
  * Make nova server user_data format configurable
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev98:
  * Using assertIsNotNone() instead of assertIsNot(None)
  * Using assertIsNone() instead of assertIs(None)
  * Fix typo 'duplcate' to 'duplicate' in status.yaml
* Sun Oct  2 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev92:
  * Updated from global requirements
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev91:
  * Don't get derived config if resource ID unset
  * Fix create/update keystone endpoint with service name
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev87:
  * Remove unnecessary setUp and tearDown
  * Fix a typo in engine_wrapper.py
  * Use minimal image wherever possible
  * Using assertIsNone() instead of assertEqual(None, ...)
  * Break cycle between Resource and Attributes
  * Hidden policies property of OS::Mistral::Workflow
  * Speed up environment test
* Thu Sep 29 2016 tbechtold@suse.com
- Update to version heat-7.0.0.0rc2.dev74:
  * Updated from global requirements
  * Switch fedora mirror
  * Small refactoring translation mechanism
- Add some missing OpenStack clients as Requires
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev68:
  * Fix typo in docstring
  * Add a new HOT template version for Ocata
  * Add networking-sfc port-pair-group resource plug-in
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev62:
  * Return error with path in function validate
  * Nova::Server observe reality implementation
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev58:
  * Set hooks before storing events
  * Trivial:Standardize the output format of 'help' in some files
  * Trivial: Replace 'assertTrue(a not in b)' with 'assertNotIn(a, b)'
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev53:
  * Updated from global requirements
  * Fix indentation in get_param example
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev50:
  * Run integration tests with tempest before upgrade
  * Avoid circular refs more aggressively in DependencyTaskGroup
  * Example for "Replace" function should use self.fn_name
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev44:
  * Use save_and_reraise_exception() in HeatException
  * Get rid of circular reference in Event class
  * Increase the timeout for the stop_stack message
  * Wait for deletion_time in integration tests
  * Updated from global requirements
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev35:
  * Do not attempt deletion of a DELETE_COMPLETE stack in service api
  * Don't use cast() to do StackResource delete
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev32:
  * Use neutron cli command instead of osc
  * Add Ocata version '8.0.0' in doc
  * Add missing %%s in print message
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0rc2.dev28:
  * Fix cancel update for nova server with defined port
  * Re-trigger on update-replace
  * Updated from global requirements
  * Add resource OS::Cinder::QoSAssociation
  * Legacy delete attempt thread cancel before stop
  * Raise NotImplementedError instead of NotImplemented
  * Don't acquire the lock when cancelling a stack
  * Use correct schema for SoftwareDeploymentGroup rolling_update
  * Allow update inplace for allowed_address_pairs
  * Cancel traversal of nested stack
  * Update reno for stable/newton
  * Don't log locked resource ERROR level
  7.0.0.0rc1
  * Update link reference
  * Fix sync point delete
  * Correct the response info of template-version-list
  * Release resource lock when executing reset_stack_status
* Mon Sep 19 2016 mjura@suse.com
- Add missing requirements python-yaql >= 1.1.0
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev126:
  * Make get_attr consistent across template versions
  * Avoid circular references in Macro class
  * Do str_replace in a single pass
  * Skip resource counting during validation
  * Allows condition name using boolean or function
  * Refactor resource definition parsing in HOT/cfn
  * Add releasenotes for OS::Cinder::QoSSpecs
  * Allow hyphens in OS::Trove::Instance database names
  * Check policy of resource type again
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev109:
  * Add releasenote for conditions function
  * Always use context manager for DB transactions
  * Create ResourceDefinitions directly in ResourceGroup/Chain
  * Allow referencing conditions by name
  * Refactor boolean condition functions
  * Make cfn functions inherit from HOT
  * Update plugin-guide documentation page
  * Migrate to keystoneauth
  * Use keystone session in endpoint_utils
  * Move NoActionRequired exception back where it belongs
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev90:
  * Ensure cached conditions match stack
  * Copy correct definition to the backup stack
  * Add functional test for SDG rolling_update
  * Create a public Conditions class API
  * Raise StackValidationFailed instead of InvalidCondition*
  * Revert "Improve validation for some functions"
  * Override the default Template.outputs() implementation
  * [api-ref] Remove temporary block in conf.py
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev75:
  * Add way to use custom paths in translation
  * Add test for SoftwareDeploymentGroup resource
  * Deletion of in-progress stack
  * Convergence: Run scenario tests synchronously
  * Convergence: basic framework for cancelling workers
  * Non-destructive upgrade for structured deployments
  * Handle outputs with an OutputDefinition class
  * Pre-validate cinder quotas with the real fact
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev60:
  * Updated from global requirements
* Sun Sep 11 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev58:
  * Revert "Allow reference conditions by name"
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev56:
  * standardize release note page ordering
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev54:
  * Restore timezone information in API response
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev52:
  * Allow reference conditions by name
  * [api-ref] Rewrite the Heat API version
  * Careful with OS::Nova::Server dependencies on subnets
* Wed Sep  7 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev48:
  * Lazy-load outputs
  * Trivial: remove unused LOG attribute
  * Cinder::Volume observe reality implementation
  * Get rid of Template.validate_condition_definitions()
  * Evaluate resource conditions in-place
  * Remove _get_client_args() from client_plugin
  * Unify getting properties for method of Server res
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev35:
  * Correcting parameter type
  * Use physical name in event if resource_id is None
  * Get rid of extra_rsrc_defn in templates
  * Modify use of assertTrue(A in B)
  * Deprecate Template.validate_resource_definitions()
  * raw_template_files_get always use context session
* Mon Sep  5 2016 tbechtold@suse.com
- Update to version heat-7.0.0.0b4.dev23:
  * Deprecate Template.validate_resource_key_type()
  * Config logABug feature for heat api-ref
  * Minor fix for hot_spec.rst
* Sun Sep  4 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev19:
  * Non-destructive upgrade for deprecated resources
* Sat Sep  3 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev17:
  * Add unit tests for invalid keys in resources
  * Prevent direct access to conditions in templates
  * Don't add new abstract methods to Template class
  * Allow any data to be passed to yaql function
  * Don't run neutron tests before upgrade
  * Properly evaluate yaql expressions
  * Add cinder qos specs constraint
  * Add OS::Cinder::Quota resource
* Fri Sep  2 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b4.dev5:
  * Provide default implementation of _parser_condition_functions
  * Call base __init__ from FakeHTTPClient
  * Use heat functions from plugin for upgrade
  7.0.0.0b3
* Thu Sep  1 2016 tbechtold@suse.com
- Install heat_integrationtests into python-heat
* Thu Sep  1 2016 tbechtold@suse.com
- Update to version heat-7.0.0.0b3.dev405:
  * Updated from global requirements
  * Correct link reference in heat/doc
  * Updated from global requirements
  * Add OS::Cinder::QoSSpecs
  * Provide 'or' function
  * Add doc and reno note for environment merging
  * Aodh::Gnocchi resources observe reality implementation
  * Change type of X-Openstack-Request-Id
  * Updated from global requirements
  * Fix senlin profile/policy type constraint check
  * Delete mox.stubs in heat
  * Updated from global requirements
  * Improve efficiency of SoftwareDeployment updates
  * Fix incorrect behaviour of repeat function
  * Convert props form delimited params to lists
  * Validate that python3 is ready for loguserdata
  * Improve validation in OS::Monasca::Notification
  * Add interrupt points for convergence check-resource operations
  * Add new resource l7rule
  * Clean imports in code
  * Minor fix for senlin cluster update
  * Check action status instead of cluster status for cluster creation
  * Updated from global requirements
  * Fix building derived inputs from a derived config
  * Provide 'and' function
  * Stop using mox.stubs in heat
  * Refactor senlin node update logic
  * Add 'resources' to error msg path if res' condition invalid
  * Updated from global requirements
  * Provides 'not' condition function
* Fri Aug 26 2016 aplanas@suse.com
- Revert generate PID file for systemd (bsc#991985)
* Wed Aug 24 2016 aplanas@suse.com
- Generate PID file for systemd (bsc#991985)
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev288:
  * Delete RoleAssignment if user/group does not exist
  * Migrate stacks from legacy to convergence engine
  * api-ref - software config status codes
  * api-ref - template version and functions
  * api-ref - stack actions
  * api-ref - events
  * api-ref - stack snapshots
  * api-ref - stack resources
  * api-ref - services/stack-outputs doc
  * api-ref - stack identity usage in find calls
  * Use tempest.conf when running under tempest
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev266:
  * Add valid merge strategies
  * api-ref - build/resource-type/versions
  * Updated from global requirements
  * Add OS::Heat::Value resource
  * Override client() for RoleAssignment resources
  * Don't manipulate config for admin creds
  * Register heat tempest plugin
  * Depend on tempest in test-requirements.txt
* Mon Aug 22 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev250:
  * Remove tenant_safe flag from rpc and db api
* Mon Aug 22 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev248:
  * Add new environment section for merge strategies
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev246:
  * Get ready for os-api-ref sphinx theme change
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev244:
  * api-ref doc for stack (5)
  * Begin move of UpdateReplace back to its rightful location
  * Add a replace_on_change option to the SW Config input schema
  * api-ref doc for stack (4)
  * api-ref doc for stack (3)
  * api-ref doc for stack (2)
  * api-ref doc for stack (1)
  * Split stack api-ref doc into three files
  * Fix api-ref doc for software deployment
* Fri Aug 19 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev226:
  * Add reno note on volumes.backups_enabled option
  * Handle case where the Nova AZ extension is disabled
  * Parse JSON as JSON when converting to YAML
  * Clean imports in code
  * Validate the input/output configs in Software Config
  * Deal with cinder-backup service absent
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev215:
  * Don't use config option sqlite_db
  * Log missing clients as WARNING instead of ERROR
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev212:
  * Nova::HostAggregate observe reality implement
  * Always eager load the raw_template for a stack
  * Add validate for external resources
* Tue Aug 16 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev207:
  * Add validating of section 'conditions'
  * Add support for a resource level external_id
  * Catch NotSupported when cancelling a nested stack
  * Add version keyword argument to RAX glanceclient
* Mon Aug 15 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev200:
  * Support maps as argument for repeat/for_each
  * Use is_admin_project from context
  * Single definition of top-level SoftwareConfig keys
  * Fix resouce group resource removal policy name inconsistency with DB
  * Fix path_in_stack for scheduler hints
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev190:
  * Perform str_replace trying to match longest string first
  * Updated from global requirements
  * Updated from global requirements
  * no need to run integration tests in upgrade
  * Put common implementation of HOT/CFN into new class
  * Move 'validate_section' to hot/template.py
  * Don't load stack when getting files
  * Adopt tempest plugin config namespace
  * Fix Broken Link in Contributing > Blueprints Doc
  * Add key/value support for orchestrating images
* Fri Aug 12 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev179:
  * Add key/value support for orchestrating images
* Thu Aug 11 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev177:
  * Update HOT template guide preface
  * Set properties to before_props before calling handle_update
  * Don't change properties in regenerate_info_schema
  * Adds some infos for stack notification
* Wed Aug 10 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev169:
  * Updated from global requirements
* Tue Aug  9 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev168:
  * Fix software config api-ref doc
  * Unit tests: Use Properties objects instead of dicts
  * Fix null param for _create_arguments() for volume resource
  * Rename swift.py to container.py for swift container resource
  * Fix iteration in floatingip's add dependencies method
  * Updated from global requirements
  * Add scenario test_server_signal
  * Release note, api-ref for event list nested_depth
  * Make the removed resources in resource group visible on REST
  * Network validation in Manila
  * Remove additional purge test
  * Support 'conditions' section for templates
  * Fix two typos
  * Remove deprecated v1 cinder api support
  * Updated from global requirements
  * Fix str_split function when string is None
  * New common constraint 'Expiration'
  * Cancel nested stack creation when sibling fails
  * Allow stack create operations to be cancelled
  * Don't pass value_specs when creating internal port
  * Supplement：use assertEqual() instead of assertDictEqual()
  * Purge deleted stacks for specific project
  * Add new resource l7policy
  * Remove unnecessary checks
  * Fix empty values validation in nova server
  * Correct doc about os-collect-config metadata polling
  * Network resolving in Manila when only subnet passed
  * Delete snaphots on deleting stack
  * Remove tests for show attribute in cinder
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev119:
  * Updated from global requirements
  * Updated from global requirements
  * modify the home-page info with the developer documentation
  * Explicitly set heat.conf logging_exception_prefix
  * Use handle_update_cancel() to cancel nested stack updates
  * Add Python 3.5 classifier and venv
  * Add an integration for server using neutron
  * Fix get_endpoint() call in is_using_neutron
  * Increase default sighup_timeout
  * Always use upper-constraints
  * Don't log ERROR for remote stack exceptions
  * Silence swiftclient logging
  * Retry neutron resource deletion if the physical resource exists
  * Allow for retries after certain resource delete failures
  * Move cinder api version tests
  * Fallback to db for resource show
  * Add reno note for DNS functionality
  * Add dns properties and attributes
  * Add dns constraints
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev83:
  * Fix is_using_neutron
  * Use keystone session from context in client plugin
  * To delete the keypair preparing for update replacement
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev79:
  * Use assertEqual() instead of assertDictEqual()
  * Check for empty sections in environment
  * Don't check alarm state when signaled
  * Fix some map_replace issues
  * Don't persist_state of IN_PROGRESS stack again
  * Only use client_plugin() if default_client_name is set
  * Correct reraising of exception
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev67:
  * Fix validate method definitions
  * Hidden StructuredDeployments and SoftwareDeployments
  * Commented config for unit test sql logging
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev63:
  * Updated from global requirements
  * Unskip AutoscalingLoadBalancerv2Test
  * Replace while with if in resolve function
  * Add reno for map_replace and fix docs nit
  * Use exception_filter from oslo_utils
  * Implement map_replace intrinsic function
  * Updated from global requirements
  * Implement the correct total ordering for scheduler.Timeout
  * Use TaskRunner.as_task() for the create retry delay
  * Allow a grace period when cancelling a stack update
  * Use a queue instead of an event to send messages
  * Raise the last exception thrown into DependencyTaskGroup
  * Scheduler: Add a progress callback to TaskRunner
  * Always call TaskRunner._sleep()
  * Unit tests: add a test resource that takes multiple steps
  * Scheduler: Allow TaskRunner to be used as a task
  * Allow individual resources to control the cancellation grace period
  * Updated from global requirements
  * Add direct_use=False flag to constructor of novaclient
  * Skip AutoscalingLoadBalancerv2Test
  * Do not show HIDDEN props in res type template
  * Add reno for yaql function
  * Add __ne__ built-in function
  * Remove remaining methods from db objects
  * Remove the db object delete method
  * Only call session.refresh from within db_api functions
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev14:
  * Do not raise NotFound for resource_get_all_* queries
  * Scheduler: Allow a per-task customisable grace period
* Fri Jul 15 2016 aplanas@suse.com
- Fix regular expression to detect shebang
- Require python-aodhclient, python-keystoneauth1 and python-magnumclient
* Fri Jul 15 2016 aplanas@suse.de
- Update to version heat-7.0.0.0b3.dev10:
  * Add new resource Security Group Rule
  * Catch exceptions when cancelling tasks in DependencyTaskGroup
  * Add a Resource plugin API for cancelling actions
  * Use Fedora 24 base image
  * Use to_policy_values from context for policy
  * Fix doc of OS::Heat::AutoScalingGroup outputs and outputs_list
  * Add networking-sfc port-pair resource plug-in
  * Use oslo.context's from_environ for creating context
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b3.dev2:
  7.0.0.0b2
  * Add stack files retrieval API
  * Propage errors in post test hook
  * Create an admin context to refresh template files
  * Do not show HIDDEN props in res type show
  * Apply ResourceGroup blacklist at create time
  * Fix Cloud Server image/flavor combination validation
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b2.dev239:
  * Do not populate unused stack and watch rule objects
  * Remove unused LOG to keep code clean
  * Updated from global requirements
  * HAProxy uses milliseconds for its timeout values
  * Improve validation for some functions
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b2.dev230:
  * Updated from global requirements
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b2.dev229:
  * Improve validation during template.parse
  * sqlalchemy tests don't assume same session
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b2.dev225:
  * Allow admins to create public image by default
  * Add information about Resolve rule to docs
  * Replace raw_input with input to make PY3 compatible
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version heat-7.0.0.0b2.dev219:
  * Fail the test run if image download fails
  * Convergence: Cancel message
  * Change namespace 'ceilometer' to 'aodh'
  * Deprecate combination alarm
* Wed Jul  6 2016 gayane.osipyan@suse.com
- Fix python-yaql missing requirements.
* Wed Jul  6 2016 gosipyan@suse.com
- Update to version heat-7.0.0.0b2.dev212:
  * Convergence: Fix concurrent update resource delete
  * Add rolling update for SDG
  * Migrate to aodh for gnocchi alarms
  * Correct parameter when raise NotSupported exception
  * Updated from global requirements
  * Keep encrypted_param_names environment internal to heat
  * Fix another test race in test_update_restricted
  * Use openstack commands for prepare_test_network.sh
  * Use latest HOT version in Resource.build_template_dict
  * Move _RESOURCE_KEYS down to class level
  * Migrate to aodh for OS::Ceilometer::Alarm
  * Use openstack command for prepare_test_env.sh
  * Add default release names for template versions
  * Add a sleep after delete before purging
  * Correct the usage of properties.get() with default value
  * Config: no need to set default=None
  * Use default client name for cinder resources
  * Revert "Skip AutoScalingSignalTest.test_signal_during_suspend"
  * Use LOG.exception() properly
  * Make sure to update image tags successful
  * Correct message when extension is not available
  * Add keystone_session property to context
  * Updated from global requirements
  * Install Guide: Set bug project
  * Wait for stack status instead of group status
  * Decouple hot and cfn for outputs
  * Remove duplicate code of software deployment resource
  * Add aodh client plugin
  * Updated from global requirements
  * Skip AutoScalingSignalTest.test_signal_during_suspend
* Mon Jun 27 2016 jsuchome@suse.com
- Add systemd service macros (bnc#986415)
  systemd v228 has a separate generator for generating the service
  files from the init scripts, and daemon-reload is needed during
  package installation
* Wed May 25 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev263:
  * Glance image tag support release notes
* Tue May 24 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev261:
  * Updated from global requirements
  * Revert "Don't use stored context to reset stacks"
  * Fixes resource filter to handle physical_resource_id properly
  * Updated from global requirements
  * Fixed variable shadowing in test_software_deployment
  * Added refs_map attribute to resource groups
  * Remove html_static_path from api-ref
* Sun May 22 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev249:
  * Don't use stored context to reset stacks
  * Lazy-load context information requiring Keystone calls
* Sat May 21 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev245:
  * Mark monasca resources supported in release notes
  * Updated from global requirements
  * Fix small nits for tests introduced in bug/1571975
  * Clarified servers property description for SoftwareDeploymentGroup
  * Make cinder resources available based on extensions
* Fri May 20 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev236:
  * migrate to upstream os-api-ref
  * Allow resources to delay polling
  * Allow scheduler tasks to request longer wait periods
  * Use original request context for logging
  * Support neutron QoSDscpMarkingRule resource plugin
  * Removes duplicate code autoscale_complete
* Thu May 19 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev224:
  * Updated from global requirements
  * Fix the documentation for HIDDEN support status
  * Remove unnecessary usage of stack_name
  * Migrate nova_instance to physical_resource_id
  * Improve logging of unexpected exceptions
  * Fix api-ref generation errors
  * Fixes cooldown logic throws ValueError
  * Adds tag support for glance image resource plugin
* Wed May 18 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev209:
  * Set security_groups when create internal ports for nova server
  * Correct filters for resource search
  * Revert "Add timeout for software deployments"
  * Updated from global requirements
  * Add timeout for software deployments
  * Avoid passing templates/files over RPC
  * RPC API: Add a template_id parameter to stack_create/update
  * Allow the server name limit to be configurable
  * Check for missing param schema in encryption utility
  * Add --verbose-update-params option to heat-manage
  * Make parameter decryption more robust
* Tue May 17 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev188:
  * Convergence: Un-skip functional test
  * Fix heat-keystone-setup-domain
  * Makes monasca plugin as supported
  * Break reference cycle in KeystoneClient plugins
  * Reset env.encrypted_param_names on stack update
  * Unit tests: Don't use ResourceDefinition as cfn snippet
  * Use ResourceDefinition API in resource_facade
  * Don't treat ResourceDefinition as cfn template in resources
  * Deprecate the Resource.parsed_template() method
* Mon May 16 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev170:
  * Add check for server existence on software deployment delete
  * Remove usages of :linenos: in docs
  * Fix DBDeadlock error in stack update
  * Add deployment ID to deploy signal events
  * Eager fetch stack tags with a subqueryload
  * Refactor confusing code in custom_guidelines.py
* Sun May 15 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev158:
  * Updated from global requirements
* Sat May 14 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev157:
  * Remove stack ObjectField from resource
  * Update log levels
* Fri May 13 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev153:
  * Convergence: Refactor worker
  * Fix doc build if git is absent
* Thu May 12 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev149:
  * Enable client plugin to support dynamic api version
  * Cleanup magnum client test case
* Wed May 11 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev145:
  * Updated from global requirements
* Tue May 10 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev144:
  * Migrate API documentations into the Heat tree
* Mon May  9 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev142:
  * Use '--visibility' instead of '--is-public'
  * Exclude plugins from custom_guidelines.py
  * Revert "Replace SD RPC polling by long RPC call"
  * Unit tests: Eliminate deprecated use of ResourceDefinition.Diff
  * Don't use two different names for the same flag
  * Check for worker_service initialization
* Mon May  9 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev130:
  * Updated from global requirements
* Mon May  9 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev129:
  * Make RPC call to abandon nested stack
  * Use the ResourceDefinition.Diff API in resources
  * Implement diffs of ResourceDefinitions
* Mon May  9 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev123:
  * Revert "Enable abandon option to nested resource"
  * use thread safe fnmatch
  * Unit tests: use frozen_definition() in update tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev117:
  * Make physical_network property optional
  * Add command to reset one stack status
* Mon May  9 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev113:
  * Add RESOLVE translation for some sahara resources
  * Added unit tests for get_template
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev109:
  * Updated from global requirements
  * Clarify the help text for error_wait_time
  * Break reference cycle between ResourceRegistry and ResourceInfo
  * Break reference cycle between Environment and ResourceRegistry
  * Use messaging notifications transport instead of default
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev100:
  * Don't access `_stored_properties_data`
  * Remove redundant properties construction
  * Updated from global requirements
  * Fix properties usage in ResourceChain update
  * Imported Translations from Zanata
  * Add environment retrieval API
  * Add senlin to README.rst (github main page)
  * Reinstate deprecation warnings
  * Remove some redundant resolve_* functions
  * Use RESOLVE translation for more sahara resources
  * Don't scale when action is not complete
  * Don't try scaling when no change in size
* Sun Apr 17 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev76:
  * Use to_dict() instead for cinder resources
  * Remove conditional import
* Sat Apr 16 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev73:
  * Fix stack deleting problem in magnum stacks
  * Magnum::Bay observe reality implementation
  * Remove _show_resource from barbican resources
* Fri Apr 15 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev67:
  * Updated from global requirements
  * Designate::Domain observe reality implementation
  * Change type of raised exception in translation
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev62:
  * Designate::Record observe reality implementation
  * Updated from global requirements
  * Use RESOLVE translation for lbaasv2 resources
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev57:
  * Use RESOLVE translation rules for vpnservice
  * Fix a grammatical mistake of the example online
  * Make neutron resources available  based on service extensions
  * Handle NotFound  error for all _resolve_attributes
  * Use default client name in nova  - afterfixes
  * Fix validation error for  parameter group
  * Fix and enable H303 and F403  No wildcard (*) import
  * Adding instance  delete test
  * Remove rpm spec file and Makefile.  Will track packaging in a different repo
  * Don't need these files anymore.  As per the layout in nova compute the manager is handling all the engine api calls
  * stack_db attributes seem broken.  Comment these out for now and the API is generally working
  * Stack list now communicating end to end.  Time to hook some stuff up
  * Change default exchange to heat-engine from nova.  Hook up 'list' though it doesn't work yet
  * Fix up some imports so they work.  I think this is right now. :)
  * A few cleanups and some comments.  Nothing major
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev55:
  * Set enforce_type=True on config overrides in tests
  * Updated from global requirements
  * Rename source_path in translation
  * Use RESOLVE rule for lbaasv1 resources
  * Wording fix to list index error message
* Mon Apr 11 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev45:
  * Squash database patches
  * Use RESOLVE translation for more neutron resources
  * Replace SD RPC polling by long RPC call
* Sun Apr 10 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev39:
  * Add attribute for extra specs to Nova::Flavor
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev38:
  * Imported Translations from Zanata
  * Add fixtures into test-requirements
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version heat-6.0.1.dev35:
  * Support string index for list in get_param
  6.0.0
  * Sync integration tests requirements
  * Revert "Check RBAC policy for nested stacks"
  * Imported Translations from Zanata
  * Add translation rule to delete ssh auth key from Magnum baymodel
  6.0.0.0rc2
  * Increase timeout of WaitCondition due to ConcurrentTransactions
  * Imported Translations from Zanata
  * Fix update issues with autoscaling group
  * Avoid cooldown when group size does not change
  * Imported Translations from Zanata
  * Remove property "ssh_authorized_key" from OS::Magnum::BayModel
  * Imported Translations from Zanata
  * Fix race condition for WaitCondition with several signals
  * Handling concurrent transactions in metadata_set method
  * Imported Translations from Zanata
  * Make sure to delete the credentials when stack deletion
  * Add retries to avoid dberror for user_creds_delete
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Remove unknown parameters in patched update
  * Imported Translations from Zanata
  * Imported Translations from Zanata
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev126:
  * Update the Administrator Guide links with new ones
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev125:
  * Updated from global requirements
  * Updated from global requirements
  * Fix unfortunate spelling error
  * Warn against API calls in plugin guide
  * Add update_replace_value property to test resource
  * Tidy up BarbicanClientPlugin
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev114:
  * Keystone::User: do not update if no changes
  * Added new property 'image' for bdm_v2 in Nova Server
  * Add information about ResourceGroup attributes
  * Fix typo `after_porps` in resource
  * Updated from global requirements
  * Check for missing/unexpected data in encryption utility
  * oslo config clients_xxx enabled for all supported services
  * Pass environment variables of proxy to tox
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev99:
  * Refactor unit tests for encryption utility and add assertions
  * Avoid reference loops in DependencyTaskGroup
  * Raise explicit exception when deleting config which has been referenced
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev93:
  * Convergence: Ignore not found when releasing lock
  * Remove the unused parameter in method _build_properties()
  * Don't validate template resource parameter defaults in parent
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev89:
  * Revert "Check RBAC policy for nested stacks"
  * Add volume_driver in OS::Magnum::BayModel
  * Use a context manager to re-raise local exceptions in StackResource
  * Use EntityNotFound instead of SyncPointNotFound
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev82:
  * Increase timeout of WaitCondition due to ConcurrentTransactions
  * Add translation rule to delete ssh auth key from Magnum baymodel
  * Mark resources UPDATE_COMPLETE when they request replacement
  * Updated from global requirements
  * Add validate for babican secret
  * Add lbaas v2 scenario test
* Tue Mar 29 2016 tbechtold@suse.com
- Adjust defaults in heat.conf
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev71:
  * Fix handle_delete of HostAggregate resource
  * Fix update issues with autoscaling group
  * Improve guidelines of using devstack of heat
  * Add id and name properties for flavor resource
  * Introduce 'immutable' of parameters
  * Make encryption script log exception and continue
  * Create integration tests requirements on the fly
  * Add validation for mistral cron trigger
* Mon Mar 28 2016 tbechtold@suse.com
- Adjust default heat.conf values
* Sun Mar 27 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev55:
  * Stop engine service correctly
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev53:
  * Removing some redundant words
  * Set OS_PROJECT_NAME in grenade script
  * Don't create an "update task" inside a try block
  * Add validation check for barbican order
  * Remove property "ssh_authorized_key" from OS::Magnum::BayModel
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev43:
  * Reset stack status after resources
  * Refactor BaseWaitConditionHandle._metadata_format_ok()
  * Downgrade WaitCondition logs
  * Use domain env variables as defaults
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev35:
  * Add a new HOT template version for Newton
  * Fix race condition for WaitCondition with several signals
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev32:
  * Use region from config in functional tests
  * Restrict use of iteritems, iterkeys and itervalues
  * Added constraint for mistral workflow
  * Handling concurrent transactions in metadata_set method
  * Added constraint for barbican order
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev23:
  * Make sure to delete the credentials when stack deletion
  * Avoid cooldown when group size does not change
  * Add retries to avoid dberror for user_creds_delete
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev17:
  * Made workflow name required in crontrigger
* Mon Mar 21 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev15:
  * Remove unknown parameters in patched update
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev13:
  * hacking log warn
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev12:
  * Add length constraint for workflow tasks
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev10:
  * Imported Translations from Zanata
  * Convergence: Fix rollback considered as failed concurrent update
  * Explicitly naming resources in "unsupported" warnings
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev4:
  * Fixes the sequence of release notes
  * Added missing dot
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0rc2.dev1:
  * Update reno for stable/mitaka
  6.0.0.0rc1
  * Remove redundant lines in test_instance_group.py
  * Imported Translations from Zanata
  * Check RBAC policy for nested stacks
  * Make sure create ceilometer alarm successful
  * Move launchconfig reference validation to validate()
  * Add functional lbaas v2 tests
  * Fix race condition in reload_on_sighup functional
  * Fixes external hyperlink format in heat architecture doc
  * Allow using 'get_param' for 'deletion_policy' section
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b4.dev88:
  * Resolve name/id using translation rules for Server
  * Don't raise oslo_db exceptions from heat
  * Don't encrypt default parameters in heat-manage encrypt script
  * Moved CORS middleware configuration into oslo-config-generator
  * Make ConcurrentTransaction exception common
  * Ignore image and flavor validations
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b4.dev76:
  * Make backup stack naming more consistent
  * Fix prepare_for_replace/restore_prev_rsrc handing for server
  * Convergence: Avoid cache when resolving input data
  * Convergence: Enable resource type aliasing test
* Mon Mar 14 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b4.dev68:
  * Unit tests: compare stack names in PhysName
* Sat Mar 12 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b4.dev66:
  * Fix stack preview
  * Skip the in-built dependencies while validating template
  * Handle network names in Manila resources
* Fri Mar 11 2016 tbechtold@suse.com
- Update to version heat-6.0.0.0b4.dev58:
  * Don't RESOLVE translate in resource init
  * Imported Translations from Zanata
  * Modify the message of ERROR in stack_cancel_update()
  * Fix AWS::EC2::SecurityGroup update problem
  * Refactor validation of arguments to 'repeat' intrinsic function
  * Get watch_url via get_heat_cfn_url
  * Imported Translations from Zanata
  * Remove unused stuff in test_launch_config.py
  * Allow resource name as reference if using depends_on
  * Catch exceptions calculating implicit dependencies
  * Remove required=True for name property
  * Fix for resource search with invalid filter keys
  * Fix potential race condition in lbaas v2 logic
  * Heat integration tests failing against https endpoints
  * Resolve name/id using translation rules
  * Updated from global requirements
  * Resolve arguments to 'repeat' function at runtime
  * Make auth_url lookup dynamic
  * Fix error msg for wrong auth_url in functional
  * Use transactions instead of session.flush
  * Fix problems in unicode template support
  * Fixed incorrect exception raising in ManilaShare
  * Regenerated heat_integrationtests.conf.sample
  * Don't translate when loading resource from db
  * Remove unused LOG variables
  * Add reno for barbican container
  * Add user_data_update_policy property to OS::Nova::Server
  * Do not try to save event resource if too big for db column
  6.0.0.0b3
- Remove 0001-Fix-discovery-of-keystone-auth-URI-with-keystone-on-.patch
  Applied in a different way upstream
- Adjust Requires and BuildRequires according to requirements.txt
* Mon Feb 29 2016 johannes.grassler@suse.com
- Ensure heat services are started after openstack-keystone (bsc#955786)
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev169:
  * Updated from global requirements
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev168:
  * Remove stray debug from context.py
  * Add basic get_live_state implementation
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev165:
  * Event transport
  * Replace deprecated LOG.warn with LOG.warning
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev162:
  * Revert "Disable CeilometerAlarmTest.test_alarm"
  * Pass domain id to ceilometer client
  * Init local request context with user/project domain infos
* Mon Jan  4 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev156:
  * Replace assertTrue(isinstance()) with assertIsInstance()
  * Updated from global requirements
* Fri Jan  1 2016 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev153:
  * Add join to workflow (mistral resource)
* Thu Dec 31 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev151:
  * Add OS::Senlin::Profile resource
  * Add release note for bp/api-call-output
  * Using LOG.warning replace LOG.warn
  * Fix some inconsistency in docstrings
  * Add OS::Senlin::Cluster resource
* Tue Dec 29 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev142:
  * Use flavors.get when finding with id
  * Make sure update access mode for volume in available
  * Fix using mock return_value in unittests
  * Add descriptions to all openstack resources (Part 1)
  * Remove meaningless default value in __get__()
* Sun Dec 27 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev132:
  * Wrong usage of "an"
  * Wrong usage of "a"
  * Trivial: Remove unused logging import
  * Remove defaults for handle_update parameters
* Fri Dec 25 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev124:
  * Disable CeilometerAlarmTest.test_alarm
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev123:
  * Use create_with_template for RG create
  * Support RackConnect V3 LB in Rackspace AutoScaleGroup Resource
  * Added ResourceChain plugin
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev117:
  * Add release note for bp/support-host-aggregate
  * Add release note for bp/support-neutron-qos
  * Use flavors.find interface to find flavors
  * Don't call neutron when there is no prop_diff
  * Add trustee config group to sample config
* Tue Dec 22 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev108:
  * Use EntityNotFound as super class for exceptions
* Mon Dec 21 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev107:
  * Add neutron vpnaas configuration in integration tests
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev106:
  * Remove duplicate keys from dictionary
  * Neutron port allow switching between network_id and network
  * Enable simple json format in workflow signal
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev101:
  * remove the mutable default arguments "[]" or "{}"
  * Updated from global requirements
  * Re-enable ceilometer test
* Wed Dec 16 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev95:
  * Add note for subnet pool support
  * Neutron port, tolerate switching network name/id
  * Flag to observe live state for resources
  * Add neutron provider constraints
  * heat-manage resource_data_list
  * Make value_specs updatable for firewall resource
  * Fixes the error logic in resource_data_get_all()
  * Remove check for managed cloud role
  * Make SoftwareDeployment name updateable
  * Provide the QoS capability for port
  * Stop ignore skipped crypt_operation option
  * Remove unused argument 'current_version'
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev72:
  * Correct errors of HostAggregate handling
* Sun Dec 13 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev70:
  * Use specified client service name for client usage
* Sat Dec 12 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev68:
  * Fix _show_resource in Designate::Record
  * Make sure update successful if there is encrypt param
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev64:
  * Refactor neutron constraints
  * Fix property TTL in Designate::Domain
  * Provide QoS capability for neutron network
  * Call _persist_state for UPDATE in 'state_set'
  * Use EntityNotFound instead of NotFound from Manila
  * Add validate_with_client in BaseCustomConstraint
* Thu Dec 10 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev53:
  * Make root_stack_id determination more robust
  * Updated from global requirements
  * Fix min value in ttl range of Designate::Record
  * Fix time mocking on wait condition timeout tests
  * Support neutron QoSBandwidthLimitRule resource plugin
  * Fix mocking in several tests causing excessive run-times
  * Remove unused LOG variable with logging import
  * Add subnetpool property to subnet resource
* Wed Dec  9 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev40:
  * Fix event filtering in event-show
  * Don't remove user from groups if groups don't change
  * Updated from global requirements
  * Support neutron QoSPolicy resource plugin
  * Eliminate unnecessary sleeps during no-op update
  * Add tests for api calls show and list outputs
  * Improve log messages from scheduler
* Tue Dec  8 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev27:
  * Use user id instead of user name in notification body
  * Skip CeilometerAlarmTest.test_alarm
  * Get rid of bogus debug logging in parameter groups
  * Fix to send only one notification when update completes
  * Allow many-to-one glob mapping in registry
  * Use constants for URL schemes in template_resource
  * Refactor template_resource.generate_class()
  * Get rid of the Resource.resource_class() method
  * Add a separate get_class_to_instantiate() method to Environment
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev15:
  * Correct reset_state_on_error() handling
  * Improve output when output resolve raises error
  * Don't remove role assignment if no change
  * Update OS::Magnum::BayModel to not require network_driver
  * Add SubnetPool neutron Resource
  * Add neutron address_scope constraint
  * Move update_policy parsing to Resource
  * Raise EntityNotFound in get_resource_info()
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.0b2.dev5:
  * Updated from global requirements
  * Remove version from setup.cfg
  6.0.0.0b1
  * add "unreleased" release notes page
  * Fix some line wrap problems in doc
  * Fix tox -e docs build in py3
  * Add profile constraint to senlin_plugin
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev459:
  * Unhelpful error message when api-paste.ini is missing
  * Check resource_id before calling network delete
  * Remove deprecated method
  * Add reno for release notes management
  * Make Server software_config_transport updatable
  * Reauthenticate on token expiration
  * Translate properties before update
  * Implement pre-delete hook
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev443:
  * Fix some inconsistency in docstrings
  * Simplify and correct logic for updating SSL Termination
  * Fix show output with unresolved stack outputs
  * Use EntityNotFound instead of ServiceNotFound
  * Use EntityNotFound instead of WatchRuleNotFound
  * Add 'parent' property for keystone project
* Tue Dec  1 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev433:
  * Remove default value for mem_limit to keep up with docker-py
  * Use negative timeout for convergence unittests
  * Remove useless file_name value from test
  * Optimize "open" method with context manager
* Mon Nov 30 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev426:
  * Skip some functional tests for convergence until fixed
  * Change namespace for Heat resources and tests
  * Use EntityNotFound instead of FlavorMissing
* Sun Nov 29 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev420:
  * Updated from global requirements
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev419:
  * Fix Template Version in Hot-Guide
  * Convergence: Persist state for stack adopt
  * Convergence: send notification when a stack action starts
  * Add _show_resource to EncryptedVolumeType
  * Fix VolumeType projects property handling
  * Updated from global requirements
  * Change namespace for Barbican tests
  * Convergence: Re-trigger failed resource for latest traversal
  * Convergence: Concurrency subtle issues
  * Remove port test from floating_ip test module
  * Don't snapshot if server hasn't been created yet
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev398:
  * Convergence: Load resource stack with correct template
  * Correct the spelling for the word constraint
  * Remove the commenting code
  * Change namespace for Ceilometer resources and tests
  * Change namespace for Cinder resources and tests
  * Add APIs implementation for output functions
  * Add functions for outputs to heat service
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev384:
  * Updates keystone region constraints for endpoint
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev382:
  * Better schema for Rackspace::AutoScale::Group image and flavor
  * Adds OS::Keystone::Region resource plug-in
  * Fix variable 'url' referenced before assignment
  * Fix some inconsistency in docstrings
  * Support shares in sahara clusters
  * Support shares in sahara cluster templates
  * Fix wait condition doc sample
  * Convergence: Fix duplicate events for stack actions
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev366:
  * Wrong entity name for Host Aggregate resource
  * Fix MagnumClientPluginTests
  * Add 'enabled' property for keystone endpoint
  * Skip senlin_plugin tests until bug #1519185 is fixed
  * Correctly determine when SSL termination config changes
  * Change namespace for Nova Host Aggregate test
  * Fix HTTP error codes due to invalid templates
  * Convergence: Avoid sync point delete for stack CREATE
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev352:
  * Add references on template versions in documentation
  * Use EntityNotFound instead of UserKeyPairMissing
  * Split abandon into pre-abandon(export) and abandon
  * Don't force Fn::Select index to integer
  * Change namespace for Glance resources and tests
  * Change namespace for Keystone tests
  * Change namespace for Magnum tests
  * Add senlin client
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev336:
  * Updated from global requirements
  * Change namespace for Manila tests
  * Change namespace for Mistral tests
  * Change namespace for Neutron tests
  * Use EntityNotFound instead of PhysicalResourceNotFound
  * Use EntityNotFound instead of ResourceTypeNotFound
  * Add resource OS::Nova::HostAggregate
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev323:
  * Use EntityNotFound instead of StackNotFound
  * Use attribute instead of passing parameter
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev319:
  * Define engine service in setUp()
  * Updated from global requirements
  * Adds keystone.region constraint
  * Support 'multiattach' for cinder volume
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev311:
  * Clarify convergence logging
  * Adds 5 backport db migration place holder for liberty
  * Fix ResetStateOnErrorTest.test_success
  * Change namespace for Swift tests
  * Change namespace for Zaqar and tests
  * Change namespace for Trove resources and tests
  * Change namespace for Sahara resources and tests
  * Change namespace for Nova resources and tests
  * Move kombu as a test dependency only
  * Ensure that stacks can't get stuck IN_PROGRESS
  * Add subnetpool custom constraint
  * Add tests for pre-create hooks
  * Add 'enabled' property for keystone service
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev286:
  * Register correct nova.host constraint
  * Do not use api-paste.ini osprofiler options
  * Reset stack status even when lock engine_id is None
  * Fix stack lock ActionInProgress in the admin case
  * Updated from global requirements
  * Add Baymodel contraint to OS::Magnum::Bay
  * Add nova.host constraint
  * Convergence: Fix unittest test_updated_time
  * Remove unnecessary detachment
  * Adds get_region_id() in keystone client plugin
  * Add a test for environment change in failed update
  * Deprecate heat-keystone-setup
  * datetime.datetime.utcnow() should be replaced
  * Remove refresh in Stack update_and_save
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev258:
  * Allow in-place updates for all compatible types
  * Updated from global requirements
  * Correct list_join function
  * Remove the unnecessary log message
  * Remove unused common exception
  * Use flavor instead of flavour
  * Updated from global requirements
  * Use EntityNotFound instead of NovaNetworkNotFound
  * fix misspelled function name
  * Add caching for nova extensions
  * Update instructions to generate GMR error reports
  * Use pbr for installing wsgi scripts
* Mon Nov 16 2015 vuntz@suse.com
- Add
  0001-Fix-discovery-of-keystone-auth-URI-with-keystone-on-.patch:
  fix issue when keystone is using SSL with invalid certificate or
  other fancy feature. See https://review.openstack.org/#/c/244941/
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev234:
  * Stack update to use _send_notification_and_add_event
  * Copy the env to the backup stack in failed update
  * Change to 'has_extension' for a test mock
  * Improve parameters obtaining logic from adopt stack data
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev228:
  * Updated from global requirements
  * LBaaS v2 custom constraints
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev224:
  * Conditionally check for service extensions
  * Updated from global requirements
  * Fix garbled docstrings
  * Fix scheduler compatibility with Python 3.7
  * Add `is_public` property to Nova Flavor resource
  * Remove default None value for config options
  * Do not resolve keystone values if it is None
  * Make nova resources available based on os-api ext
  * Adds error_code in heat exceptions
  * Log an error on an uncaught exception in a thread
  * Catch exceptions for restore_prev_rsrc/prepare_for_replace
  * Support shares in sahara node group templates
  * Use oslo.middleware SSLMiddleware
* Sat Nov  7 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev201:
  * Improve UserWarning messages
  * Add caching to neutron extensions
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev198:
  * Always process node addresses
  * Enable scenario test 'test_autoscaling_loadbalancer_neutron'
  * Remove the redundant spaces in function doc
  * Clean up convergence error message
  * Move function for member_definitions to grouputil
  * Use rsrc_defn_from_snippet for ResourceGroup
  * Replaced mox usage with mock in test_swift
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev185:
  * Skip scenario test 'test_autoscaling_loadbalancer_neutron'
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev184:
  * Don't set stack updated_time when creating it
  * Change assertTrue(isinstance()) by optimal assert
* Tue Nov  3 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev181:
  * Allow to update subnet without 'allocation_pools'
  * Enable abandon option to nested resource
  * Fix code compatibility with Python 3
* Mon Nov  2 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev176:
  * Remove spurious logs from test_loguserdata
  * Do nothing in prepare_for_replace if port not created
* Sun Nov  1 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev172:
  * Raise StackValidationFailed on parameter validation
* Sat Oct 31 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev171:
  * Updated from global requirements
  * Add net_cidr constraint for destination of subnet
  * Allow 'allocation_pools' updatable for neutron subnet
  * Use correct constraint for allowed_address_pairs
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev164:
  * Fix grenade upgrade script dependency
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev163:
  * Fix mixin class clients
  * Use oslo_config IPOpt support
* Wed Oct 28 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev159:
  * Use ClientPlugin.ignore_not_found as a context manager
  * Use assertTrue/False instead of assertEqual(T/F)
  * Use assertIn and assertNotIn
  * Resource.has_interface check get_resource_info result
  * Use assertIsNone instead of assertEqual(None, ***)
* Tue Oct 27 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev150:
  * Fix handling of FAILED ResourceGroup members on rolling update
  * Use oslo_config PortOpt support
* Sat Oct 24 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev146:
  * Updated from global requirements
  * Expand test in-progress workaround
  * Add manila data source type to OS::Sahara::DataSource
* Fri Oct 23 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev142:
  * Imported Translations from Zanata
  * replace git protocol by https
  * Implement new map_merge intrinsic function
  * Do not pass rich objects in Cloud LoadBalancer create
  * Do not pass rich objects in Cloud LoadBalancer update
  * Update OS::Magnum::BayModel with tls_disabled
  * Manually sync functional test requirements
  * Added CORS support to Heat
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev126:
  * Fix race condition in stack listing
  * Break circular references in client plugins
  * Replace github with openstack git repo
  * Refactor unit tests to support ExceptionFilters in clients
  * change stackforge url to openstack url
  * Add Bay to Magnum resources
* Wed Oct 21 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev114:
  * Updated from global requirements
  * Add functional test for ResourceGroup rolling_update
  * Add OS::Sahara::ImageRegistry resource
* Tue Oct 20 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev109:
  * Unit test for checking that migrations don't cause downtime
  * Make neutron resources available based on service extensions
  * Allow get_attr: [res_name] format to get all attribute
  * Replaced mox with mock in test_metadata_refresh
  * Updated from global requirements
* Mon Oct 19 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev100:
  * Change support_status to HIDDEN in res props
  * Updated from global requirements
  * Remove unnecessary update_replace parameter
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev95:
  * Updated from global requirements
  * list_template_functions raises NotFound exception
  * Allow LBaas integration tests to dynamically skip
  * Add more informative error during parsing
  * Fix purging of raw_template rows
  * Delete previous template upon update
  5.0.0
  * Do no net/subnet checks during validate
  * Correctly filter events on resource name
  * Check if os-interface extension is present before saving ports
  * Fix translating for props with get_param value
  * Imported Translations from Zanata
  * Include nested stacks in reset_stack_status
  * Update preview_update_stack to align with PATCH updates
  * Reduce frequency of logging environment resources
  * Fix action (CREATE) in progress error for TemplateResource/RG
  * Cleanup of Translations
  * Convert to int can cause different error messages
  * Add value_specs property for Firewall Resource
  * Make sure we can use nova-network
  * Update .gitreview for stable/liberty
  * Only fail Volume deletion in 'error_deleting' state
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev181:
  * Fix grenade shutdown script
  * improve readme content
  * Replaced mox with mock in test_watch
  * Update Baymodel in Magnum resources
* Wed Oct 14 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev174:
  * StackUser tolerate missing user on delete
  * Updated from global requirements
  * Fix parameter_defaults for comma_delimited_list and json
  * Remove ceilometer specific config for grenade plugin
  * Add signal_transport property to Heat wait conditions
  * Support update for sahara node group template
  * Remove unneeded is_service_available
  * Refactor keystone resources codes
  * Add port_extra_properties to Nova::Server nics
  * Announce Python 3.4 support
  * Grenade: Run select heat_integrationtests instead of tempest smoke
* Tue Oct 13 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev153:
  * Encode Location header in utf-8
  * Use generated auth_token instead of that in context
  * Updated from global requirements
  * Assign updated stack ID during stack update preview
  * Add stack tags to stack abandon output
  * Replaced mox with mock in test_loguserdata
  * Optimize test_server unit tests
  * Convergence: Fix restore on rollback for server and port
  * Do not return None when get_attr if res is in SNAPSHOT/CHECK
* Mon Oct 12 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev135:
  * Remove [H405] and [H404] ignoring in tox.ini
  * Fix [H405] pep rule in heat/tests
  * Add testresources used by oslo.db fixture
  * Assert has_calls in tests
  * Fix [H405] pep rule in heat_integrationtests
  * Fix [H405] pep rule in heat/resources
  * Add _needs_update() to AWS::EC2::EIPAssociation
* Sun Oct 11 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev123:
  * Correct expected and observed order of assertEqual
  * py34: cleanup
* Sat Oct 10 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev119:
  * Updated from global requirements
  * Fix [H405] pep rule in bin
  * Fix [H405] pep rule in doc/source
  * Fix [H405] pep rule in contrib
  * Fix [H405] pep rule in heat/rpc
  * Fix typo in document
* Fri Oct  9 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev107:
  * Fix [H405] pep rule in heat/objects
  * Fix [H405] pep rule in heat/common
  * Use LOG.error when no exception handler is used
  * Convergence: Fix to persist stack status in DB
  * Switch to mox3
  * Split engine service test cases (11)
  * Add node_processes validation to sahara node group
* Thu Oct  8 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev94:
  * Updated from global requirements
  * Correctly filter events on resource name
  * Try polling swift object before creating stack
  * Updated from global requirements
  * Do no net/subnet checks during validate
  * Organise doc links for Operating Heat
  * Aim first doc link list at end users
  * Align the docs intro text with the old wiki page
  * Fix translating for props with get_param value
  * Revert "Use the correct filter key in reset_stack_status"
  * Align update_policy section heading with HOT
  * Check if os-interface extension is present before saving ports
  * Convergence: Fix to use cache_data for FnGetRefId (3)
  * Convergence: Fix to use cache_data for FnGetRefId (2)
  * Convergence: Fix to use cache_data for FnGetRefId (1)
  * Make ClientPlugin.ignore_not_found a context manager
  * Add integration tests for preview update
  * Use rsrc_defn_from_snippet in heat AutoScalingGroup
  * Test case for resource_facade
* Tue Oct  6 2015 tbechtold@suse.com
- Fix BuildRequires for oslo-config-generator and fix
  oslo-config-generator call
* Mon Oct  5 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev62:
  * Add functional test coverage for PATCH updates
  * Fix action (CREATE) in progress error for TemplateResource/RG
* Sun Oct  4 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev58:
  * Include nested stacks in reset_stack_status
  * Use the correct filter key in reset_stack_status
* Sat Oct  3 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev54:
  * Consolidate keystone v3 hacks
  * Remove tests for _show_resource in manila
  * Refactor rsrc_defn_from_snippet for template classes
* Fri Oct  2 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev49:
  * Update preview_update_stack to align with PATCH updates
  * Imported Translations from Zanata
  * Fix [H405] pep rule in heat/httpd
  * Fix [H405] pep rule in heat/cmd
* Thu Oct  1 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev43:
  * Do not pass rich objects in Cloud LoadBalancer delete
  * Make OS::Monasca::AlarmDefinition expression property non-updateable
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev39:
  * Change cinder client version to 2 for integration tests
  * Reduce frequency of logging environment resources
  * Remove dead code from StackResource update_with_template
  * Don't inject extra config into neutron-vpnaas.conf
  * Remove tests for _show_resource in trove
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version heat-6.0.0.dev30:
  * replace assert statement with unittest.assertXXX
  * py34: Fix integration tests
  * Add mitaka version '6.0.0' in doc
  * Cleanup of Translations
  * Convert to int can cause different error messages
  * Fix [H405] pep rule in heat/api
  * Only fail Volume deletion in 'error_deleting' state
  * Add value_specs property for Firewall Resource
  * Some lambda were replaced on def
  5.0.0.0rc1
  * Make sure we can use nova-network
  * Open Mitaka development
  * Fix file permissions
  * Make re-raising of client exceptions safer
  * py34: Get rid of py3-testlist
  * py34: heat.tests.api.*
  * py34: heat.tests.api.cfn
  * py34: test_loguserdata/test_ec2_token
  * py34: contrib resources
  * py34: heat.tests.mistral/convergence
  * py34: heat.tests.test_fault_middleware
  * Convergence: Fix to use cache_data for nested stack
  * Updated from global requirements
  * Allow nested validation for template-validate
  * Don't pass defaults as parameters for TemplateResource
  * Fix [H405] pep rule in heat/db
  * Fix [H405] pep rule in heat/engine/cfn
* Fri Sep 25 2015 nkrinner@suse.com
- Adjusted spec file sed pattern to reflect changes in an internal
  configugration file.
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev400:
  * Convergence: in resource_by_refid() don't check the state
  * Convergence: add support for the path_component
  * [Heat Docs] Update links to Cloud Admin Guide
  * Revert "Make sure all "updated_at" fields store fractional seconds"
  * SoftwareDeploymentGroup - make path based attributes work
  * Add a preview endpoint for stack updates
  * Move Server network stuff to separate mixin class
  * Use min and max on IntOpt option types
  * Updated from global requirements
  * Fix docs for Hello World and WP Single templates
  * py34: heat.tests.api (1)
  * Use default client name for neutron resources
  * py34: heat.tests.test_parameters
  * Refactor InstanceGroup batch sizing logic
  * py34: heat.tests.test_common_serializers
* Mon Aug 31 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev371:
  * Updated from global requirements
* Sun Aug 30 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev369:
  * Increase num_engine_workers to 4 in functional tests
  * Adds resource uuid, volume support to lifecycle scheduler hints
  * Use latest stable version for RG & ASG nested templates
  * Raise exception if asg in cooldown
  * Provide signal_url for DELETE action when using other transports
  * Don't metadata_update all resources for deployment signals
  * Add resource_type-specific policies
* Sat Aug 29 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev355:
  * Use the official mission statement in index.rst
  * flake8 check doc/source
  * Use sections for individual properties and attributes
  * Use latest stable template version in snippets
  * Use code-block:: yaml for all template snippets
  * convergence: populate stack.resources in Resource.load
* Fri Aug 28 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev343:
  * unify REST word
* Thu Aug 27 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev341:
  * Fix some files permissions
  * Ensure traversal ID is updated
  * Add tests for show_resource function
* Wed Aug 26 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev335:
  * Improve docstrings for software deployment properties
  * Quieten the unit test logs down
  * SoftwareDeployments modify validation to use properties
  * Small improvements of OS::Nova::Server resource
  * Fix Software Deployment DELETE action for CFN_SIGNAL transport
  * Do not pass rich objects in CloudNetwork resource
* Tue Aug 25 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev324:
  * Revert "Refactor format_resource_attributes"
  * Updated from global requirements
  * Updates monasca plugins doc string to install python-monascaclient
  * Move all tasks objects into progress module
  * Use correct timeout value in convergence tests
  * Split engine service test cases (8)
  * Fix Rackspace nova server addresses attribute
  * Adds _show_resource support to designate plugins
* Mon Aug 24 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev308:
  * Fix sample snippet in the template guide
  * Add properties grouping by necessity in docs
* Sat Aug 22 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev305:
  * Remove redundant code
  * Updated from global requirements
  * Fix description for "Not exact spelling"
  * Update encrypted param template Added the encrypted parameter as a property for a Nova server
  * Add alternative way to use debugger for unittets
  * Fix "{}" is not a list error for json parameter type
  * Add and apply cinder backup constraint
  * Fix heat-api-cfn 500 error on an unknown action
  * resource failure causes nested stacks to be rolled back
  * Add info about refactored handle_delete to doc
  * Refactor repeated handle_delete
  * Increase the concurrency of software-config functional test
  * Fix stack-list after failed update
* Fri Aug 21 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev279:
  * Fix create trove instance with a neutron port failed
  * Fix incorrect resource's information while describing
  * Add secret_type property to Barbican secret
  * Improve unit tests to succeed without hash tweak
  * Improve test coverage for nova client plugin
  * Make sure 'SubnetId' update works for instance
  * Convergence: input_data physical_resource_id -> reference_id
  * Convergence: pass the resource name into has_cache()
  * Correct volume restore behavior
  * Don't raise exception when get nested stack
* Thu Aug 20 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev259:
  * Convergence: Fix string formatting while logging
  * Assert DELETE_COMPLETE on all stack delete cleanup
  * Allow empty/None output values
  * Do not use rich objects is servers update
  * Add show resource function to swift container
  * Order type property should be required
  * Add show resource function to Barbican
  * py34: heat.tests.test_os_database
  * py34: heat.tests.client/openstack
* Wed Aug 19 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev242:
  * Revert failing tests and use v3 for ec2 tokens
  * Remove _get_extensions method
  * Updated from global requirements
  * Add attribute types to Mistral resources
  * Fix a typo in method name
  * Fix typo error in the message
  * Adds show resource support for monasca resources
  * Fix docs about using SupportStatus during remove
  * Add base_attributes_schema to documentation
  * Move extensions to separate method in NovaClient
  * Convergence: Tests for convergence graph
  * Monasca Alarm definition resource plugin
  * Monasca Notification resource plugin
  * Refactor wait condition handles
* Tue Aug 18 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev215:
  * Fix configuration in tests
* Sat Aug 15 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev214:
  * Add option to specify metadata for RG resources
  * Use atomic_key for deployment metadata updates
  * Updated from global requirements
  * py34: test_hot and test_validate
* Fri Aug 14 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev207:
  * Add default value for boolean type to pluginguide
  * heat.tests.aws.*
  * Remove 'wrap_exception' function
  * Convergence: Consolidate convergence stack unit tests
  * Adds option to skip specific tests
  * Monasca client plugin
* Thu Aug 13 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev195:
  * Updated from global requirements
  * Get auth_uri from [clients_keystone] section for ec2tokens
  * Correctly determine keystone v3 endpoint
  * Skip failing integration tests
  * add ceilometer notification agent to docs
  * Mock out ceilometerclient redirect_to_aodh_endpoint
  * Fix common serializers with test case
  * Don't use Ref in hot template (functional test)
  * Add show_resource function to Mistral resources (4)
  * Support attributes with dynamic scheme
  * Refactor format_resource_attributes
* Tue Aug 11 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev175:
  * Add cleanup when skipping tests for stack actions
  * Fix test_stack_collect_attributes
  * Updated from global requirements
  * Add note on the use of intrinsic functions
  * Functional test for encryption volume type
  * Add config entries to skip integration tests
  * Convergence: Implementation of timeout
  * refactoring update_task
  * Add cron_expression constraint to OS::Mistral::CronTrigger
  * py34: heat.tests.nova
  * py34: heat.tests.autoscaling
  * py34: test_sahara/software_deployment
  * Convergence: Fix concurrent update rollback
* Mon Aug 10 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev149:
  * Add support status for rolling update policy schema
  * Revert "Temporarily skip failing scenario tests"
* Sat Aug  8 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev145:
  * Don't use default None for params in handle_update
  * Remove instance_user and admin_user options
  * Support boolean inputs for SoftwareConfig's
* Fri Aug  7 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev139:
  * Try to get the version of cloud init via popen
  * Replace tag 2015.2 to 5.0.0
  * Support 'severity' for ceilometer alarm
  * Split OpenStack API V1 unit tests
  * Resource-type-show does not report unavailable resource type
  * Split engine unit test cases for resource type
  * py34: heat.tests.test_template
  * py34: test_auth_*
  * py34: test_engine_*
  * Add rolling_update to ResourceGroup
* Thu Aug  6 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev119:
  * Fix pre_test_hook.sh encryption setting
  * Fixes Resource object refresh to use db object
  * Add basic stack-preview functional test
  * OS::Cinder::VolumeType help doc string contains redundant info
  * Updated from global requirements
  * Remove redundant parameter from EngineService
  * Imported Translations from Transifex
  * Add cancel_with_rollback flag to stack cancel update
  * Add batching for heat-manage encrypt/decrypt
* Wed Aug  5 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev102:
  * Fix handle_delete for zaqar queue
  * Use default client name in nova - afterfixes
  * Add functional test for resource exposure
  * Add show_resource function to Magnum resources (8)
  * Use base attributes with attribute_schema of class
  * Add test for template resource suspend/resume
  * add time_constraints property in OS::Ceilometer::Alarm
  * Add _show_resource function to Cinder resources (6)
  * Updated from global requirements
  * Make sure all "updated_at" fields store fractional seconds
  * py34: heat.tests.test_engine_service
  * Add show_resource function to Manila resources (5)
  * Add show_resource function to Ceilometer resources (9)
  * Add show_resource function to Trove resources (7)
  * Convergence: Do create operation only if action is INIT
  * Add show_resource function to Glance resources (2)
  * Add show_resource function to Nova resources (1)
  * Add base resolve method for attributes
  * Convergence: Fix concurrent update resource cleanup
  * Convergence: Refactor convergence dependency
  * Add keystone.user custom constraint
  * Always commit after deployment db operations
  * Add doc about db being offline to encryption utility
* Tue Aug  4 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev58:
  * move ceilometer constraints to common constraint
  * Use default client name for glance image resource
  * Add a functional test option to skip notification tests
  * ReST API: Refactor error handler as a context manager
* Mon Aug  3 2015 tbechtold@suse.com
- Update to version heat-5.0.0.0b3.dev52:
  * move network constraints from neutron to common constraint
  * Import magnum python client directly
  * Adds python-magnumclient>=0.2.1
  * Integration test check for OS_PROJECT_NAME too
  * Use OS_TEST_PATH for integration tests
  * collect common constraints
  * py34: heat.tests.neutron
  * py34: heat.tests.test_resource
  * py34: heat.tests.db.*
  * Convergence: fix functional test test_nested_stack_adopt_fail
  * Make convergence functional
  * Convergence: Don't try to unlock a resource after the DB row is deleted
  * Use default client in nova
- Adjust Requires
* Mon Aug  3 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev27:
  * py34: test_environment*
  * Add tenant_id to heat cache key
  * Reuse existing environment on PATCH update
  * Remove patch_previous_parameters() from Environment
  * Adds coverage for AWS EIP resource in scenario tests
* Sun Aug  2 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev20:
  * Convergence: clarify what "data" is
  * Clean up the worker service logging
  * Convergence: fix KeyError when creating stack
  * Add HIDDEN status to Cinder::Volume image_ref
  * Add HIDDEN status to Neutron::Port
  * Add HIDDEN status to Neutron::RouterInterface
  * Add HIDDEN status to Neutron::Pool
  * Add HIDDEN status to Neutron::VPNService
  * Add HIDDEN status to Neutron::NetworkGateway
  * Add HIDDEN status to Neutron::FloatingIP
  * Add HIDDEN status to network_id Neutron::Subnet
  * Add to TranslationRule REPLACE rule value_path del
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b3.dev7:
  * add new constraints to ceilometer
  * Updated from global requirements
  * Fix `DummyResource missing in provider` error
  * Temporarily skip failing scenario tests
  5.0.0.0b2
  * Convergence: Fix for resource needed_by
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev398:
  * Imported Translations from Transifex
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev397:
  * Do not use VolumeTasks in AWS Instance create
  * Fix formula for calc update_timeout in instance group
  * Support to view all attributes of resource
  * Correct stack identity when delete nested
  * Do not use rich server objects in servers' create
  * Refactor template resource to use grouputils
  * Convergence: Handle InvalidTemplateAttribute in worker
  * Scan for output errors in functional tests
  * Catch output error and re-raise them in nested stacks
  * Get 'update' paragraph from top-level schema
  * Move internal test resources to generic_resource
  * Refactor and correct purge_deleted
  * Use default client in Cinder resources
  * Fix StackResourceUnavailable exception
  * Use default_client_name for ceilometer client
  * Make "heat-manage update_params encrypt" idempotent
  * Add properties_data encryption to heat-manage
  * Move qpid-python to test-requirements
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev361:
  * Remove dogpile from heat requirements
  * Import mistral python client directly
  * Convergence: Re-trigger stack operation
  * Adding functional integration test for encrypted parameters
  * Add test covering PARAM_CLEAR_PARAMETERS for patch update
  * Fix/refactor test_stack_update_existing_parameters
  * test_engine_service remove spurious deletes
  * Add LbImageId magic param to aws loadbalancer nested template
  * Stop using eventlet threads in test_engine_service
  * Reduce size of stack_identity in heat notifications
* Mon Jul 27 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev341:
  * Fix four typos on heat documentation
  * Updated from global requirements
  * Removes replace-on-update for SwiftSignalHandle resource
  * Add sighup_timeout to heat_integrationtests.conf.sample
  * Make 'server' property of SoftwareDeployment mandatory
  * Convergence: fix current traversal
* Sat Jul 25 2015 seife+obs@b1-systems.com
- fix spec file conditions for non-suse distributions
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev329:
  * Fix RS CLB resource to handle HTTPS_REDIRECT correctly
  * Add HIDDEN status to Server uuid
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev325:
  * Use default_client_name for mistral
  * Use default_client_name in aws s3 resource
  * Adds python-mistralclient>=1.0.0 in requirements.txt
  * Fix test_signal_returns_metadata wrong assertions
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev317:
  * Imported Translations from Transifex
  * Convergence: Refactor worker
  * Updated from global requirements
  * Convergence: Fix concurrent update
  * Enable caching for property constraints
  * Ignore .eggs directory (created by the new pbr)
  * Catch NotFound in format_stack_resource for nested()
  * Use default_client_name for keystone
  * Add OS::Heat::None resource
  * Add test for ceilometer client
  * Move core engine related unit tests to tests/engine
  * Add HIDDEN status to RandomString sequence
  * Add documentation page for Support Status
  * Add translate_properties for Resource
  * Convergence: Fix resource loading on cleanup
  * Support snapshot deletion policy in Server
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev285:
  * Get heat.tests.test_stack* working in py34 env
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev283:
  * Remove unneeded stub from test/common
  * Early initialization of worker rpc client
  * Move rollback logic to stack class
  * Fix the project_id to project_name when initializing ceilometerclient
  * Use default_client_name for swift
  * Use default_client_name for barbican
  * Refactor timeout calculation to utility
  * Add base_attribute schema for all resources
  * Disable instance_user by default
* Tue Jul 21 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev265:
  * Fix unsupported format character error for multipart mime
  * Updated from global requirements
* Sun Jul 19 2015 bwiedemann@suse.de
- Replace remove-qpid-requirement.patch with sed
  to avoid continuous rebasing
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev261:
  * Use default_client_name for trove
  * Fix integration tests hooks
  * Fix test novaclient.create
  * Minor efficiency improvements to ResourceGroup
  * Updated from global requirements
  * Use ResourceDefinitionCore methods for lbutils
  * Add MTU attribute for OS::Neutron::Net
  * Update SupportStatuses for objs where it needed
  * Add PhysicalResourceNameAmbiguity to exc mapping
  * Updated from global requirements
  * Refactor Adding service_types to client_plugins
  * Move signals to SignalResponder class
  * Convergence: Allow creating stacks of empty templates
  * Generate correct names for sahara templates
  * Return EIP resource name during template validation
  * Add missing test for manila share attributes
  * Use mock in test_attributes.py instead of mox
  * Designate Record resource
  * Designate Domain resource
  * Add HIDDEN status to SupportStatus
  * Should execute 'resolve' before check the values of 'for_each'
* Wed Jul 15 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev220:
  * Don't copy exception classes
  * Updated from global requirements
  * Fix typos in hot_spec documentation
  * Use __iter__ method of Attributes class in __repr__ method
  * Wait until child process will be killed
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev210:
  * Removed typo in log when stack not found
  * convergence: add adopt support
  * Imported Translations from Transifex
  * Rename api unit test folder name
  * Updated from global requirements
  * Add template-function-list
  * Port short_id to return unicode
  * Add a way to run py34 tests from file
  * tox environment for `bandit`
  * Added required name property to Create a key pair example
* Sun Jul 12 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev191:
  * Adds designate.domain constraint
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0b2.dev189:
  * Fix failures related to the mock 1.1.0 release
* Fri Jul 10 2015 bwiedemann@suse.de
- Update to version heat-5.0.0.0b2.dev188:
  * Re-enable the ceilometer alarm test
  * Adopt @six.python_2_unicode_compatible decorator
  * Temporarily skip the ceilometer alarm test(again)
  * Extract tags before pass them in create/update
  * support list resources with details
  * Imported Translations from Transifex
  * Fix external references in glossary doc
  * Move all api tests to /tests/api
  * Split engine service test cases (7)
  * Add Boolean type to attributes schema
  * Refactor test_share_create_failed test for Manila
  * List resource_type based on availability
  * Conditionally expose resources based on available services
  * Remove hotref links in the documentation
  * Add a new crypt method using cryptography
  * Convergence: Compute resource dependencies
  * Convergence: Handling resouce clean-up
  * Allow suspend and resume again if failed last time
  * Keep the path when re-registering the template resource
  * Update wsgi.py to support reload from conf on SIGHUP
  * Support time-delays in server.resize
  * Add types to barbican resource attributes
  * ASG scaling account for cooldown timestamp & in-progress
  * Use the default when creating schema from a template
  * Remove unneeded OS_TEST_DBAPI_ADMIN_CONNECTION
  * Updated from global requirements
  * Don't stop operations immediately when an error occurs
  * Revert "Add a new crypt method using cryptography"
  * ignore sample config file generated by tox -egenconfig
  * Move ceilometer resource tests to /tests/ceilometer/
* Tue Jun 23 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0a1.dev13:
  * Update version for Liberty
  * Imported Translations from Transifex
  * Fix description for trove cluster IP attribute
  * Fix ceilometer backend in heat docs
  * Move listener rpc client to rpc/listener_client.py
  * Add the convergence resource replacement logic
  * convergence: sync_point fixes
  * Fix the ThreadMgr mocking in test_stack_create_max_unlimited
  * Make the objects behave more consistently
  * Switch from MySQL-python to PyMySQL
  * Not all exceptions from remote stacks are internal exceptions
* Mon Jun 22 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev1:
  * make heat-manage a console_script entry point
* Sat Jun 20 2015 cloud-devel@suse.de
- Update to version heat-5.0.0.0a0:
  5.0.0a0
  * Fix description for ResourceGroup count property
  * convergence: (temporary) convert int entity_id to string
  * Move Magnum client into main tree
  * Make sure default_client_name declared for required resources
  * Add attribute type for openstack resources
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev555:
  * Make requirements.txt python clients in ascending order
  * Removes is_available() from manila client plugin
  * Adds service_types to client_plugins
  * Correct mocks for group adjust tests
  * Missing template file on update fails silently
  * Coverage: Additional test coverage for engine event
  * Reusable empty template
  * Add apache2 support for heat API services
  * Added tests for checking of handling AssertionErrors
  * Stack updated error if creation fails
  * Remove unnecessary has_client() checks
  * Remove identical modules versions.py
  * Use pbr new autodoc feature
  * Move gnocchi resource in-tree
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev527:
  * Permit DRAINING condition for RS lb
  * Designate client plugin
  * Imported Translations from Transifex
  * Add additional info for DEPRECATED objects
  * Add previous_status to SupportStatus
  * Add _add_event at the end of update_task
  * Coverage: Additional test case for better coverage
  * Remove deprecated headers in auth_password
  * Continue to check if nova task is in progress
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev510:
  * Updated from global requirements
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev509:
  * Remove predecessor column from raw_template
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev507:
  * Add attribute type for heat resources
  * Fix KeyError exception when stack snapshot deletion
  * Remove unnecessary registration of glance resource
  * Remove deprecated metadata_update method
  * Move registration of GenericResource to HeatTest
  * Move registration of resources to HeatTestCase
  * Register ResourceWithPropsAndAttrs in HeatTestCase
  * Register ResourceWithProps in HeatTestCase
  * Register ResourceWithComplexAttributes in HeatTest
  * Register ResWithComplexPropsAndAttrs in HeatTest
  * Updated from global requirements
  * Don't access nova Server private attributes
  * Catch exceptions in service status report
  * Check that env is not None before decrypting
  * Test manila and zaqar exceptions
  * Convergence soft delete stack after delete action is completed
  * Fix RouterInterface properties validation
  * Update unit test case for Keystone client plug-in for service
  * Add manila client to heat requirements
  * Split engine service test cases (6)
  * Updated from global requirements
  * Copy environment before decrypting
  * Add explicit return to _get_property_value()
  * Clean openstack common modules
  * Add unit test case for Keystone client plug-in for group
  * Add unit test case for Keystone client plug-in for domain
  * Add unit test case for Keystone client plug-in for project
  * Add unit test case for Keystone client plug-in for role
  * Signal SoftwareDeployment resource
  * Sync with latest oslo-incubator
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev464:
  * Remove deprecated list_notifier_drivers option
  * Eventlet green threads not released back to pool
  * Include support status in resource schema
  * Added documentation on resource contributions
* Wed Jun  3 2015 bwiedemann@suse.de
- Update to version heat-2015.2.0.dev456:
  * Stop using oslo_utils.timeutils.isotime()
  * Stop using deprecated oslo_utils.timeutils.strtime()
  * Update heat_integrationtests.conf.sample
  * Reload logging options when receiving SIGHUP
  * Move nova_flavor resource in-tree
  * Switch total_resources to use stack_count_total_resources
  * Count all nested stack resources with DB operations
  * Get rid of oslo-incubator copy of middleware
  * Convergence: Check-Resource skeleton
  * Fix config file generation
  * Add attribute type for neutron resources
  * Report status when engine start
  * Disable cloud-watch-lite by default
  * Imported Translations from Transifex
  * Updated from global requirements
  * Simplify handle_check in Nova server
  * Add functional test for neutron port
  * Move extraroute resource in-tree
  * Add unsupported resources page to documentation
  * Use network 'heat-net' for integration_tests
  * Move zaqar client into main tree
* Sat May 30 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev419:
  * Switch to oslo.policy
  * Heat could not create samples with Ceilometer
  * Stop monkey-patching global namespace
  * Removes deprecated metadata property from Resource class
  * Avoid crash when registering resources
  * Delete deprecated old-style client access
  * Should raise error if hook is invalid
  * Add note on Barbican Order's order_ref structure
  * Save snapshot to db before stack snapshot complete
* Fri May 29 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev401:
  * Fix py27log env in tox
  * Revert "Add validation to set one of network, port or uuid"
  * Check for encrypted_param_names key in environment
  * Add validation for parameter_groups
  * Split engine service test cases (4)
* Thu May 28 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev392:
  * Raise HTTPBadRequest instead of ValueError for API validation
  * Do not pass rich objects in Swift Container
  * Remove deprecated resolve_runtime_data
  * Remove deprecated parser module
  * Remove TaskRunner from Volume resources
  * Add network uuid to server networks attribute
  * Add attribute type for aws resources
* Wed May 27 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev378:
  * Rename OS::Heat::StructuredDeployments
  * Rename OS::Heat::SoftwareDeployments
  * Remove deprecated nova_utils
  * Run functional tests when no ceilometer endpoint
  * Add note that OS::project_id is available since Kilo
  * Don't swallow AssertionErrors
* Tue May 26 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev369:
  * Do not verify requirements on extension loading
  * Find root stack ID with database operations
  * Don't swallow AssertionErrors
  * Change user_data_format default value in Rackspace server
  * Fix property validation for TemplateResource during update
  * Update the stack state as late as possible
* Sat May 16 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev358:
  * Get rid of circular references in Resource and Function
  * Improve cinder volume validation and tests related
  * Add CIDR format validation
  * Updated from global requirements
  * Pass stack to thread in resource_signal
  * Retain references to stacks in all unit tests
  * Reference the parent stack, not parent resource in Stack
  * Catch warnings consistently during tests
  * heat_keystone README update for service and endpoint
  * Resource plug-in for keystone endpoint
  * Resource plug-in for keystone service
  * Replace self.properties.get on self.properties[]
  * Fix docs about configuring heat with devstack
  * Don't raise error if actions are mismatched
  * Constraint port property range from 0 to 655535
  * Add mac address format validation
  * Add basic Ceilometer alarm test
  * Encrypt Heat template hidden parameters
* Fri May 15 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev325:
  * Fix integration tests for tox>2.0
  * Add validation for cinder volume
  * Add a py34 env
  * Import python modules instead of objects
  * Add address format check for property
* Thu May 14 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev315:
  * Sync oslo incubator
* Wed May 13 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev313:
  * Fix resource-signal for OS::Mistral::Workflow
  * Move barbican client in main tree
  * Split engine service test cases (3)
  * Add remaining_executions attribute to OS::Mistral::CronTrigger
  * Don't use scoping information for admin auth
* Tue May 12 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev303:
  * Updated from global requirements
  * Save updated-in-place resources to backup stack
  * Convergence: Allow creating lightweight stacks
* Mon May 11 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev297:
  * Update cirros version
  * Support set 'read_only' access mode for cinder volume
  * Use action in check_*_complete method
  * Do not specify version for contrib plugins
* Sat May  9 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev290:
  * Assert that we can update TemplateResources with a new file path
  * Decouple volumes of aws and os
  * fix for retrieving leaf nodes in convergence stack delete
  * cleanup of hacking.rst heat doc
  * changed heat dev docs to comply with conventions
* Fri May  8 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev280:
  * Remove DatabaseInstance note from README
  * Custom constrain for keystone service
  * Update template paths for environment-mapped TemplateResources
  * Run heat_integrationtests in parallel
  * Fix call to ignore_not_found() in SwiftSignal
  * Add type field to the resource attributes schema
  * Expose create time in stack resource list:
  * made change to architecture rst heat doc
* Thu May  7 2015 dmueller@suse.com
- Update to version heat-2015.2.0.dev264:
  * Updated from global requirements
  * Not allow to delete in-progress snapshot
  * Don't create events when signals don't perform an action
  * Add functional tests for stack tags/hidden stacks
  * Don't assert against all the lb-members
  * Prevent false positives of *_FAILED status
  * Updated from global requirements
  * Add Magnum client plugin
  * Do constraint validation for None value property
  * Use auth plugin provided getter methods
  * Add more stack_resource unit tests
  * Use an auth plugin instead of manual auth
* Wed May  6 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev241:
  * Wait for the stack lock to be released
  * Remove unneeded MANIFEST.in
  * Allow specific floating_ip_address when creation
  * Split engine service test cases (2)
* Wed May  6 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev233:
  * Imported Translations from Transifex
  * Delete redundant resource.id checking
  * Add note on SoftwareDeployment object structure
* Tue May  5 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev227:
  * Add validation to set one of network, port or uuid
  * Convergence prepare traversal
* Tue May  5 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev223:
  * Generate stack events for stack state transitions
* Mon May  4 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev221:
  * Add support status for current_size ASG attribute
  * Add unit tests for mistral workflow
  * Remove empty properties from workflow definition
* Mon May  4 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev216:
  * Add min_adjustment_step property to ScalingPolicy
* Sat May  2 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev214:
  * Updated from global requirements
  * Prevent false positives of UPDATE_COMPLETE in integration tests
  * Enable SecurityGroups property for AWS LB resource
  * Add timeout hidden parameter to AWS LB
  * Use the AccessInfoPlugin from keystoneclient
  * Fixes README to include saharaclient info
* Fri May  1 2015 cloud-devel@suse.de
- Update to version heat-2015.2.0.dev203:
  * Use ipv4 address for connectivity in lb integration test
  * Use $DEST consistently in the post_test_hook.sh
  * Code improvement: avoid reduntant if conditions
  * Support to generate hot template based on resource type
  * Remove the is_id boolean check for domains
  * Fix snapshot image/backup residue in backend
  * Fix TypeError exception during cancel stack update
  * Use snapshot's environment when stack restore
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev197:
  * Use ipv4 subnet in Heat scenario tests
  * change to environment.rst heat doc
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev193:
  * Fix logging during delete stack
  * Move aws resources tests to heat/tests/aws/
  * minor change to on_other.rst file
  * Replace regionOne with RegionOne
  * Use list instead of iterator in `for` loop for modifiable collection
  * Fix server creation with block_device_mapping_v2
  * Stop snapshot creation checking if image in DELETED
  * Add details of volume backup failed reason
  * Fix error network updation when stack-restore
  * Do not pass rich objects in Zaqar Queue
  * Do not pass around rich objects in Trove resources
* Tue Apr 28 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev171:
  * changed heat dev docs to comply with conventions
  * Updated from global requirements
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev167:
  * Add parameters types table to docs
  * Updated from global requirements
  * Do not filter stacks if tags is empty list
  * Update the rest of the code to satisfy flake8 in a py34 env
  * Use six.text_type and six.reraise
  * Use six.moves.map/filter/zip
  * Change instances of x.next() to next(x)
  * Use SHA256 instead of SHA1 for resource signature
  * Remove downgrade functions
  * Updated from global requirements
  * Use six.iterkeys(x) instead of x.keys()
  * Update xrange and lambda for python3
  * Update urllib/httplib/cStringIO to use six.moves
  * Replace dict.itervalues/dict.iteritems and use len over filter function
  * Improve StackValidationFailed response in nested
  * Split engine service test cases (1)
  * Fix ResourceGroup validate when there are removal_policies
  * Fix usage of novaclient
  * Add filtering for stack-list by stack_id
  * Fix wrong type of exception raised
  * Fix unicodeerror when heat-engine start
  * Implement OS::Manila::SecurityService resource type
  * Pass stack id to init stacklock
  * Cancel nested stack updates when appropriate
  * Remove redundant checks of stack status
  * Correct properties.Schema.NUMBER to INTEGER
  * Add additional validation for fip properties
  * Add env storing for loaded environments
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev112:
  * Add v6-fixed-ip support for nova server
  * Docker plugin add cpu set property
  * Use six.itervalues(x) instead of x.values()
  * Imported Translations from Transifex
  * Set auth_encryption_key option to be secret
  * Split engine service test case
  * Add ability to filter stacks by tag
  * Add manila share type
  * Use auth plugins for domain client and admin client
* Tue Apr 21 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev94:
  * Add version for device_block_mapping_v2
  * Deny to migrate to lower schema version
  * Adds --version into command docs
  * Add OS::Mistral::CronTrigger resource
  * Improve StackValidationFailed response in outputs
  * Improve StackValidationFailed response in properties
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev82:
  * Remove unnecessary required=False
  * Don't re-bind environment for get_file during stack update
  * Add version to manila plugin
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev77:
  * Clarify `attributes` support status for AutoScalingGroup
  * Update documentation for path based nested attribute access
  * Add support for the httpsRedirect property
  * Show deprecated warnings when import parser
  * Start use error_exit function in AWS LB
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev67:
  * Make SoftwareDeployments work for non-CREATE actions
  * Persist parent_resource_name and make sure it's available
* Wed Apr 15 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev64:
  * Docker plugin add host devices property
  * Fix sqlalchemy migration script 061 for DB2 backend
  * Make sure UpdatePolicy is unset for Heat scaling group
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev58:
  * Docker plugin add cpu share property
  * Add version to support_status where it omitted
  * Use helper functions stack_suspend and stack_resume
* Sat Apr 11 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev52:
  * Make sure snapshot belongs to stack for actions
  * Fix Zaqar Client's service_type
  * Docker plugin add the 'support_status' for the properties of 'RESTART_POLICY','CAP_ADD' and 'CAP_DROP'
  * Add '2015.2' version for Liberty in doc
  * Use stack_object directly in test_engine_service.py
  * Add a "show_hidden" parameter to stack-list API
  * Add ability to hide stacks based on tag
  * Database API and engine changes for stack tags
  * Deprecate using required=True with default value
  * Make disk property of flavor default
  * Add OS::Mistral::Workflow for Mistral workflows
  * auth_encryption_key is being checked to be 16, 24, or 32
  * Update all templates in neutron tests
  * Split net and subnet tests to different files
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev25:
  * Correct stack_object.Stack get_all mock
  * Update openstack-common reference in openstack/common/README
  * test_resource for functional tests
  * Do not detach/re-attach volumes in AWS Instance
  * Implement Manila client plugin
* Thu Apr  9 2015 vuntz@suse.com
- Ship /usr/lib/heat directory in openstack-heat-engine subpackage,
  since that's where plugin are loaded from.
- Create openstack-heat-plugin-heat_docker subpackage so we can
  ship the heat_docker plugin.
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev15:
  * Fix NeutronLoadBalancerTest.test_neutron_loadbalancer timeout
  * Fix resources allocation in documentation
  * To attach interface for server when using 'uuid'
  * Cleans nullable=True in db model column declaration
  * Novaclient v2 instead of v1_1
  * Set IMAGE_UPDATE_POLICY default to REBUILD
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version heat-2015.2.dev3:
  * Open Liberty development
  2015.1.0rc1
  * Cleans default declaration nullable=False from heat objects
  * Fix stack update issue
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev170:
  * Fix functional test_signal_during_suspend
  * Imported Translations from Transifex
  * Do not resolve neutron resource attributes when resource_id is None
  * Updated from global requirements
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev162:
  * Set stack status to FAILED when engine is down
  * Do sleep(0) for first task sleep
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev158:
  * Fix stack-update for OS::Nova::Server resource
  * Imported Translations from Transifex
  * Create an event when signalling fails
  * Ignore migrating environments for deleted stacks
  * Correctly initialize copies of stack during updating stack
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev149:
  * Fixes migrate_data utils to avoid created_at filed
  * Add separate requirements.txt to integration tests
  * Updates migrate_repo README
  * Fix typo in doc
  * Prove that we can't signal during a suspend
  * OS::Neutron::Port default replacement_policy=AUTO
  * Re-factor db sqlalchemy tests
  * Use HeatTestCase as parent instead of testtools
  * Change the default num_engine_workers to get_worker_count()
  * Move generic resources to properties schema
  * Set state to failed if we get a base exception
  * Move provider_net test to separate file
  * Move router tests to separate file
  * Move floating ip test to separate file
  * Add way to collect map of needed attributes
  * require python-oslo.concurrency
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev119:
  * Cleanup snapshot records when stack deletion
  * Make sure to delete stack when SNAPSHOT_IN_PROGRESS
  * Add versions to all contrib plugins
  * Don't assume that there is one service per host
  * gnocchi: ceilometer alarm update
* Sun Mar 29 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev109:
  * Move tests for port resource to separate file
  * Move constraint's tests to test_neutron_client.py
  * Make 'refs' attribute of ResourceGroup resource indexable
  * Move common neutron module tests to separate file
  * Move all neutron test in separate directory
  * Add user_identity to RequestContext.to_dict()
  * Remove return for rpc casts in rpc worker client
* Fri Mar 27 2015 rsalevsky@suse.com
- Update to version heat-2015.1.dev95:
  * oslo-incubator sync
  * Add dependency for FIP if used network in port
  * Add function 'digest' doc
  * Imported Translations from Transifex
  * test_hooks remove race-prone status wait
  * Add extra check for signal during DELETE or SUSPEND
  * Add SupportStatus to vnic_type
  * Docker plugin add read_only property
  * Make the status_reason field Text instead of String(255)
  * make actions property optional
  * Move to hacking 0.10
  * Add /usr/local/lib/heat to default plugin_dirs
  * Using OS_TENANT_NAME in heat-keystone-setup-domain
  * Fix common misspellings
  * Adds version reporting for heat commands
  * Fix some new PEP8 errors found at gate
  * Fix the topic and server that the listener client uses
  * Use oslo.log in wsgi.py
  * Don't use a different thread local store to oslo.log
  * Fix typo in pluginguide
  * Add note that OS::stack_id is available since Kilo
  * Add minimal_instance_type config option
  * Add floating network config option
  * Fix SupportStatus msg appearing in doc generating
  * Use Service objects instead of db_api
  * Versioned-object StackLock
  * Unit test case migration for Stack object
  * Move stack_user_domain warning to startup
  * Func tests use fedora-heat-test-image
  * iniset heat_integrationtests.conf
- Rebased patches:
  * remove-qpid-requirement.patch (manually)
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev14:
  * Correct confusing "cls" argument on non-static method
  * Call db refresh in Stack object refresh
  * Update integrations tests config sample
  * Use outputs section for getting ip addresses
  * Add a functional test for hooks/breakpoints
  * Add breakpoint support
  * Switch config deferred_auth_method to trusts by default
* Fri Mar 20 2015 cloud-devel@suse.de
- Update to version heat-2015.1.0b3:
  2015.1.0b3
  * Store Resources before they are created
  * Fixes SoftwareConfigService to use Resource object
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev418:
  * Fixes StackWatchService to use objects in place of db
  * StackResource convert operations to use RPC
  * Versioned object - WatchRule and WatchData
  * Remove usage of 'long' data type
  * Pass the environment into the Template class and not Stack
  * Versioned-object SyncPoint
  * Add OS::Trove::Cluster resource
  * Add integration scenario test for Neutron LBaaS
  * Docker plugin add restart policies and capability properties
  * Versioned object Service
  * Pin the target keystone endpoint to the context auth url
  * Remove capacity check from AWS::AG update
  * Move test_notifications to functional
  * Fix config drive not created when boot from volume
* Wed Mar 18 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev390:
  * Check all available support statuses
  * Add extra columns for resource table
  * Use oslo.log for heat_integrationtests
  * heat.conf options for transport properties default
  * Separate message and traceback even if not a remote error
  * Fix OS::Zaqar::Queue resource_mapping
  * Versioned object - SoftwareDeployment
  * Versioned objects - Event
  * Versioned objects - Snapshot
  * StackTag versioned-object
  * Source gnocchi alarms resources in the right way
  * Allows update of domain for keystone project and group
  * Keystone resource plugin for User
  * Add missing versioned mechanism to Stack object
  * Updates heat_keystone with version support
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev361:
  * Make Heat ASG always do rolling_updates
  * Replace mox with mock for stack-lock test cases
  * Versioned objects - UserCreds
  * Keystone resource plugin for Group
  * Remove 'adding-new-users-to-devstack' doc on_devstack.rst
* Mon Mar 16 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev351:
  * Replace mox with mock for stack-update test cases
  * Fix RS swift client to match correct signature
  * Retrieve service catalog when it is missing
* Sun Mar 15 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev345:
  * Fix typo in contrib resource declaration
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev344:
  * Apply neutron router constraint
  * Apply neutron subnet constraint
  * Convergence sync_point table
  * Versioned objects - Resource
  * Versioned object - SoftwareConfig
  * Versioned objects - ResourceData
  * DB changes for resource locking
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev330:
  * Refactor '_get_default_network' method in the integration tests
  * Adds migration test case for version 056
  * Add trove flavor custom constraint
  * Fix db migration script 057 failure on db2
  * Replace mox with mock for stack-delete test cases
  * Add Digest intrinsic function
  * Use AWS::EC2::EIP for test_server_cfn_init
  * Func test conf to specify boot config
  * Fixes for test_server_software_config
  * Func test use param for software_config_transport
  * First objects - stack and raw template
  * Keystone resource plugin for Project
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev306:
  * Use configurable flavor for AWS LoadBalancer
  * Imported Translations from Transifex
  * Create an integer id for the resource table
  * Store template + environment for rollback
  * fixed typo from accessable to accessible
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev298:
  * Move resource inheritance class to engine/resources
  * Imported Translations from Transifex
  * Keystone resource plugin for Role
  * Sqlite migrate_data() utility method
  * Fix migration testcase 1-to-1 between stack and raw_template
  * Refactor test_parser module
  * Enforce integer API parameter checking
* Tue Mar 10 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev284:
  * Fix migration testcase 1-to-1 between stack and raw_template
  * Always update remote_stack
  * Keystone resource client plugin and constrains
  * Correct networks matching interface ports
* Mon Mar  9 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev276:
  * Integration scenario test refactoring
* Sun Mar  8 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev274:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Remove str() before exc to make sure lazy translation work
* Sat Mar  7 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev269:
  * Move trove resource
  * Move sahara resources
  * Move heat resources
  * Move ceilometer alarm resource
  * Move swift resource
  * Move glance image resource
  * Move neutron resources to /engine/resources/openstack/neutron
  * Add extra data to Stack table for Convergence
  * Correct the check_update_completion logic in instance_group
  * Move cinder volume resource
  * Move nova resources to engine/resources/openstack/nova/
* Fri Mar  6 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev254:
  * Updated from global requirements
  * Remove unused method from FakeDBInstance
  * Reduce the load on functional tests
  * Updated from global requirements
  * Move datastore validation to trove client plugin
  * Replacing data_processing with data-processing
  * Add the documentation of how to set without the gateway IP
  * Fix variables reference in the integration tests methods
  * Convert all non-test imports of json to jsonutils
  * Move other aws resources to corresponding directory
  * Move AWS::AutoScaling::* resources
  * Move AWS::CloudFormation::* resources to heat/engine/resources/aws/cfn
  * Move AWS::EC2::* resources to heat/engine/resources/aws/ec2
  * Improve StackValidationFailed exception
  * Utility function for int param checking
* Thu Mar  5 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev224:
  * Don't pass the parent_resource object into Stack()
  * Remove the template mapping from the env before creating child stacks
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev220:
  * Fix mocking requests in test_engine_service
  * Imported Translations from Transifex
  * Cleanup the update policy tests
  * Updated from global requirements
  * Patch validate methods with mock instead of mox
  * Imported Translations from Transifex
  * Move software service logic to own module
  * Utility for database migration
* Mon Mar  2 2015 tbechtold@suse.com
- Rebased patches:
  + remove-qpid-requirement.patch (manually)
* Mon Mar  2 2015 tbechtold@suse.com
- Update to version heat-2015.1.dev205:
  * Add code tag for from_task_with_args() docstring
  * "repeat" function for HOT templates
  * Add resource_definitions check to Stack.validate
  * Change the engine-listener topic
  * Add ability to pass parameters during update
  * Use mock instead of mox for test_nested_stack.py
  * Handle deleting status during volume detachment
  * Fix Typo in composition guide
  * Add stack_tag table and remove stack.tags column
  * Increase default for 'max_nested_stack_depth' to 5
  * Use mock instead of mox in clients test
  * Add 2to3 compatibility for functools.wraps
  * Refactor tests for migrations in heat
  * Add image_id property to node group template
  * Add sahara image constraint
  * Imported Translations from Transifex
  * Add ability to pass 0, "", {} or [] as a parameter
  * Register CloudServer as OS::Nova::Server
  * Refactor parameter tests
  * Tweaking 'global_tenant' parameter parsing
  * Deployment signal_transport: TEMP_URL_SIGNAL
  * Move deployment handle_signal to rpc call
  * Updated from global requirements
  * Add testcases for heat.engine.EngineService start() and stop()
  * Imported Translations from Transifex
  * Only parse complex types if there is a value
  * Change ResDataNestedStackTest to not use a nested stack
  * Handle NotFound exception in total_nested()
  * Use the AWS instance type in the cfn_init scenario
  * Integration test for software-config tools
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev106:
  * Stop RPC server gracefully
  * [DOC] Minor - fixed typo in file extension
  * Apply neutron network constraint
  * Add 'ha' property for OS::Neutron::Router
  * Move deployment handle_signal to rpc call
  * Manage deployment updated_at values
  * Change Neutron::FloatingIPAssociation res's name
  * Change Nova::FloatingIPAssociation resource's id
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev90:
  * Move assign_keypair method in base class
  * Re-use stack_create method from base class
  * Split templates and tests in scenario tests
  * Updated from global requirements
  * Use domain_id from auth token when not configured
  * Update heat-manage.rst with service command
  * Do not use volume objects in volume resources
  * Move autoscaling tests with signals to functional
  * Make sure template resource's metadata is refreshed
  * Skip Stack Adopt/Abandon integration tests when Stack Adopt is disabled
* Fri Feb 13 2015 dmueller@suse.com
- update logrotate.conf
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev70:
  * Revert "Allow empty 'config' for software deployment"
  * Add a config option to enable Convergence
  * Pass the resource name into get_resource_info()
  * Remove some unused functions and improve call_until_true
  * Move reload test to test_instance_group
  * Remove duplicate AS reload test
  * Fix heat and ceilometer client connection
  * Expose deployment/config updated_at/created_at
  * fixed typo from dependant to dependent
  * Typos fixed in return messages
  * Catch Conflict exc for floating ip association
  * ceilometer: new Gnocchi Alarm resources
  * Catch notfound exception when deleting project
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev44:
  * Move scaling group create error to autoscaling/
  * Allow empty 'config' for software deployment
  * Just to delete the stack when adopt rollback
  * Use python abc for abstract classes
  * OS::Neutron::Subnet needs IPV6 RA mode property
  * Move LB reload logic into scaling library
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev32:
  * Add resource_id None check for deployment deletion
  * Move update_in_failed to autoscaling
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev29:
  * Imported Translations from Transifex
  * Always check for 'component' in SoftwareDeployment
  * Reorganize user and access code
  * Fix formatting issues in NeutronAutoscalingTest
  * Test for path attributes in OS::Heat::AutoScalingGroup
  * Support path attributes in OS::Heat::AutoScalingGroup
  * Release stack lock when successfully acquire
  * Remove TaskRunner from Neutron Pool resource
  * Implement handle_check for Ceilometer alarms
* Sun Feb  8 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev13:
  * Split instance code into seperate file
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev11:
  * Change the event status to SIGNAL_COMPLETE
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev10:
  2015.1.0b2
  * Move suspend/resume autoscaling tests to functional
  * Move autoscaling InstanceId tests to autoscaling/
  * Move all scaling policy tests to autoscaling/
  * Updated from global requirements
  * Get tox to generate config for heat_integrationtests
  * Fix tests for ServerContraint
* Thu Feb  5 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev347:
  * Remove autoscaling test that is now a functional test
  * Don't create the loadbalancer in the unit tests
  * Remove duplicate loadbalancer nokey test
  * Apply instance group fix to AS functional test
  * Change to basic notification unit tests
  * Fix update on failed stack
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev335:
  * Remove duplicate heat_autoscaling_group tests
  * Move aws nested stack tests to functional tests
  * Enable some unit tests back
  * fixed typo form dependancy to dependency
  * Wait for all resources to get updated before asserting state
  * Add check_adopt_complete to the stack_resource
  * Use "if stack is not None" and not "if stack"
  * Make the update policy timeout check into a unit test
  * Imported Translations from Transifex
  * Further fix standalone authentication
  * Add all dotfiles to the list of pep8 exceptions
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev313:
  * heat-manage service list
  * Remove unused imports from heat files
  * Fix sw component creation parameter error
* Mon Feb  2 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev307:
  * Use unique stack name in tests by default
  * Add Mistral client plugin
  * Add additional tests for heat.api.aws package
  * Test auto-scaling for neutron
  * Enhanced error handling in outputs block
  * Add lists of Linux dependencies
* Sun Feb  1 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev295:
  * Implement 'InstanceId' for autoscaling group
* Sat Jan 31 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev293:
  * Fix the standalone authentication mechanism
  * Don't do snapshot when other action in progress
  * Initialize stack with ADOPT action when adopting
  * Remove lockfile from requirements
  * Add 'shared' property for OS::Neutron::MeteringLabel
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev284:
  * Store auth_url and region_name when trusts are enabled
  * Imported Translations from Transifex
  * Save input parameters for stack adopt
  * Add retry logic to Rackspace LB delete action
  * Allow floating_ip_pool on Nova-net in Sahara
  * Avoid unnecessary passing of child_params in asg
  * Renaming image property to default_image_id
  * Expose stack_user_project_id in stack-show
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev268:
  * RowProxy replaced with update query to set db attributes
  * Use keystoneclient auth plugins
  * Prevent hanging in DELETE_IN_PROGRESS
  * Use properties.data when testing for "provided by the user"
  * Convert unicode to six in heat/engine
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev258:
  * Updated from global requirements
  * Don't mock oslo.messaging _CallContext
  * Always fetch temp URL key before generation
  * Remove TaskRunner from most Neutron resources
  * Remove TaskRunner from SwiftSignal
  * proper handling of unsupported request methods
  * Don't validate custom constraints on default values
  * Do not ignore OverQuota errors from neutronclient
  * Add InstanceList attr to AutoScalingGroup
* Tue Jan 27 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev240:
  * Remove dead option 'instance_driver'
  * Implement 'InstanceId' for LaunchConfiguration
  * Improve address description by example
  * Convert parser tests that need nested stacks to unit tests
  * Remove TaskRunner from WaitCondition
  * Enable H904 style checking rule
  * Register sahara client specific config opts
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev226:
  * Remove argparse from requirements
  * Move resource group property update tests to functional
  * Add property 'port' to RouterInterface
  * Use AWS LoadBalancer with selinux-enabled image
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev219:
  * Unit test name_list and black_list
  * Deprecate QUEUE_ID in heat_zaqar
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev215:
  * Move ResourceGroup update sequence test to functional
  * Move the resource group adopt test to functional
  * Add "tags" column to stack table
  * Updated from global requirements
  * Move autoscaling update policy to functional
  * Enable H305 and H307 style checks
  * Move instance group update policy tests to functional
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev202:
  * Return available info for uncreated resource
  * Account for nested stack validation in ResourceGroup
* Tue Jan 20 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev198:
  * Remove default for DISTRIBUTED property
  * Enable resource signals be handled asynchronously
  * Imported Translations from Transifex
  * Enable H402 style check
  * Enable H202 style check
  * Move template resource tests to functional
* Mon Jan 19 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev186:
  * Added unit test for unavailable resource
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev184:
  * Updated from global requirements
  * Wait for Sahara Cluster to be deleted
* Fri Jan 16 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev181:
  * Remove keypairs from test_instance_group.py
  * Remove now unneeded functional test
  * Add support status for network/subnet neutron properties
  * Add support status to docs for properties
  * Fix DeprecationWarning for using oslo.middleware
  * LB: separate out the FnGetRefId and FnGetAttr tests
  * Create and update func tests for resource group
* Thu Jan 15 2015 cloud-devel@suse.de
- Update to version heat-2015.1.dev168:
  * Correct protocol allowed values for firewall rule
  * Fix template version in composition section
* Wed Jan 14 2015 tbechtold@suse.com
- Update to version heat-2015.1.dev164:
  * Split tests for AWS/OS waitconditions
  * Split wait condition handle into separate files
  * Split wait condition into separate files
  * LB: Separate out the validation tests
  * LB: Make unit tests for _haproxy_config
  * LB: Break up _haproxy_config to enable easier unit testing
  * LB: Remove unused "templ" parameter to _haproxy_config
  * Make StackResource less strict on initial validation
  * Make the attribute tests not need a nested stack
  * Separate the nested resources attribute tests
  * Sync the remainder of the composition doc from manuals
  * Transparent stack_id only works on get_resource
  * Enable H233 style check
  * Enable E251 style check
  * Updated from global requirements
  * No parameter value validation when strict_validate disabled
  * Deal with misconfigured cloud_backend
  * Remove mocking of timeutils.utcnow
  * Rework stack_resource *complete method unit tests
  * Add some crud tests to nested stacks
  * Add missing template resource member list test
  * Prevent occasional test failures due to duplicate stack names
  * Split AWS/OS volume tests
  * Reorganize volume code
  * Updated from global requirements
  * Add 'shared' property for OS::Neutron::Firewall
  * Need to call _delete_resource() anyway for sd deletion
  * Move tests for _lb_reload() into test_instance_group
  * Move autoscaling vpc zone test into autoscaling/
  * Move launch configuration into tests/autoscaling/
- Rebased patches:
  + remove-qpid-requirement.patch (manually)
- Generate heat.conf.sample during build.
- Update Requires according to requirements.txt
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev504.g6da1793:
  * Convert x.iteritems() to six.iteritems(x)
  * Add serial console url attribute for nova server
  * Show the creation time for stack snapshots
  * Add cinder snapshot custom constraint
  * Apply cinder volume custom constraint
  * Extract group functions into a utility module
  * Reduce V1.1 test fakes complexity to below 20
  * Revert "Handle error with non existing template file"
  * Use physical_resource_name to generate the resource ID
  * Add support for pass through references
  * Support better access to nested attributes
  * Add cinder volume custom constraint
  * Use the right log marker functions
  * ResourceGroup allow update of resource_def
  * Always import heat.rpc.api as rpc_api
  * Add console_urls attribute to server resource
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev473.g3f8d122:
  * Remove config check_uptodate test
  * Implement handle_check for Rackspace Cloud Servers
  * Pass status reason when trove misbehaves
  * Make all assertEqual() calls conform to convention
  * Apply nova flavor constraint for resources
  * Apply nova server constraints for resources
  * Fix invalid syntax on heat-db-setup
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev460.g08169a8:
  * Pickup the region name passed in from heatclient
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev458.g5432982:
  * Fix error msg invalid stack or res name
  * Record update_time for suspend/resume/snapshot actions
  * Updated from global requirements
  * Fix outputs validation place in Stack.validate
  * Failed res no need UpdateReplace which has nested_stack
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev448.g3eec444:
  * Fix documentation on Fn::Base64 function
  * Support availability zones in Node Group Templates
  * Support secgroups in Sahara Node group templates
  * Support vnic_type in OS::Neutron::Port
* Sat Nov 29 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev440.g951841a:
  * Add default_client_name in Nova::FloatingIPAssoc
  * Fix package name when using heat-db-setup in rhel7
  * Handle error with non existing template file
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev434.g1812a70:
  * Update Barbican resources to match library changes
  * Support volume type in Sahara Node Group Template
  * Moving translate same logic in different method
* Thu Nov 27 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev428.g3b560d6:
  * Remove ignoring [H302] in tox.ini
  * Fix [H302] errors in heat_integrationtests
  * Fix [H302] errors in heat/tests
  * Fix [H302] errors in heat/engine
  * Fix permission bits for source file
  * Use correct IDs when collecting multipart config parts
  * Fix [H302] errors in heat/db
  * Imported Translations from Transifex
* Tue Nov 25 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev413.g4c3979e:
  * Add support for running tests against standalone Heat
  * Add logging fixture to integration tests
  * Further split ASG code
  * Move common functions into functional test base-class
  * SoftwareDeployments make servers property updateable
* Sat Nov 22 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev403.g71ff003:
  * Revert "Change RouterGateway resource's name"
  * Detect container failure when checking create complete
  * Change RouterGateway resource's name
  * Add functional test for update of group of provider resources
  * Add functional test for update of provider resource
  * Add requirement to SecurityGroup "remote_group_id"
  * Updated from global requirements
  * Add Dimensions Default in AWS_CloudWatch_Alarm.yaml
  * Correct error msg when resource or output are empty
  * Handle remote thrown NotFound RPC exceptions
  * Remove KeypairConstraint and FlavorConstraint to nova.py
  * Implement custom constraint for nova server
  * Use environment file in template-validate
  * Implement handle_check for Cinder and EC2 Volumes
  * Implement handle_check for OS::Nova::KeyPair
  * Implement handle_check for OS::Swift::Container
  * Implement handle_check for OS::Trove::Instance
  * Implement handle_check for OS::Nova::Server
  * Implement handle_check for CloudWatch
  * Improve error response in cfn Outputs validation
  * Implement update of AWS::EC2::SecurityGroup rules
  * Add user_creds_id to _create_stack RPC interface
* Fri Nov 21 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev359.g3c315b4:
  * Fix [H302] errors in heat/common
  * Fix kwargs going into ResourceDefinition
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev355.gf6107ce:
  * RandomString RefId return name with no resource_id
  * Make ResourceGroup updates update nested stacks
  * Correctly set CombinationAlarm repeat_actions
  * StackResource consider files in implementation_signature
  * Move implementation_signature to StackResource
  * Imported Translations from Transifex
  * Fix and assert calls to update_software_deployment
  * Include group argument in calls to create_software_config
  * Updated from global requirements
  * Don't stop create immediately on error for stack resources
  * Fix [H302] errors in heat/cloudinit
  * Make Cloud Loadbalancer properties updatable
  * Functional tests skip volume_create_backup_restore
  * Remove duplication on stack resource operations
  * Add ModelSMigrationSync classes
  * RandomString don't skip superclass validation
  * Import sqlalchemy module instead of classes
  * Alter models and add migration
  * Move ImageConstraintTest to test_glance_client.py
  * RandomString physical_resource_id as id not the string
  * Update sample conf for new oslo.db release
  * ResourceGroup don't special-case zero count
  * Fix [H302] errors in heat/api
  * Handle 404 and 409 response when deleting containers
  * Fix incorrect ca argument for heat ceilometer client
  * Correct error message when query domain id
  * Remove unused module excutils
  * Remove unused module processutils
  * Make resource check messages more consistent
  * Add snapshot restore HTTP API
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev288.g3fa7257:
  * Fix [H302] errors in contrib
  * Mark stack_domain_admin_password as a secret option
  * Remove validation of nested stack for preview
  * Clarify ResourceGroup properties support status
* Fri Nov 14 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev280.gf39600e:
  * Use RPC directly for software deployment operations
  * Add validation constraints on config inputs
  * Remove die_if_not_set check for var user_roles
  * ERROR_WAIT_TIME should be a config option
* Thu Nov 13 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev272.g7e1721d:
  * Use RPC directly for software config operations
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev271.gbf437d3:
  * StackResource add force_reload to nested() accessor method
  * Add nested_depth to internal _create_stack RPC interface
  * engine service add nested_depth to create_stack
  * Add nested_depth column to stack table
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev263.g2a91c15:
  * Updated from global requirements
  * Always using domain id to create domain project or user
* Sat Nov  8 2014 dmueller@suse.com
- Update to version heat-2015.1.dev260.g3285709:
  * Using six.string_types for python3 compatible
  * Add CERT file support in heat-keystone-setup-domain
  * Updated from global requirements
  * Imported Translations from Transifex
  * Fix error raising in cfn with wrong output section
  * Move creation of custom env to environment module
  * Update docs to reflect HOT version support
  * Fix legacy alarm matching_metadata broken by recent fix
  * Check prop_diff contents after modifying it
  * Adding missed whitespace between the words
  * Imported Translations from Transifex
  * Updated from global requirements
  * Remove oslo sslutils
  * Remove oslo middleware.base module
  * Validate nova server's metadata
  * Fix the get_attr docs in the hot_spec
  * Change allow_values -> allowed_values in hot_guide
  * Imported Translations from Transifex
  * Convert value type in alarm matching_metadata
  * Fix translating error in unittests
  * Move to oslo.middlware request_id module
  * Record the updated_time for nested_stack
  * Use correct object when deleting
  * sync oslo-incubator for request_id shim
  * Repair tox -ecover
  * Correct CA cert argument for glanceclient
  * Imported Translations from Transifex
  * Fix add_dependencies for floating_ip resource
  * Don't import HeatTestCase directly
  * Add some imports to hacking import_exceptions
* Sun Oct 12 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev109.g7506d2c:
  * Don't update a LoadBalancer under autoscaling control
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev108.g5725b0e:
  * Handle error in templates with incorrect resources
  * Bring the fakelogging closer to olsotest
  * Make sure that the properties are stored on updates
  * Update references to auth_token middleware
  * Add missing \n at the end of file
  * Fix network_gateway residue when resource deletion
  * Don't evaluate ceilometer watchrules
* Fri Oct 10 2014 dmueller@suse.com
- fix configuration defaults
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev94.gdc16d94:
  * Add missing extra "greenthread" arg to remove_event()
  * Do not attempt a stack update when it is deleting
  * Add custom get_temp_url to RackspaceSwiftClient
  * Convert bool/int values into string for string properties
  * Add volume backup/restore integration test
  * Support Cinder API version 2
  * Sync environment and composition docs from openstack-manuals
* Wed Oct  8 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev81.g1b8a35c:
  * Rewrite AutoScalingGroup adjustment tests as unit tests
  * Convert the autoscaling policy tests into unit tests
  * Move some AutoScalingGroup validation tests to a separate file
  * Rework autoscaling group current_size attribute
  * Imported Translations from Transifex
  * Rework the way the matching metadata is created
  * Configure flavor and image from env
  * Refactor template simple_parse
  * Use properties in ceilometer alarm not parsed_template('Properties')
  * Make sure that property defaults are converted correctly
  * Enable breaking test for adopt operation
  * Add OSprofiler integration into Heat
* Tue Oct  7 2014 cloud-devel@suse.de
- Update to version heat-2015.1.dev58.g045c8b4:
  * Don't send multiple update-cancel messages to an event
  * Clean up signalling events after stack updates
* Tue Oct  7 2014 dmueller@suse.com
- Update to version heat-2015.1.dev54.g0661277:
  * Unit test autoscaling._calculate_new_capacity
  * Move TestInstanceGroup to test_instance_group.py
  * Move test_server_cfn_init from tempest to heat
  * Preserve env when calling tox
  * Revert "Hard delete backup stack after successful update."
  * Implement check for Rackspace resources
  * Refactor AWS::EC2::SecurityGroup resource
  * Unittests: refactor AWS::EC2::SecurityGroup tests
  * update docs to use correct stack list command
  * Docs - update JEOS building instructions
  * Improve error for custom resource
  * Provide support status info for OS::Glance::Image
  * Provide support status info for some resources
  * Remove cinder-keystone-setup script
  * Add current_size attribute for OS::Heat::AutoScalingGroup
  * Fix cloud-init Python syntax for Python < 2.6
  2014.2.rc1
  * Updated from global requirements
  * Fix some sphinx warnings/errors
  * Template not required on stack-adopt
  * Include parameters info in stack-abandon data
  * Open Kilo development
  * Switch to oslo.serialization
  * Switch to oslo.utils
  * Access Template class through template module
  * Add tests for list_stacks and count_stacks params
  * Add two attributes for cinder volume
* Tue Oct  7 2014 dmueller@suse.com
- add remove-qpid-requirement.patch
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev157.gff1f85c:
  * Disable Abandon & Adopt features by default
  * Update usage of Barbican library
  * Remove unused network_utils
  * Don't use DB column names for sort keys
  * Skip validation if depends on not created resource
  * Fix subnet residue when resource deletion
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev146.gb86af2d:
  * Do template validation during creation
  * Fix couple tests in test_engine_service.py
  * Improve error handling in api files
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev140.g8be4e90:
  * Handle clients that don't accept auth_url=None
  * Fix usage of client in Barbican resources
* Sun Sep 28 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev136.ga0b89b9:
  * Fix barbican plugin registration
  * Fix heat.engine.clients.has_client
  * Include credentials for heat calling self
  * Add keystone v2 keypair methods
  * FloatingIP updateable port_id, fixed_ip_address
  * Add an option to disable cloud watch lite
  * Pass the correct matching_metadata to Ceilometer
  * Don't pass empty action strings to ceilometer
  * Make sure that AutoScaling group has it's tag set correctly
  * Commit transaction on object delete
  * Associate floating IP with router interface
  * Fixed adopt failure for stack with resource group
* Sat Sep 27 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev112.g9dd3ede:
  * Default port policy to force replacement
* Fri Sep 26 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev110.g9fdbf46:
  * Resolve AWS::EC2::Instance AZ output to a value if not specified
* Fri Sep 26 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev108.g299f8a6:
  * Imported Translations from Transifex
  * Convert parse error to text type
  * Add test to serialize and deserialize exceptions
* Thu Sep 25 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev102.gb8ed388:
  * Use six to translate exception message in tests
* Wed Sep 24 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev100.gdc0ba2a:
  * Fix outdated comment in KeystoneClientV3
* Mon Sep 22 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev98.g689ea27:
  * Updated from global requirements
* Sat Sep 20 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev97.g68f78c8:
  * Updated from global requirements
  * Switch heat resources & db & tests to oslo.i18n
* Fri Sep 19 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev93.g047a924:
  * Switch heat engine to oslo.i18n
  * Add user data and config drive properties
  * Save files while updating a template
* Thu Sep 18 2014 dmueller@suse.com
- Update to version heat-2014.2.dev87.gc620894:
  * Implement CFN CancelUpdateStack action
  * Pass list of parameters to engine service to reset
  * Pass flag to engine service to patch parameters
  * Updated from global requirements
  * Correct KEY/VALUE names for NOVA_SCHEDULER_HINTS
  * Add Heat REST API action for cancel update stack
  * Add RPC API for cancel update stack
  * Enhance SoftwareComponent property validation
  * Enable SoftwareDeployment for SoftwareComponent
  * Add OS::Heat::SoftwareComponent resource
  * Manually update requirements to oslo.messaging
  * Set the default state of a stack to CREATE_IN_PROGRESS
  * Add heat-keystone-setup-domain to sphinx conf.py
  * Make str(json_param) return string vs python
  * Convert functions into a fixed part of the template
  * Allow filtering of stacks by username, tenant and owner_id
  * Don't delete stack domain project on stack-abandon
  * Fix AWS::EC2::VPC resource delete failure
  * Fix file mode, remove executable bit
  * Log translation hint for Heat.api
  * Fix so that CSV as str return value
  * Cleanup trust on delete with stored context if needed
  * Tests update FakeKeystoneClient to align user_id and trustor
  * Clarify NotFound error when creating trust
  * Only delete stack user project from correct domain
  * Reuse disable_rollback on stack update
  * Replace marconi by zaqar in heat plugins
  * Fix signal handling for WSGI servers
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev31.g33d5396:
  * Use action_handler_task for delete_snapshot
  * Log translation hint for Heat.common
  * warn against sorting requirements
  * Log translation hint for Heat.tests
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev23.g0c2ee06:
  * Implement AWS::EC2::EIPAssociation updatable
* Tue Sep  9 2014 tbechtold@suse.com
- Update to version heat-2014.2.dev22.g35d7465:
  * Imported Translations from Transifex
  2014.2.b3
  * Refactor nested stack create/update/preview
  * Fix a wrong argument name at Heat keystoneclient plugin
  * Implement BlockDeviceMappings for LaunchConfiguration
  * Refactor functions in eip.py
  * Fix delete failed because association creation failed
  * Modify the way to get 'network_id' of the port
  * Add validate function for AWS::EC2::EIPAssociation
  * Implement OS::Sahara::Cluster resource
  * Switch heat api to oslo i18n
  * Implement OS::Heat::StructuredDeployments
  * Implement OS::Heat::SoftwareDeployments
  * Provide access to outputs from OS::Heat::ResourceGroup
  * ResourceGroup make do_prop_replace class method
  * ResourceGroup build from list of resource names
  * Improve docker resource deletion
  * Error class can accept message with format characters
  * Don't import Properties class directly
  * Deny updates to AWS::EC2::VolumeAttachment
- Add python-saharaclient and python-swiftclient as Requires.
* Fri Sep  5 2014 dmueller@suse.com
- fix requires
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev391.gc2a6de9:
  * Implement AWS::EC2::EIP updatable
  * Import oslo.i18n and port heat bins to use oslo.i18n
  * Implements stack lifecycle plugpoints
* Wed Sep  3 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev385.g70eb84f:
  * correctly implement volumes_from property
  * Added PublicDnsName verification in unit tests
  * Implement OS::Sahara::ClusterTemplate resource
  * Implement OS::Sahara::NodeGroupTemplate resource
  * Implement GroupSet updatable for AWS::EC2::NetworkInterface
  * Match tenant_id when name ambiguity in get_secgroup_uuids()
  * Doc: don't generate empty properties fields
  * Add test for ResourceDefinition equality
  * Don't stop creates/updates immediately on error
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev367.g12b3bd4:
  * Add length constraint to Nova Keypair's name property
  * Fix usage of environment section constants
  * Add "parent" key to list stacks output
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev361.gd650984:
  * Fix port residue when instance deletion
  * Fix marconi plugin registration
  * Reimplement Volume snapshot with backup
  * Allow concurrent tasks to complete after error
  * Scheduler: Allow a grace period when cancelling tasks
  * Return full error message for HTTP errors
  * Add show_nested parameter to GET v1/stacks API
  * Add show_nested to count_stacks RPC interface
  * db API add show_nested to stack_count_all
  * Add controller and action debug message in wsgi.py
* Mon Sep  1 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev341.g6bbeac3:
  * Detect neutron endpoint on-the-fly
  * Add missing "." to help strings
  * Allow an update after a failure
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev335.g9abf5f9:
  * Get rid of old-style classes
  * Allow JSON parameters in environment files
  * Rename docker directory to heat_docker
  * Use ResourceDefinition as 'before' in resource updates
  * Add show_nested to list_stacks RPC interface
  * Patch 044 migration to work w/ MySQL 5.6
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev323.g97021c7:
  * Allow resource groups of 0 resources
  * ResourceGroup subclass build resource definition
  * Common stack_user_project_id across nested stacks
  * Add a method to freeze a ResourceDefinition
  * Always replace a failed resource on rollback
  * Add networks property to OS::Trove::Instance
  * Unittests: Refactor Volume resources tests
  * Additional exception type check for ceilo-client
  * Push metadata changes to the TempURL
  * Add Server software_config_transport POLL_TEMP_URL
  * Allow method verb override in get_temp_url
  * Fix downgrades in migration scripts 016 and 035
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev299.g467fa4a:
  * Pass properties to Resource._needs_update()
  * Refactor Resource's decision whether to update
  * Store properties data in database
  * Add subnets attribute to OS::Neutron::Port resource
  * AWS SecurityGroup use is_using_neutron()
  * Allow to decide between Nova-network and Neutron
  * Check for error messages in volume tests
  * Improve errors in Volume tasks
  * Add more info to ResourceUnknownStatus
  * Split scaling policy into separate files
  * Cut down on warning logs
  * Fix failed to delete the EIP resource
  * boolean parameter type is not recognized in the API
  * Allow for setting ViP ID
  * Fix typo
  * Add language attribute to code samples
  * Update stack.load_all adding show_nested
  * Use the template module to access the Template class
  * Remove the unused doc path heat/doc
  * handle_signal to handle translated error msgs
* Thu Aug 28 2014 dmueller@suse.com
- fix requires
* Wed Aug 27 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev259.g48f402e:
  * Mark metadata_update RPC call deprecated
  * db API add show_nested to stack_get_all
* Tue Aug 26 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev255.g384c67a:
  * Gate-supporting files for functional tests
  * SoftwareDeployments move signal reason into resource plugin
  * Use empty list in list_join for validation
  * Provide access to outputs from OS::Heat::AutoScalingGroup
* Mon Aug 25 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev247.g531e95a:
  * Move name resolving before get server
  * Edits on template_guide/functions.rst
  * Moving network_id_from_subnet_id to neutron client
* Mon Aug 25 2014 vuntz@suse.com
- Fix ownership of /etc/heat/api-paste.ini
* Mon Aug 25 2014 bwiedemann@suse.com
- use %%_rundir if available, otherwise /var/run
* Sat Aug 23 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev241.g6e3488b:
  * Change type validate method of template resource
  * Include project ID in stack abandon data
  * Fix wrong log level
  * Providing reference on resource during preview
  * Using neutron utils function from neutron plugin
  * Move neutron_utils functions to neutron client
  * Implement snapshot listing
  * Silence urllib3 redundant logging
  * Enable lazy translation on heat
  * Move CooldownMixin into separate file
  * Move nova_utils functions to nova client plugin
  * Man page for heat-keystone-setup-domain
  * Add backward compatibility for notification_driver
  * Fixed resource errors logged at default log level
* Fri Aug 22 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev215.gce03f9c:
  * Convert CFN waitcondition API to resource_signal
  * Use auth_token from keystonemiddleware
  * Implement custom constraints for subnet/port/router
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev209.g7b91eac:
  * Implement sahara client plugin
  * Avoid name clash between local variable and a module
* Wed Aug 20 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev207.g848bc37:
  * Use oslo.config>=1.4.0.0a3
  * Imported Translations from Transifex
  * Remove resource_id_set(None) calls
  * Allow listing of resources from deleted stacks
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev201.gf353560:
  * Resolved server and instance status redundancy
  * Run migration tests on PostgreSQL and MySQL
  * Add some stubs speeding up test suite
  * Add OS::Swift::Signal resource
  * Add owner_id to new _create_stack RPC interface
  * Add utility functions for Swift TempURLs
  * Fix client exception handling in VolumeExtendTask
  * Implement snapshots for servers and volumes
  * Return metadata from resource_signal RPC interface
  * WaitConditionHandle resources, create events with reason data
  * Using default FnGetRefId behavior for LaunchConfig
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev180.gefcaa20:
  * rpc client test remove rpcapi logic
  * engine service add owner_id to create_stack
  * Add "backup" column to stack table
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev175.g1dfb9c8:
  * Make Fn::Join give a better error message
  * Privilege checking for heat-keystone-setup-domain
  * Adding validation algorithm for get attr functions
  * Add log output about HTTP calls in cinderclient
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev168.ga49cb1c:
  * Convert AWS Route Table and association to use clients
* Sat Aug 16 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev167.gacf6360:
  * Native WaitConditionHandle move to common curl_cli
  * Template get_version breaks with Template object
  * Fix DBError output in test logs
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev161.g9c782e6:
  * Move VolumeAttachment updates to Cinder resource
  * Implement barbican client plugin
  * Implement marconi client plugin
  * Port rackspace clients to client plugins
  * Use setuptools to install contrib plugins
  * Move nova_utils functions to nova client plugin
  * Fix typos in comments and help strings
  * test_parser.py remove some spurious Replay/Verify calls
  * Use new template for resource update reparse
  * Implement check for Instance resource
  * Appropriate exception for signal handling failure
  * Show correct error messages
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev143.gfcd89aa:
  * Cinder, trove, ceilo use ignore_not_found etc
  * Use Constraint stubs in common.py
  * Add constraints to check whether image/keypair exists
  * Remove function get_software_config
  * Refactor calling handle_* into a separate task
  * Add stack-check action to the API
  * Check resources are in expected states
  * Glance, swift use ClientPlugin.ignore_not_found
  * Neutron use ClientPlugin.ignore_not_found etc
  * Fix dict format in wait_condition.py docstrings
  * Implement BlockDeviceMappings for AWS::EC2::Instance
  * Deny updates to AWS::EC2::Volume resource
  * Amend docs with `immutable` property attribute
  * Change Volume metadata attribute to raw dict
  * Move calculating new capacity to a function
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev113.g5665965:
  * Display stack owner when formatting stacks
  * Nova use ClientPlugin.ignore_not_found
  * Don't validate parameters when loading a stack
  * Newline cleanups in db API
  * Add APIs to create and manipulate snapshots
  * Fix for minor typos in stack.py
  * Check for property immutability in rsrc update
  * Add `immutable` property attribute
  * Fix dead link in cfn template doc
  * Set python hash seed to 0 in tox.ini
* Tue Aug 12 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev93.gf1220c3:
  * Allow ResourceGroup to select an attribute path
  * Remove unused functions from policy enforcer
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev89.g6dd121c:
  * Add config file for performance gate job
  * Fix monkey-patching occurence in a test
  * Improve mocking in HeatTestCase
  * Always convert string type params to string
  * LaunchConfiguration replace on changed Metadata
  * replace dict.iteritems() with six.iteritems(dict)
  * Move size update to Cinder volume
  * Restore resource_id from backup_stack
  * Refactor UpdateReplace exception
  * Client plugin exception handling methods
  * Correct example syntax and whitespace
  * Add RPC method to snapshot stacks
  * Retry resource create until success
  * Add "index_var" property to the resource group resource
  * Parse RST in plug-in class docs
  * Allow plugins to specify signal event reason
  * Update test_signal to use stub_keystoneclient
  * Add native WaitConditionHandle resource
  * Refactor service readiness notification
  * Fix test for stack delete on same active engine
* Mon Aug  4 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev53.g3640b67:
  * Fixed wait skipped after 1st step of task
* Sun Aug  3 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev51.g211c9cb:
  * Fix rollback failure when updating stack
  * Exceptions ResourceInError, ResourceUnknownStatus
  * Added reference to the Nova Flavor documentation
* Sat Aug  2 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev45.g3db5aa5:
  * Allow Resources to select paths from attributes
* Fri Aug  1 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev43.g78b68ba:
  * Prevent excessive validation for maxPersonality limit
* Thu Jul 31 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev42.gf8e3a4b:
  * Use standard FnGetAtt method for Swift container
  * Stop software_deployments from passing empty keys
  * Replace str() with six.text_type() where exception is used
  * Refactor AWS::EC2::Instance delete handling
  * Policy Enforcer, pass entire context dict
* Tue Jul 29 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev34.gbe46f60:
  * Reusing PARAMETER_CONSTRAINTS value
  * Remove rst2script.sed and integration.sh
  * Refactor handling of exceptions in Resource actions
  * Convert AWS::EC2::Subnet to use attributes Schema
  * Refactor selecting values from an attribute
* Fri Jul 25 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev24.g6164bb5:
  * Remove deprecated tools/README instructions
  * timeutils function retry_backoff_delay
  * Add template version for the provider template
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev19.g96b8a3f:
  * Move the Stack class into stack.py
  * Move glance_utils functions to glance client plugin
  * Move network constraint to neutron plugin
  * Use config region_name_for_services for rackspace clients
  * Remove tools/glance-jeos-add-from-github.sh
  * Refactor ResourceGroup's FnGetAtt()
  * Create a new revision of HOT for Juno
  * Migrate to oslo.db
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev3.g7aa79d3:
  * Remove duplicate opt import in sqlalchemy/api.py
  2014.2.b2
  * test_heatclient fix mocking with latest keystone
  * Store clients in context
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev315.g1505644:
  * Add resource properties to stack-preview
  * Pass user_creds_id into nested stacks
  * Add query param to allow nested resource list
  * Fix serialization of InvalidSchemaError
  * Refactor OS::Nova::Server delete handling
  * Account for status when deleting servers
  * Don't resolve attributes before create
  * stack user add _user_token
  * clients make heat_url public
  * Use six.add_metaclass instead of __metaclass__
  * Fix updating from an empty stack
  * Fix updating for OS::Neutron::Port resource
  * Fix schema-to-template for empty schema
  * Stop coercing provider res. attributes to strings
  * Allow user to view outputs of failed stacks
* Mon Jul 21 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev285.ga199f46:
  * Allow listing of resources and nested resources
* Sun Jul 20 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev283.g1ef0aa9:
  * Revert "Store clients in context"
  * Remove deprecated nova_create_flavors.sh script
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev280.g9adf703:
  * Store clients in context
  * Implement events pagination, sorting and filtering
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev276.g8e52880:
  * Expose recent docker features in the resource
  * Implement keystone client plugin
  * Implement heat client plugin
  * Implement ceilometer client plugin
  * Implement trove client plugin
  * heat_keystoneclient add get_user_token
  * Pass user_creds_id when creating backup stack
  * Fix early resource property value validation
  * Adding own child_template for AutoScalingGroup
  * Stop overriding CONF.default_log_levels per binary
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev256.gce65e9b:
  * Remove redundant method handle_get_attributes
  * Add missing DeprecationWarning category to warning
  * Add an OS::Heat::WaitCondition resource
  * Refactor waitcondition resources to allow easier subclassing
  * Convert WaitConditionHandle to use handle_signal
  * Make sure we can create an empty template
  * Fix H201 violations and re-enable gating
  * Fix OS::Trove::Instance restore_point property
  * Fix error count for stack-list while show deleted
  * Change help text for StructuredConfig.CONFIG property
  * Implement cinder client plugin
  * Unit tests: Check for lost resource after failed rollback
  * Remove unused parameter name in validate_value
  * Patch 033 migration to work w/ MySQL 5.6
* Mon Jul 14 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev228.g2f0fc89:
  * Implement neutron client plugin
  * Implement glance client plugin
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev224.gb1be3a2:
  * Fixing a typo
  * Removed redundant code in stack preview, create
  * Don't overwrite deployments metadata in Server resource
  * Fix several misspells
  * Implement swift client plugin
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev215.ga7dd2bb:
  * Remove unused 'VERSIONS' definition
  * Fix typo in HOT template guide
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev212.g66861d7:
  * remove bogus comments re stack_delete_after in tests
  * Implement nova client plugin
  * Add datastore properties to OS::Trove::Instance
  * Improve OS::Trove::Instance resource
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev206.g55ab8bd:
  * Use stevedore to load client plugins
  * HOT intrinisic function list_join like Fn::Join
  * Support using domain_name instead of domain_id
  * Sleep before stopping threads for delete
  * Change template loading to use stevedore extensions
  * Use auth_token_info to initialize heat_keystoneclient sessions
* Sun Jul  6 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev194.gdd59d50:
  * Revert "Convert WaitConditionHandle to use handle_signal"
  * Revert "Update waitcondition API to use signal RPC interface"
  * Revert "Refactor waitcondition resources to allow easier subclassing"
  * Base class for client plugins
  * Support loading constraints as stevedore extensions
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev184.gb7d624e:
  * Imported Translations from Transifex
  * Order intrinsic function docs alphabetically
  * Refactor waitcondition resources to allow easier subclassing
  * Update waitcondition API to use signal RPC interface
  * Convert WaitConditionHandle to use handle_signal
  * Updated from global requirements
  * Makefile option to build xml docs
  * Implement Flavor Extra-specs Key/Value Pairs
  * Avoid truncating API Response
  * Catch NotFound for every stack delete db operation
  * Make heat.engine.clients a package
  * Deprecate direct access to clients methods
  * Only do property validation in validate()
  * Pass the context when updating raw_templates
  * Add a OS::Nova::ServerGroup resource
  * Re-organise top-level template guide structure
  * Fix docker volumes binds issue
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev155.g41aa555:
  * UnitTests: fix mock assertions usage
  * Don't expose password in heat-keystone-setup-domain logs
  * Use None instead of mutables in method params defaults
  * use register_cli_opts instead of register_opts
  * Fix pass incorrect volume_size while building bdm
  * Fix pagination of stack-list
  * Guaranteed password complexity using OS::Heat::RandomString
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev142.gb160972:
  * Only do property validation in validate(
  * Fixed the reference to 'Creating Unit Tests' in HACKING.rst
  * Fix the section name in CONTRIBUTING.rst
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev137.g15714b3:
  * Document get_file get_param incompatibility
  * Added links to missing integration information
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev133.g089f7f0:
  * Port to oslo.messaging
  * Make some properties updatable for Volume resource
  * Account for differences in Rackspace Cloud Glance
  * Update to latest version of pyrax and add Swift support
  * Instructions on image creation for SoftwareConfig
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev123.ge6da405:
  * Don't rely on setdefault returning a value
  * Prevent "No handlers could be found..." logging
  * Sync oslo incubator
  * Add log output of x-openstack-request-id from nova
  * Add name attribute to Nova server
  * Add parameter type validation before stack-create
  * Add boolean type parameter process for template resource
  * Removed 'message' keyword when raising Error
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev108.g7d7621b:
  * Remove unused generate_request_id
  * Fix race condition deleting in-progress stack
  * Hide deprecate warnings for metadata tests
  * Remove heat_keystoneclient roles filtering workaround
  * Hide warning for old style attribute schema test
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev99.g59be7ef:
  * Don't set context auth_token in heat_keystoneclient
  * engine.clients always use keystoneclient auth_token
  * tests add stub_keystoneclient to base test class
  * test_autoscaling refactor suspend/resume stubbing
  * Remove test_autoscaling _stub_validate
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev89.gaa4c128:
  * Revert "Load resources using Resource.load_all_from_stack()"
  * Convert service.py to use_stored_context
  * parser.Stack add use_stored_context option
  * Use a dict for clients memoization
  * Fix String Parameter Receive a unicode
  * Respect schema data type in constraint validation
  * Fix property-parameter mapping for boolean property
  * ec2token tolerate fully-qualified ec2authtoken auth_uri
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev75.g569d621:
  * Revert "Load resources using Resource.load_all_from_stack(
  * Support x-openstack-request-id for Heat
  * Sync oslo-incubator.middleware module
  * Sync with oslo incubator
  * Update: persist current template on change
  * Update template incrementally as resources change
  * Allow raw templates to be updated in the DB
  * Update: Keep a copy of the old template for rollback
  * Load resources using Resource.load_all_from_stack()
  * Refactor resource initialisation from DB
  * List stacks using Stack.load_all()
  * Implement Stack loading from DB as a separate function
  * Update: Make addition/removal of resources more explicit
  * RPC API: Really don't include metadata in resource list
  * Get resource description from ResourceDefinition
  * Get metadata from ResourceDefinition
  * Deprecate old schema definition in dbinstance
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev42.g51be0de:
  * Remove usages of threads in DummyThreadGroup
  * Get the resource type from ResourceDefinition
  * Get deletion policy from ResourceDefinition
  * Use ResourceDefinition to generate UpdatePolicy
  * Add AllowedValues constraint to Rackspace::Cloud::LoadBalancer
  * Heat and Openstack incomplete documentation
  * Set rollback status early in update if triggered
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev28.gad76a29:
  * Unit tests: use ResourceDefinition to test facades
  * Use ResourceDefinition to generate Properties
  * Unit tests: Name resources the same as in template
  * Unit tests: always use ResourceDefinition for handle_update()
  * Unit tests: Always use ResourceDefinition for updates
  * Assume compute service_type for nova client
  * Allow passing an existing user_creds_id to parser.Stack
  * Restore resource metadata attribute
  * parser.Stack add stored_context
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev10.g5a395e0:
  * Implement NovaFloatingIpAssociation res updatable
  * Support of regional endpoinds using Keystone v2
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev6.gfc5eb7f:
  * Handle missing user_creds in stack.delete
  * Use ResourceDefinition when updating Load Balancer
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev2.gac9ea4c:
  * Revert "Use auth_token_info to initialize heat_keystoneclient sessions"
  2014.2.b1
  * Use auth_token_info to initialize heat_keystoneclient sessions
  * Ensure routing key is specified in the address for a direct producer
  * Fix spelling in a doc string
  * Move Engine initialization into service start()
  * Remove optional imports from clients.py
  * Check that personality is provided before iterating
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev447.gce71253:
  * Add OS::Glance::Image resource
  * Fix physical_resource_name for Nova server
  * Add auth_token_info to request context
  * Implement resize of Cinder volumes
  * Use add_resource() to build autoscaling templates
  * Don't log entire template
  * Added field parameter identifying the custom validation
  * Adding error message for output description
  * Include parameter name in error message
  * Use entry points for config generation
  * Implement caching of resource attributes
  * remove default=None for config options
  * Implement handle_update for FloatingIPAssociation resource
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev421.gbfa6a2d:
  * Allow a resource to be added to a template
  * Support passing a Template object to StackResource
  * Handle HOT when converting Outputs to Attributes
  * Use ResourceDefinition in autoscaling
  * Unit tests: Create resources with ResourceDefinition
  * Avoid double-initialisation of Resources
  * Fix requirements_style_check on BSD platforms
  * Fix exceptions in update_stack
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev405.gb1197da:
  * Fix default template for AWS::CloudWatch::Alarm with Ceilometer
  * doc: generate a valid xml tree
* Sun Jun  8 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev401.g73f214b:
  * Define options for glance client
* Sat Jun  7 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev399.gfffe0b6:
  * Add OS:Barbican:Order resource
  * Add OS:Barbican:Secret resource
  * Pass the parent's registry into child stacks
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev393.g846c217:
  * Remove translation from loguserdata
* Wed Jun  4 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev391.g0678d6c:
  * Get the dependency graph directly from functions
  * Use ResourceDefinition for creating Resources
  * Add a ResourceDefinition class
  * Remove support for nova volumes
  * Use stack lock context manager in abandon & delete
  * Implement context manager for stack lock
  * all non debug log messages should be translated
  * Remove unnecessary coding line
  * Allow functions to calculate dependencies
  * Unit tests: remove resolve_runtime_data() call
  * test_engine_service remove redundant DummyThreadGroups
* Fri May 30 2014 dmueller@suse.com
- remove setting of kombu backend
* Thu May 29 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev369.g590899c:
  * Add Boolean parameter type
  * Use Emacs-friendly file variable to set file encoding
  * Fix broken link to API reference
* Wed May 28 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev363.g0262a29:
  * Deprecating the old style attribute Schema
  * Sync version of sphinx from requirements
  * Replacing variable logger on LOG
  * Use str_to_num for Number parameter
  * Re-enable lazy translation
  * All resources to use Schema update_allowed
  * Remove mention of update_allowed_keys
  * removed deprecated tools
  * Fixes personality support in Rackspace ASG resource
  * Do no re-validate parameters for existing stacks
  * Fix delete event error in postgres
* Tue May 27 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev341.g2d37843:
  * Migrate to glanceclient to get image id
  * Only raise UpdateReplace when properties change
  * Enable lazy translation in unit tests
* Mon May 26 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev335.g7d63ef2:
  * Add missing VerifyAll calls to test_validate
* Fri May 23 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev333.g9ba541b:
  * Order imports in alphabetical order (9/9)
  * Sync oslo incubator
* Thu May 22 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev329.g5b29bb1:
  * Remove all mostly untranslated PO files
  * Restore resource_id from backup_stack when delete
  * Refactor neutron resources lookup
  * Make attributes definition similar on properties
  * Using new attribute schema for all resources
* Thu May 22 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev320.gfb6b910:
  * Use oslo.config for heat-keystone-setup-domain
  * Fix stack_resource's handle_adopt
  * Add a test equivalent to default_log_levels
  * Synced jsonutils from oslo-incubator
* Wed May 21 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev313.gfd658d7:
  * Revert "Default engine workers to the number of CPUs"
  * Add range constraint to AWS volume size
  * Do not validate constraints in schema constructor
  * Move API parameter parsing from OpenStack API to engine
* Tue May 20 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev306.g42acc9d:
  * Using correct attribute of exception
  * Handle NotFoundException when deleting alarm
  * Only push metadata when required
  * Remove update_allowed_keys definition and usage
  * debug level logs should not be translated
  * Fix failed to delete the NovaFloatingIPAssociation resource
* Mon May 19 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev294.g5604168:
  * Default engine workers to the number of CPUs
  * Allow setting the number of heat engine workers
* Wed May 14 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev292.g322f61f:
  * Removing default version for templates
  * TestRandomString was calling the wrong setUp
* Tue May 13 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev288.g61b0860:
  * Make Server metadata a passive store again
* Sun May 11 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev286.g1aba2fa:
  * Provides ability to reference existing neutron resources
* Sat May 10 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev284.gad709eb:
  * Updated from global requirements
  * Make a top level contrib doc header
  * Add glanceclient to heat
  * Clean up openstack-common.conf
* Fri May  9 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev276.gf671d4e:
  * Give resource fakes a string ID
  * Eager-load Stack.raw_template for Stack.load
  * Fetch RawTemplate from Stack, not a query
  * Fetch all db resources in one query
  * resource_get_all_by_stack returns a dict
  * Stop periodic watcher tasks before deleting stack
  * Update olso modules
  * API changes for param to show soft-deleted stacks
  * Engine changes for API param to show soft-deleted stacks
* Thu May  8 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev263.g0b25aff:
  * Use keypairs.get instead of keypairs.list()
  * resource-list fails on a failed resourcegroup stack
  * Revert "Support ... x-forwarded-for header"
  * Don't use SSH in Rackspace::Cloud::Server
  * Refactor DB resource fetching from Resource to Stack
  * Use the new oslotest library
  * Refactor boolean conversion into a separate function
  * Move API parameter parsing from engine to API
* Wed May  7 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev247.g91ae858:
  * Update common docstrings to match guidelines
  * Ignore nova limits set to '-1'
  * SoftwareDeployments tolerate string zero status code
  * Make Server CONFIG_DRIVE property a boolean
  * Include exception in custom constraints errors
  * Do not query database for every metadata_get
  * Use resource methods for metadata get/set
  * Do not initialise stack_user password
  * Deprecate Stack.resolve_runtime_data()
  * Fix validate failed with an image_name in uuid format
  * Validate user_data_format for server with deployment
* Mon May  5 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev225.g90b24b0:
  * Add ISO 8601 date constraint
  * Add database model to store snapshots
  * Add a Nova Flavor resource
  * Don't dynamically create provider types in the global env
    (bnc#879062, CVE-2014-3801)
* Mon May  5 2014 dmueller@suse.com
- Update to version heat-2014.2.dev218.g2d41233:
  * Pass unresolved template to Resource.update()
  * Unit tests: tidy up resolve_runtime_data() calls
  * Autoscaling: compare fully-resolved templates
  * Rolling updates for OS::Heat::AutoScalingGroup
  * Shut the heat-engine after all threads finished
  * Skip tests when loading plugins
  * tests remove stack_delete_after decorator
  * Truncate status_reason to column length
  * unit tests: Don't mess with template retrospectively
  * unit tests: Check validation in VPC test
  * Don't wrap HeatExceptions during validation
  * unit tests: Test dependency resolution using validate()
  * Fixes stack rollback failure with AWS::EC2::Instance
  * Allow empty sections in the yaml templates
  * Support proxying Heat API by using x-forwarded-for header
  * Prefetch data in resource_get_by_name_and_stack
  * Distribute create_heat_domain
  * Fix all flake8 problems
  * Order and separate imports properly
  * Make events return by insertion order
  * Update openstack-common in prep for graceful stop
  * Remove unused logger
  * Change volume size property type to integer
  * Refined schema for VPCZoneIdentifier
  * Fix status reason in events for deployment signals
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev171.g44f91f0:
  * Deprecate first_address attribute of Server
  * Using attribute schema for building documentation
  * Raise InvalidTemplateReference for missing resources
  * Port all resources to new resource data methods
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev164.gae43482:
  * Restores Nova API for volume attach and detach
  * tests remove wr_delete_after decorator
  * tests make dummy db setup/reset consistent
  * An IO optimised method for accessing resource data
  * Fix many typos
  * Document the availability of OS::stack_name and OS::stack_id
  * Catch NotFound for keystone delete operations
  * Check that all po/pot files are valid
* Mon Apr 28 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev149.gdb7d45f:
  * Don't manipulate template during abandon
  * Make sure NetworkInterfaces and SubnetId updatable
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev145.g39e06ae:
  * Don't manipulate LoadBalancer template in-place
  * Add link to a resource's nested stack
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev141.gad4bb14:
  * Adding attribute schema class for attributes
  * Optional data for resource_data_get_all
  * Make Docker property schema similar with others
* Tue Apr 22 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev135.g405d8b9:
  * Imported Translations from Transifex
  * Add a log info message in Stack state_set
* Tue Apr 22 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev132.g635fad8:
  * Fix wrongly printed count of received handled conditions
  * Allow DesiredCapacity to be zero
  * Use cinder API for volume attach and detach
* Sat Apr 19 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev126.g67d51fc:
  * Don't pass enable_snat by default in Router
  * Avoid redundant polling of DB for metadata
  * Support multiple heatclient versions for SD
  * Don't ignore event creation errors
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev119.gbeb76da:
  * Make template validation uniform
  * Push COMPLETE status change at the end of update
  * Do not use suppport message if it's None
  * Allow filtering of stacks by action
* Thu Apr 17 2014 dmueller@suse.com
- fix init script
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev112.gf25d677:
  * Implement locking in abandon stack
  * Add hint on creating new user for Heat in DevStack
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev108.g8b3c161:
  * Fix inaccurate error_msg for InvalidTemplateVersion
  * Move some template validation to Template class
  * Sync oslo incubator
* Mon Apr 14 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev103.g3a61deb:
  * Replace str with six.text_type in tests
  * Tidy up urlfetch.py exception handling
  * Avoid referencing Message.__str__ in exceptions
  * Replace str with six.text_type
  * Fix missed whitespace in attribute description
  * Allow complex scheduler hints for AWS Instance
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev91.g4f7da1b:
  * Sync latest oslo.db code
  * Remove unused variable for UpdateReplace exception
  * Sort requirement files in alphabetical order
  * Expounded on global environments
  * Order imports in alphabetical order (5/9)
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev82.g1763e92:
  * Don't disguise CFN API exceptions
  * Refactor to separate serializers from wsgi controller
  * Add missing test coverage for XMLResponseSerializer
  * More specific exceptions when validating params
  * Add documentation for creating a resource plug-in
  * Allow NotFound to be created without args
  * Remove testscenarios load_tests
  * Update status section to indicate HOT is supported
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev69.gfe6ada0:
  * Cherry pick oslo-incubator db fixes
  * Update contrib docstrings to match guidelines
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev65.g9628b71:
  * Updated from global requirements
  * Cherry pick oslo rpc HA fixes
  * Add save_admin_pass property to CloudServer
  * Add admin_pass as attribute to CloudServer
  * Ensure outputs are resolved for adopted stacks
  * Catch exception during resolving outputs
  * Add handle_update to VolumeAttachment
  * Correct update to zero numbers of health monitors
  * Pass and use the environment in validate_template
  * Make the first line of every file consistent
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev46.g5b57317:
  * Allow for stack users in _authorize_stack_user
  * Fix timeout for stack actions
  * Remove use of py3kcompat
  * Ensure parameter timeout_mins available in update
* Sat Apr  5 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev39.g6c8f85a:
  * Credentials for native heat os-collect-config polling
  * Run pep8 check in run_tests.sh as in tox
  * Remove unused code in test_validate.py
  * Order imports in alphabetical order (4/9)
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev31.gb833968:
  * Updated from global requirements
  * Using default value during update
  * Add a resource_facade intrinsic function to HOT
  * Insertion port id in address attribute of server
  * Remove auth_token condition in clients
* Thu Apr  3 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev21.gedd0a23:
  * Fix incorrect logic during updating in unittest
  * Validation functions for resources and outputs
  * Initial validation of functions
  * Disable check_uptodate.sh check in pep8
  * Always answer empty list if deployments not ready
* Wed Apr  2 2014 dmueller@suse.com
- add check to prevent 3rd time introducing the same regression
  (bnc#871199)
* Wed Apr  2 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev12.g89e79ec:
  * Resolve data from Resource Facade
  * Add a default DeletionPolicy for Fn::ResourceFacade
  * Check top-level sections when parsing a template
  2014.1.rc1
  * Fix Jenkins translation jobs
  * Raise and catch a specific error during validation
* Tue Apr  1 2014 cloud-devel@suse.de
- Update to version heat-2014.2.dev769.gc99fafb:
  * Open Juno development
  * Properly delete OS::Nova::FloatingIPAssociation
  * version migration fails if version is an integer
  * Fix incorrect error msg in validate_template()
  * Add events for automation statuses to Cloud Server
  * Ensure that the NoCloud data source is loaded, part 2
  * Add IP address to error message of failed stack
* Sun Mar 30 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev755.g3aaa843:
  * Don't log exception for None timeout_mins
  * OS::Nova::Server depend on subnets related to nets
  * Order imports in alphabetical order (8/9)
* Sat Mar 29 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev749.gcfa9465:
  * Imported Translations from Transifex
  * Migrate invalid template version values
  * Add docker network_gateway attribute
  * Display container ip not gateway IP
* Fri Mar 28 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev741.g0c7663b:
  * Validate that resource type is a string
  * Fail if non-existent security group referenced
  * Fix using attributes in unittest
  * Update heat.conf.sample
  * Fix heading markup in hot_spec.rst
* Thu Mar 27 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev732.gaa55d97:
  * Make OS::Nova::Server networks property updatable
  * Fix creating docker containers
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev728.ge70aade:
  * Don't catch all exceptions in image constraint
  * Revert "Add validation to KeyPair resource"
  * Don't create cloud-init user unless specified
  * Change router's prop name agent_id to l3_agent_id
  * Add subnets as a dependency for router
  * heat is enabled by default in devstack now
  * Properly encode heat.common.exception in rpc
  * Error and NotFound inherit HeatException class
  * Store stack domain credentials for deployments
  * Reimplement DHCPAgent as net's property
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev708.g5985536:
  * Document software config classes
  * Fix stack-show failed with a name in uuid format
  * Provide the necessary inputs to enable HEAT_SIGNAL
  * Implement an identifier stack_path()
  * Don't re-bind parameters during stack update
  * Fix user provider template registration
  * Add documentation to the firewall properties
  * Get rid of global variable in JSON->YAML conversion
  * Refactor CLB to work with groups
  * Add more unit tests for ThreadGroupManager
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev688.ga63ba7d:
  * Using resolving properties for update
  * Stack identity reads tenant from stack not context
  * Catch NotFound exception on user delete_key
  * Never specify project_name in keystone v3 auth
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev680.g976801e:
  * Order imports in alphabetical order (7/9)
  * Propagate files in nested stacks
  * Remove unused variable
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev674.g96f427b:
  * Replacing NetworkGateway when devices updated
  * Allow update of disable_rollback
  * Fix start_with_acquired_lock - pass kwargs to func
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev668.g99d1483:
  * Fix typo in HOT spec
  * Tolerate None outputs on deployment handle_signal
  * Add name property to StructuredDeployment
  * Include environment resource in documentation
  * Use six.move.xrange to replace xrange
  * remove attributes from OS::Heat::AutoScalingGroup
  * Reimplement L3Agent as router's property
  * KeyError generated when using a provider template
  * Default properties to the empty dict in ResourceGroup
  * Removing unnecessary required=True options
  * Remove unused versions define in template_format.py
  * Fix InternalException raised on stack-show
  * Set statuscode=404 in NotFoundException in tests
* Mon Mar 17 2014 rhafer@suse.com
- switch over to non-openstack-prefix'ed users
* Mon Mar 17 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev642.g1a60d1a:
  * policy.json allow all users to do stacks:lookup
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev640.g5c03101:
  * Refactor Template.parse()
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev638.g4585f1e:
  * Generate local TemplateResource class
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev637.g4a8cae5:
  * Fix update of Pool's list of HealthMonitors
  * Move load_user_creds out of StackWatch
  * Devstack getting started, update IMAGE_URLS
  * Fix HOT inconsistencies in resource sections
  * Order imports in alphabetical order (6/9)
  * Order imports in alphabetical order (1/9)
  * Return template based class in list resource types
  * Order imports in alphabetical order (3/9)
  * Order imports in alphabetical order (2/9)
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev619.g5a876d2:
  * Add space to description of stack_domain_admin
  * Use stack ID to create domain project name
  * Modify assert statement when comparing with None
  * Improve compatibility between Keystone V2 and V3
  * Retry logic for SSH connection in Cloud Server resource
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev610.g22fd357:
  * Account for stack_user_project_id in stack_get_by_name
  * Resource type implementations for structured software config
  * Resource type implementation for software deployment
  * Remove signal_id from deployments API and model
  * Provide attribute schema for waitcondition resource
  * Add state check when suspend or resume stack
  * Add host_routes property to Neutron subnet resource
* Tue Mar 11 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev596.gadd95a5:
  * Fix some help strings in common/wsgi.py
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev594.gc92aa9b:
  * Server property for software config transport
  * OS::Nova::Server support for software config
  * Delete user_creds on stack delete
  * migrate User/AccessKey resources to StackUser base class
  * StackUser add _delete_keypair function
  * Refactor stack watching into a separate class
  * Remove decorators for exceptions
  * Handle 503 response from Nova API
  * Make template formats pluggable
  * Add an InvalidTemplateVersion exception
  * Move HOT template code to its own module
  * Add user_creds_delete to the DB API
  * fix DB API user_creds_get for non-existent ID
  * Make user_creds_id a parser.Stack attribute
  * Fix HOT set_stack_id
  * heat_keystoneclient don't pass project and trust_id
  * Allows vip from a different subnet for lbaas resource
  * Allow handle_signal to assert which actions are valid
* Fri Mar  7 2014 speilicke@suse.com
- Update to version heat-2014.1.dev561.g9cab4bb:
  * Fix AccessPolicy update with added resources
  * Fix resolving for Ref function
  * Revert "Showing member list for nested resources"
  * Add test for StackUser._create_keypair
  * StackUser add suspend/resume support
  * Allow getting attributes on suspended resources
  * Allow proper instance with volume suspension
  * Server secgroups and network/port together invalid
- Add python_requires source service
- Fix build requirements
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev545.gffe0af0:
  * heat_keystoneclient add delete_stack_domain_user_keypair
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev543.g362e033:
  * heat_keystoneclient add legacy fallback path
  * Fixup uuid stubbing in test_stack_user.py
  * Move HOT parameters code to a separate module
  * Load functions from plugins
  * Use PluginManager to load resources
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev533.g6c030fa:
  * Add tools/create_heat_domain helper script
  * Nova server to ref cloud-config resources in user_data
  * Return None when get_attr cannot resolve a value
  * Native ScalingPolicy resource
  * Remove vim header from files
  * Docs: use the plugin manager to list resources
  * Handle API limit exception in nova_utils.refresh_server
  * I18N support for error message
  * run_tests.sh default doc omits pep8
  * Switch over to oslosphinx
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev513.gf944f7d:
  * replace dict comprehension with dict constructor
  * Implement OS::Neutron::ExtraRoute as /contrib
  * Always report the action in state_reason as engine encodes it
  * Convert empty filter dictionary to None
  * Allow Server name property to be updated
  * Move the code that reads the global environment
  * Add a plugin_manager module
  * Calculate template version only once
  * Give cfn a separate Template class
  * Move HOT version checking to HOTemplate class
  * Make server resources use nova_utils.refresh_server()
  * migrate StackUser base class to stack domain users
  * engine: allow stack_user_project users to retrieve stack
  * Add config options to specify stack domain admin
  * Modify stack_user_domain config option to take domain ID
  * Nova keypair validation breaks client plugins
  * Add Keystone V2 plugin
  * Make Keystone client pluggable
  * Add a validation step to parameters schema
  * Add neutron network constraint
* Tue Mar  4 2014 speilicke@suse.com
- Update to version heat-2014.1.dev473.ge469aef:
  * Adds Parameter Label to template validate call
* Tue Mar  4 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Switch-over-to-oslosphinx.patch (manually)
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev471.g5160a76:
  * Generate docs for contrib plugins
  * Restructure contrib/ directories
  * Document schema properties for Neutron subnet resource
  * Remove redundant default value None for dict.get
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev463.g54117fe:
  * Add admin_pass as a property
  * Change software_config storage of config and io columns
  * Add project to unscoped stack list response
  * Unscoped List Stacks
  * Alter stack_count_all_by_tenant to stack_count_all
  * Fix stack_get_all call on stack watcher
  * Change Resource timestamps to save correct info
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev449.ga905ce9:
  * Update Oslo wiki link in README
  * Document schema properties for Neutron router resources
  * Add validation of nested property schema
  * Adding "device_owner" property for Port resource
  * Implement glance image constraint
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev439.g59c0441:
  * add OS::Heat::AutoScalingGroup
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev437.gfbecd4f:
  * Change Stack timestamps to save correct info
  * Change access to ceilometerclient
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev433.g0007c2d:
  * I18N support for log message and attributes schema
  * Ensure that the NoCloud data source is loaded
  * Don't install cloud-init on Rackspace images
  * SignalResponder move signed URL deleting to its own method
  * REST deployment metadata method
  * RPC method to fetch deployments metadata
  * Fix typo and remove unused code in nova_utils.py
  * Raise NotFound in software_config_get/software_deployment_get
  * Convert AccessKey resource to attributes_schema
  * Check that 'heat_template_version' is a HOT version
  * Replace '+' with string interpolation operation
  * Remove unused output section from test template
  * Add preview for LoadBalancer
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev407.gac8ef2a:
  * Docs: use pydoc to read docstrings
  * Remove redundant FnGetAtt from User resource
  * Implements resource type NetworkGateway
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev401.g9dd525f:
  * Tidy up rpc_client definitions
  * Updated from global requirements
  * Changed Openstack into OpenStack in contrib.rst
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev396.g1116377:
  * Replace hard code in software_deployment REST api
  * Doc generation display message for deprecated resources
  * Use property support_status in documentation generation
  * Fix test for cloud loadbalancer
  * Add Docker resources to docs
  * Change Docker resource mapping name
  * Fix resource mapping for Docker
  * Remove Fn::FindInMap from HOT
  * Move built-in functions to separate modules
  * Disallow Heat-only functions in CloudFormation templates
  * Provide access to the template version
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev374.g4a9ed59:
  * Use support_status for existing deprecated properties
  * Move X-Auth-Url logic to auth_url middleware
  * Add support_status attribute to properties schema
  * Move HOT to a separate subpackage
  * Replace function resolution with lazy evaluation
  * unit tests: Refactor to accomodate lazy evaluation
  * Ensure some properties update_allowed on port res
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev360.g6506f45:
  * Add flavor constraint
  * Rackspace Cloud Networks resource
  * Fix resource mapping for Rackspace
  * Refactor SupportStatus into its own module
  * Add ability to create provider networks (vlan,flat)
  * Environment template guide enhancement
  * unit tests: Fix types in Fn::ResourceFacade tests
  * Fix test_association_eip unit test
  * unit tests: Always resolve static functions
  * Evaluate lazy functions in autoscaling launch config
  * Replace stack_get_all_by_tenant with stack_get_all
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev338.gcd07271:
  * Move refresh_server() to nova_utils
  * Parse stack_adopt_data
  * de-hardcode adjustment type strings in autoscaling
  * Add a requirements file for contrib/rackspace/
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev330.g56bacbd:
  * Add systemd notification support to heat
  * Revert "Merge "Re-enable lazy translation""
  * Add Heat API reference to developer docs
  * Add preview for TemplateResource
  * Add preview for InstanceGroup
  * Add preview for ResourceGroup
  * Add preview for NestedStack
  * Add StackResource specific preview behavior
  * Remove empty unit test directory
  * Add validation to KeyPair resource
  * raw_template hot parameter type data migration
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev308.ge9f9f05:
  * Replace hardcoded schema strings in autoscaling.py
  * REST API for software deployment
  * Calculate dependencies based on unresolved template
  * Re-resolve functions during stack update
  * Refactor re-resolving of templates
  * Add a base class for pluggable functions
  * Prevent user introspection of Python objects
  * Remove spurious tracebacks from tests, part 2
  * Add API support for stack preview
  * Add engine preview stack with Template and Params
  * Refactor resource loading functions
  * Don't disable SELinux in cloud-init's boothook.sh
  * Native Nova Server compatibility for Cloud Server
  * RandomString use the random string as the resource_id
  * Display max_template_size when a template is too large
  * Fix usage of resource_data_get_all in stack-abandon
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev276.g4f4222f:
  * Revert config mocking to cfg.CONF.set_override
  * Enable usage of custom constraint in parameters
  * Use six.moves cStringIO instead of cStringIO
  * Re-enable lazy translation
  * Rename Openstack to OpenStack
  * Use integer when appropriate in autoscaling schema
  * Don't try to stop a stack on a dead engine
  * Handle API limit exception in OS::Trove::Instance
  * Updates template_validate call to validate parameter_groups
  * Translate constraint description in validation
  * Raise the default max header to accommodate large tokens
* Mon Feb 17 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev254.ga002359:
  * Restructure Marconi plugin directory structure
  * Separate the Marconi client from the resource
  * REST API for software config
  * Adds Parameter Label to HOT spec and parameter schema
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev246.g26fe7a9:
  * Fix incompatibilities in tests with keystoneclient 0.6
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev245.g8c4adee:
  * Improve help strings
  * Add a nova keypair constraint
  * Fix errors in hot_spec doc
  * Remove spurious tracebacks from tests
  * Remove TODO comments in create_resource
  * Delete rackspace database resource
  * Provide region_name to trove-client
  * Retrieve user_id from HTTP Headers to populate Context
  * Implement HOT intrinsic function get_file
* Thu Feb 13 2014 dmueller@suse.com
- added patches:
  * 0001-Switch-over-to-oslosphinx.patch
* Thu Feb 13 2014 dmueller@suse.com
- remove log_file option
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev227.ge7fd5a7:
  * Refactor SignalResponder to abstract user logic
  * heat_keystoneclient add support to enable/disable domain users
  * Verify that parsed environment file maps to a dict
  * Fix misspellings in heat
* Wed Feb 12 2014 cloud-devel@suse.de
- Update to version heat-2014.1.dev221.g4c4b780:
  * Implement custom constraints
* Tue Feb 11 2014 speilicke@suse.com
- Update to version heat-2014.1.dev219.g2a2cf52:
  * Add Rackspace resources summary to docs
  * heat_keystoneclient add create_stack_domain_user_keypair
  * heat_keystoneclient add delete_stack_domain_user function
  * heat_keystoneclient add create_stack_domain_user function
  * heat_keystoneclient raise error if stack user role missing
  * Add parser.Stack support for stack_domain_projects
  * Imported Translations from Transifex
  * Add personality files property to Server resource
  * HOT templates get_param allows extra attributes
  * Make Server compatible with Nova Key Pair resource
  * Rename docker_plugin to docker
  * Rename Marconi plugin package
  * Don't raise MySQL 2013 'Lost connection' errors
  * Adding option in config to specify region name
  * Add unit tests for heat.scaling.template
  * Fix default raw_template files value in migration
  * Move resource_templates to heat.scaling
  * Refactor _create_template to not rely on instances
  * Do not log error on software config/deployment NotFound
  * Handle API 500 response in OS::Nova::Server
  * Rename rackspace.rst to contrib.rst
  * Reorganize docker-plugin for consistency
  * Restructure Rackspace resources
  * Delete fixed_ips if it's empty list
  * Create heat database with default character set utf-8
  * Allow an in-progress stack to be deleted
  * Ensure stack lock is released after stack-delete
  * Fix indentation errors found by Pep8 1.4.6+
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Fri Feb  7 2014 dmueller@suse.com
- fix typo in init script
* Tue Feb  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev130.gad6051b:
  + Fix handle_create of NetDHCPAgent for updating
* Mon Feb  3 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev128.g1993b17:
  + Add qpid-python to requirements
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev126.ga3e9eb0:
  + Purge remaining heat_keystoneclient v2 code
  + Only update_and_save if the stack exists
  + Showing member list for nested resources
  + serialize non-string nova metadata
  + Refactor software config db model to use LongText
  + Add heat.sqlite in git ignore list
  + Enabled source code coverage for contrib directory
  + Add migration method to test sqldump files
  + Imported Translations from Transifex
  + Map the NotFound exception to HTTPNotFound
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev106.geb7a4a4:
  + Don't run pep8 tests with -P
  + Global environment ignores files starting with dot
  + heat_keystoneclient convert get_ec2_keypair to v3 API
  + heat_keystoneclient convert delete_ec2_keypair to v3 API
  + Fix user and signal responder exception import
  + Fix AWS::StackId pseudo-parameter during stack update
  + API tolerate None environment string
  + HOT templates get_attr allows extra attributes
  + Use a HeatIdentifier instance to create Parameters
  + Native Pseudo Parameters
  + Prevent access Parameters key in template dict
* Thu Jan 30 2014 dmueller@suse.com
- move lock_path to /var/run
* Thu Jan 30 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev84.gae02ce4:
  + Update oslo db
  + fix some flaws in heat documents
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev80.g3d2517b:
  + Add autoscaling notifications
  + Refactor Parameters Schema based on common Schema
* Tue Jan 28 2014 dmueller@suse.com
- configure signing_dir / lock_path
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev76.g6abf46e:
  + Updated from global requirements
  + Move param format for template-validate to API
  + stub cfg.CONF in heat_keystoneclient
  + Fixes template not using the JSON or YAML format
* Mon Jan 27 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev68.g0ba5b95:
  + Marconi message queue resource implementation
  + Don't pass empty security groups in port creation
  + heat_keystoneclient migrate create_ec2_keypair to v3 API
  + Store credential ID for AccessKey and SignalResponder
  + Update base oslo modules
  + Update olso gettextutils
  + Fix order of arguments in assertEqual (patch 1/2)
* Sun Jan 26 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev54.gf15c9a5:
  + "version" section should be required in template
  + Fixed OS::Neutron::Pool creation
  + Assign X-Auth-Url header in a separate middleware
  + Added testr-args option support for tox coverage
  + Don't delete trust on backup stack delete
* Sat Jan 25 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev44.g8a1eebc:
  + Fix adding heat_stack_user role via v3 API
  + Refactor heat gate testing contrib support
  + Use region for cinder management uri
  + Make endpoint_type configurable
  + Fix error in RS Auto Scale properties schema
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev34.g1df32d8:
  + new method 'HeatTestCase.patchobject'
  + heat_keystoneclient migrate auth_token/service_catalog to v3 API
  + Turn block_device_mapping.volume_size to int
  + Fix incorrect resource types in docs/comment/code
  + Refactor MySQL long text support
  + Fix OS::Neutron::Pool validation
  + Allow choice in how SignalResponder user id is stored.
  + Add a new ThreadGroupManager class
  + Fix syntax error in docs
  + Document Heat terms in glossary.rst
  + Always specify preserve_ephemeral on server rebuild
  + add the validation of MaxSize ,MinSize and DesiredCapacity
  + Adding Range constraint for SIZE property
  + Implement adopt-stack
  + Implement adopt-stack for nested stacks
  + Enable better sub-classing of common Schema class
  + Add a new "UpdateWaitConditionHandle" resource
  + Fix order of arguments in assertEqual (patch 2/2)
  + Ignore tox -e cover generated files
  + Database model for software config/deployment
  + Remove dependencies on pep8, pyflakes and flake8
  + Make LB-updating in rolling update more reliable
* Wed Jan 22 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev393.g7406a33:
  + Fix ceilometer alarm properties schema
  + Use oslo crypto
* Tue Jan 21 2014 dmueller@suse.com
- fix running db migrations on start
* Mon Jan 20 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev389.gb7bf3c8:
  + Using _handle_not_found_exception in resources
  + Convert heat_keystoneclient user-create logic to v3 API
  + Convert heat_keystoneclient user-delete logic to v3 API
  + Convert heat_keystoneclient user enable/disable logic to v3 API
* Sun Jan 19 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev381.g1b723d0:
  + Don't query for resource during stack creation
  + New middleware to handle SSL termination proxies
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev377.gbca680b:
  + Fix comparison with singletons
  + Add way to group exceptions in DependencyTaskGroup
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev373.g8fec58f:
  + Add contrib to py26 and py27 gates
  + Add _() to rackspace resource strings
  + Remove heat-cli-guide
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev367.gaaa4132:
  + Let Integer property convert strings to numbers
  + Fix heat-keystone-setup error when try to create heat user
  + Close SSH connections in Cloud Servers resource
  + Add stack id and resource id in logs
  + Implement neutron metering resources
  + Added heat url in config for heat standalone mode
* Wed Jan 15 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev355.g21f97a0:
  + Implements Nova FloatingIP resources
  + Fix showing events on swift.
  + Add filter and pagination to stack_get_all
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev349.gf75369e:
  + I18N support for InvalidContentType exception
  + Correct use of Fn::Split in generated provider templates
  + Generate provider templates with Boolean params correctly
  + Include a format version in generated templates
  + Update heat.conf.sample
* Mon Jan 13 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev340.g0edbb85:
  + Use the new Schema class for template generation
  + Fix asserttion of types
  + update pom.xml files with clouddocs-maven-plugin version 1.12.2
  + Convert Server to new Schema format
* Sun Jan 12 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev332.g9324732:
  + Fixes duplicate calling add_constructor()
  + Fix get_column_num problem in heat-keystone-setup
  + Remove superfluous tag schema from Volume
* Sat Jan 11 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev326.ge450253:
  + Fix unused variables 2/2: enable unused var check
  + Add documentation for multi-engine
  + log warning, when $SERVICE_HOST is localhost
  + Added session_persistence property to VIP
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev318.g5e9fad1:
  + Avoid error on double-delete of nested stack
  + Fix schema format in template generation unit tests
  + Validate number of instance metadata entries
  + Improve tools/uninstall-heat
  + Update log message for scale out/in
  + Service authorize stack user from provided stack
  + Introduce a way to trace a resource's implementation
  + Enable parallel while deleting neutron resources
  + Remove override of "patch" function
  + Fix more regressions in contrib
  + Add ability to configure Heat and Trove client options
  + Store AccessKey secret_key in resource data
  + heat_keystoneclient revise get_ec2_keypair
  + remove obsolete comment from rackspace clients.py
  + Update Loadbalancer default template to F20 image
  + Tolerate deleted trust on stack delete
  + Fix unused variables 1/2: add more asserts
* Thu Jan  9 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev284.gba2503c:
  + Test db migration 31
* Wed Jan  8 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev282.ga23c722:
  + Use oslo db.migration script
  + Replace try...except...pass block with assertRaises
* Tue Jan  7 2014 dmueller@suse.com
- fix requires
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev278.gaa322b2:
  + add assertion to heat-keystone-setup script
  + Filter resource types by support status
  + Fix regression in Rackspace Cloud Servers tests
  + Fixes typo of explanation on exception.py
  + Refactor Instance#_check_active
* Mon Jan  6 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev268.g75b38b3:
  + Do not override cloud-init cloud_config_modules
  + Add policy enforcement to ReST API
  + Add test coverage for SignalResponder delete
  + Make LoadBalancer nested stack template configurable
  + Deleted TEMPDIR on exit
* Sat Jan  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev258.g5165780:
  + update rackspace clients.py
  + Add new Ceilometer combination alarm resource
  + Sort the output of config/generator.py by group name
  + "mountpoint" should not be required parameter
  + EventService exception handling to not log errors
* Fri Jan  3 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev248.gb15954c:
  + Rename scaleout_apis.rst -> scale_deployment.rst
* Thu Jan  2 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev246.gb3a17f3:
  + Fix SignalResponder signature response when deleted
  + Fix misused assertTrue in unit tests
  + Fix a typo in the README for docs
  + Do not use python built-ins as variable names
  + Imported Translations from Transifex
  + Empty files shouldn't contain copyright nor license
  + Add test for AutoScalingGroup resize and metadata
  + Use WithScenarios base class instead of load_tests
  + Remove usage of mox class
  + Remove redundant word from OS::Nova::Server
  + Enhance message for watch rule
* Wed Dec 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev224.gef8b312:
  + Remove useless validate methods
  + Don't provide default values to properties.get()
  + Imported Translations from Transifex
  + Add migration test framework
* Tue Dec 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev216.gf0bc492:
  + Add a schema for the AWS::EC2::Instance Volumes property
  + Use property name constants in CinderVolume
  + Add support for multiple encryption methods
  + SignalResponder store access/secret in resource data
  + Imported Translations from Transifex
  + Remove unnecessary setUp call
  + Updated from global requirements
  + Change loglevel for certain failures
  + Let users specify metadatas on swift accounts.
  + rackspace: Convert resources to new Schema format
  + rackspace: Convert CloudLoadBalancer to new Schema format
* Sat Dec 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev194.g860212d:
  + wsgi.Resource exception handling to not log errors
  + SignalResponder, set resource_id in the correct place
  + Adds parameter_groups to HOT specification.
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev188.gadec077:
  + Convert [Cinder]VolumeAttachment to new Schema format
  + Convert AWS network resources to new Schema format
  + Add nested resource references to resource group
  + Use property name constants in Ceilometer alarm
  + Convert Neutron resources to new Schema format
  + Convert numeric values in instance metadata to strings
  + Simplify update_with_template() method
  + Fix copy/paste errors in API docstrings
* Thu Dec 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev172.g8ae4104:
  + Convert Instance to new Schema format
  + Add an external gateway property to neutron router
  + Fix misused assertTrue in unit tests
  + rackspace: Convert Scaling resources to new Schema format
  + Correct create_trust_context docstring
  + Add sanity check to ensure user_id can be trusted
* Wed Dec 18 2013 dmueller@suse.com
- Update to version 2014.1.dev160.gb7f3c62:
  + Add validation for an existence of a resource type
  + pep8 fix: assertEquals -> assertEqual
  + Change assertTrue(A in B) to assertIn(A, B)
  + heat-manage man page not generated in doc build
  + Convert Autoscaling resources to new Schema format
  + Make the mountpoint property description clearer
  + Implement engine listener service for multi-engine support
  + Don't replace (and log) the same resource entry
  + tests: Don't access properties_schema directly
  + Convert Ceilometer Alarms to new Schema format
  + Use ScaledResource as type for InstanceGroup members
  + Convert User resources to new Schema format
  + Convert resources to new Schema format
  + Convert Swift resources to new Schema format
  + Add support for network name for os::nova::Server
  + Update tox.ini to use new features
  + Utilize stack-lock for multi-engine support
  + Allow docker plugin to run w/o deps
  + Remove unused dumps validation in JsonParam value
  + Convert [Cinder]Volume to new Schema format
  + Enables db2 server disconnects to be handled pessimistically
  + oslo: add the crypto module
  + Fix stack_get_by_name does not list nested stack issue
  + Improve autoscaling error message
  + Imported Translations from Transifex
  + Add oslo mock fixture
  + Convert OSDBInstance to new Schema format
  + WaitCondition Count property is now updatable
  + Add OS::Neutron::RouterL3Agent for router.py
  + Prevent tempest from failing upon ActionInProgress
  + Don't pass swift headers as None
  + Add support for rebuild --preserve-ephemeral.
  + Fix comparison with singletons
* Fri Dec 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev95.gcaa765d:
  + Fix missing policy enforcement in CFN API
  + Deny API requests where context doesn't match path
* Thu Dec 12 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev91.g04ee9d4:
  + Sync global requirements to pin sphinx to sphinx>=1.1.2,<1.2
  + Add OS::Neutron::NetDHCPAgent for neutron/net.py
  + Add load balancer PoolMember resource
  + oslo: add the test module needed by test_migrations
  + Database changes for multi-engine support
  + Implement stack-locking for multi-engine support
  + oslo: update the remainder of the modules
  + Remove unused variable badkeys
  + Sync oslo threadgroup.py to fix wait & stop methods
* Wed Dec 11 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev74.gc8217a3:
  + Add attributes schema to OS::Neutron::FloatingIP
  + Remove oslo uuidutils.generate_uuid from heat code
  + Replace try...except block with assertRaises
  + Imported Translations from Transifex
  + Document Port properties
  + Sync oslo rpc
* Tue Dec 10 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev62.ga2da560:
  + Fix regression in cloud server tests
  + Account for truncated resource names in test PhysName
  + Make build_userdata user_data_format aware
  + Instance call build_userdata directly
  + Change ID column of Event table to UUID
  + Allow intrinsic functions to be called in any order
* Mon Dec  9 2013 dmueller@suse.com
- add cache dir to package
* Sun Dec  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev50.g3110364:
  + Set the rpc control_exchange "again"
  + Clean up useless ex variable
  + Fix stack-show on a TemplateResource with outputs
* Sat Dec  7 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev44.gb3d0569:
  + Remove unused fake test code
  + Provide access to Trove client
  + Add heatclient to available clients
  + Derive context is_admin from policy
  + Remove misleading docstrings in ContextMiddleware
  + Remove owner_is_tenant from RequestContext
  + Fix show_deleted errors in RequestContext
  + Sync DB2 error code handling from oslo
  + Factor Schema out of properties.py for re-use
  + Add a .coveragerc to exclude tests and oslo
  + Add API endpoint to query build information
  + Fix bad resource schema for Volume
  + Restrict sort_keys for stack lists
  + Migrate away from rackspace_resource
  + Openstack Trove (DBaaS) resource
  + Make db API respect context show_deleted
  + run_test.sh -V --unit doesn't run using virtualenv
  + Pass the files correctly though the update mechanism
  + Handle TemplateResouces with the wrong template extension
  + Return map parsed value at JsonParam.value
  + Fix error in Trove Instance schema definition
  + Add SupportStatus class for resources
  + Add collection count to stack list
  + Call cfn-create-aws-symlinks in boothook.sh
  + heat engine changes for abandon-stack
  + contrib: Add Docker Container plugin
  + Properly reconnect subscribing clients when QPID broker restarts
  + tests: use server.test not example.com
  + Bump to sqlalchemy-migrate 0.8.2
  + Property methods for resource metadata
  + oslo: delete rpc/securemessage.py
  + oslo: add py3compat
  + Use the new oslo py3kcompat.urlutils
  + oslo: update config generator
  + Imported Translations from Transifex
  + Add REST endpoint for abandon-stack
  + oslo: update the rpc module
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev451.g0a56957:
  + Remove duplicate test scenario
  + VersionNegotiation - 404 if no version is provided
  + Make engine service docstrings conform to Sphinx
  + Remove property decorator in TemplateResource
  + Remove external AWS links and add doc if needed.
  + Avoid eventlet-unsafe exception handling
  + Fn::Replace support for type Number
* Fri Nov 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev438.g1aa3ce7:
  + Sync openstack.common.local from oslo
  + Let resources decide when to update
  + Ensure that members is a list
  + Imported Translations from Transifex
  + Catch error deleting trust on stack delete
  + Add check_is_admin to common.policy.Enforcer
* Thu Nov 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev426.g636a9f6:
  + Clean up "target" interface to policy
  + test_common_policy cleanups
  + Implement PrivateIpAddress attribute
  + Fix not correct AWS::StackId value
* Wed Nov 27 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev418.g155d94e:
  + Use all available headroom for autoscaling
  + Add filter support to stack API
* Tue Nov 26 2013 dmueller@suse.com
- SQLAlchemy-migrate was renamed to sqlalchemy-migrate in openSUSE
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev414.g3f1f69b:
  + Add test for OS::Heat::HARestarter
  + Added support for Allow-Address-Pairs feature
  + Remove param explode_nested from doc
* Mon Nov 25 2013 dmueller@suse.com
- update requires
* Mon Nov 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev408.gffa8af6:
  + Adds ability to configure various clients used by the Heat
* Sun Nov 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev406.g70b0839:
  + Fix BaseException.message DeprecationWarning
  + Improve coverage of storing credentials in parser.Stack
  + Add coverage for trusts parser.Stack delete path
  + Define deletion policy constants
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev398.g5aa6b72:
  + Add a missing mock to rackspace cloud server test
  + Fix the middleware MIME type
  + Fixes bullet list without blank line issue
  + Add exact filter support to SQL API list stacks
  + Add a guide to setup standalone mode
  + Fix some docs errors/warnings
  + FaultWrapper error mapping supports parent classes
  + Implement a Heat-native resource group
* Fri Nov 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev382.g958ddb8:
  + Fix i18N compliance with non-existant keypair
  + Remove Component class
  + Make heat depend on python-heatclient
  + Doc usage enhancement
* Wed Nov 20 2013 speilicke@suse.com
- Update to version 2014.1.dev375.g186b5a4:
  + Remove unused db/sqlalchemy/manage.py
  + Don't use the last server fake, but the one we want
  + Update install.sh to reflect recent oslo.db format
  + Ensure autoscaling actions occur for percentage adjustment
  + Refresh Cloud Server data for RackConnect check
  + Move resource doc generation to doc/source/ext
  + Rewrite get_secgroup_uuids to avoid resource_by_refid
  + Managed Cloud compatibility for Cloud Servers
  + Add _() to fix i18N compliance (part 1)
  + Use get_secgroup_uuids in Instance
  + Implement Tags for S3 bucket
  + Fix some direct imports from sqlalchemy
  + Add support for limiting and sorting stacks
  + Add links section to the stacks index response
  + Get pool members from DB API
  + Allow nova metadata to be updated
  + Make instance Tags updatable
  + Fixes Error when contain Non-ascii in template
  + Add _() to fix i18N compliance (part 2)
- Disable the 'ext.resources' Sphinx extension to not pull in half of
  PyPI for man-page builds
- Updated requirements
* Thu Nov 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev341.g2fbfae4:
  + Implement stack-locking for multi-engine support
  + Add property doc strings for S3 bucket
  + Revert "Implement stack-locking for multi-engine support"
  + Shorten physical resource name to custom limit
  + Fix server update attribute test
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev333.g2ddcf04:
  + Refactor tests to use mock
  + Fix "members" property check
  + Implement update for neutron router resources
  + Implement update for neutron port resources
  + Rename exception NoUniqueImageFound
  + Imported Translations from Transifex
  + Using a number in str_replace causes an exception
* Tue Nov 12 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev319.ga128035:
  + Create a guide for scaling out Heat API's
  + RackConnect compatibility for Cloud Servers
  + Imported Translations from Transifex
  + Implement update for neutron network resources
  + Implement OS::Neutron::SecurityGroup
  + Set the waitcondition maxvalue to 12 hours as AWS specifies.
  + Add property documentation for the waitcondition
  + Resources for Rackspace Auto Scale
  + Implement update for neutron subnet resources
* Sat Nov  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev302.g620fd01:
  + Imported Translations from Transifex
  + Check that the epel repo exists before adding it
  + Send usage notifications on major stack events
* Sat Nov  2 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev297.g95c5739:
  + Imported Translations from Transifex
  + Make check_uptodate compatible with BSD shells
  + Rename admin flag on SqlAlchemy#stack_get
  + Add a man page for heat-manage
* Fri Nov  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev290.ga1301ba:
  + Add Rackspace Cloud DNS Resource
* Thu Oct 31 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev289.gbca4b68:
  + Stop irratating pep8 error in test_clouddatabase.py
  + Add a link method to Thread
  + Ensure apt-get installs do not prompt user input
  + Imported Translations from Transifex
  + Implement volume tags as metadata
* Wed Oct 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev281.g297e118:
  + Assert that all function exceptions have the function name
  + Make Fn::Select accept an integer selector again
  + Fix sqlalchemy models
  + Fix sqlalchemy migrations
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev274.g6d9f45c:
  + Change heat-api.org to openstack.org
  + Add doc support for update_allowed
  + Only log to console in heat-db-setup
  + Move all possible function tests into scenarios
* Mon Oct 28 2013 dmueller@suse.com
- fix requires
* Sat Oct 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a267.gb7c50f7:
  + use msg_fmt not message in Exceptions
  + Updated from global requirements
  + Fix nested stack test setUp ordering
  + Stub out unmocked keystone auth in signal tests
  + use exception str() not .message
  + Tolerate lookup failures in Fn::Select
  + Delete deprecated docs/ directory
  + Stub out unmocked keystone in test_engine_service
  + Support defining update_allowed in the property_schema
  + change base resources to use UpdateAllowed property schema
  + change contrib/ to use UpdateAllowed property schema
  + change alarms to use UpdateAllowed property schema
  + change neutron to use UpdateAllowed property schema
  + Instance delete should check for 'DELETED' status
  + Imported Translations from Transifex
* Thu Oct 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a240.g8c7872e:
  + Document security group properties
  + Allow user_data to be passed without modification
  + Refactor Nova server resizing to be self contained
  + Add rebuild to OS::Nova::Server
  + Allow plugins to be specified as a cloud_backend
  + Repeat Ceilometer alarm actions by default
  + Updated from global requirements
  + change assertEquals to assertEqual
  + Imported Translations from Transifex
  + Prove that a user can't remove global resources
  + Reverse assert arguments so the errors make sense
  + Use resource_id_set to clear resource ID's
* Wed Oct 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a217.g3e53c8e:
  + Document subnet properties
  + Document vpc properties
  + Imported Translations from Transifex
  + Correct misleading template guide Ref example
  + Document network interface properties
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a207.g09481c6:
  + End doc sentences in a consistent way
  + RS LoadBalancer should return its ID as Ref
  + Document route table properties
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a201.g4382fbe:
  + Move db_sync into the sqlalchemy DB api.
  + Add granularity option to purge_deleted
  + Updated from global requirements
  + Add support to disable resources
* Mon Oct 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a194.g999066c:
  + Fix incorrect indentations found by Pep 1.4.6+
  + Imported Translations from Transifex
  + Add a test for TimeoutInMinutes accepting a str int
  + Make the template and env yaml parsing more consistent
  + Catch all yaml exceptions
* Sun Oct 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a185.g1205d68:
  + Prevent urlfetch from returning encoded chars
  + Allow RS LoadBalancer resource to have no nodes
  + Wrap engine exceptions in _()
  + Use "python -m coverage" instead of coverage cli
  + Updated from global requirements
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a175.gedda3e2:
  + Updated from global requirements
  + Imported Translations from Transifex
  + Add requests library to requirements.txt
  + Update openstack.common.db
  + Stop using openstack.common.exception
  + Convert str passed as Numbers/Integer to numbers
  + Wrap api exceptions in _()
  + Wrap common exceptions in _()
  + Revert "Don't install EPEL rpm on CentOS 6.4"
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a157.ga1ad083:
  + Implement native Nova keypair resource
  + Remove a buggy method in sqlalchemy.api
  + Make Autoscaling update policy tests faster
  + Allow flavor and image names in CS resource
  + Remove spurious traceback in test
  + Provide more tests for DB APIs
  + Imported Translations from Transifex
  + Updates OpenStack Style Commandments link
* Thu Oct 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a141.g4603a7a:
  + Migrate to Oslo DB 96d1f887dda Part 3
  + Enable exception format checking when testing
  + Imported Translations from Transifex
  + Do not attempt a stack update when it is suspended
  + Don't allow updates when another action is in-progress
  + Ignore H803 from Hacking.
  + Validate template parameter attributes
  + Fix regression in DBaaS tests
* Tue Oct 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a125.g3dc2ce0:
  + Allow DependsOn to accept a list
  + Add log_handler to implement the publish_errors config option
  + Pass errors from *_format.parse() to the caller
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a119.g6f26ac6:
  + Add keystone_authtoken section into the heat.conf.sample
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a117.g749f536:
  + Change pyrax identity_type of Rackspace resources
  + Don't install EPEL rpm on CentOS 6.4
  + Fix the signal details string
  + Fix possible race issue with test_engine_service
  + Fix RequestContext.to_dict user/username inconsistency
  + Add cinder prop image, deprecate imageRef
  + Add help for purge_deleted command age argument
  + DB API : tolerate None values to _encrypt
  + Fail stack-create if script exits with non-zero status
  + Make templateResource not replace on update
  + Updated from global requirements
  + Begin 3 chapters for Orch API Ref Manual
  + Update openstack.common.policy from oslo
  + Rolling update support for Instance/AutoScalingGroup
  + Fix heat deletion failed if floating ip is not found
  + update the config generator from oslo
  + Start using tools/config instead of tools/conf
  + Move check_uptodate.sh into config/ and delete tools/conf
  + Fix some docs warnings and errors
  + Allow overriding the instance_user per server
  + Return Integer or Float casted value in NumberParam
  + Imported Translations from Transifex
  + Catch the appropriate exception for missing instance
  + Create a better exception in Fn::Replace
  + Save parse errors in TemplateResource for later
  + Raise error if instances are created with names > 63 chars
  + Increase support for the AllocationId property
  + Remove obsolete redhat-eventlet.patch
  + A resource to generate random strings
  + Imported Translations from Transifex
  + Add property port_id to RouterInterface
  + Imported Translations from Transifex
* Wed Oct  9 2013 dmueller@suse.com
- default to sqlite (like the other openstack modules)
* Wed Oct  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a57.g662c010:
  + Make sure that nested stacks have their watch rules checked
  + Update some cases of iterating stack resources
  + Cleanup nested loop variables in TemplateResource
  + Don't try validate TemplateResource properties in template_validate
  + Make the testing of resource loading easier
  + Move the registration of the global env to after plugin resources
* Mon Oct  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.rc1:
  + Log exception traces in APIs
  + Disable lazy translation
  + heat_keystoneclient: Fix consuming trusts via v2 API
  + Add _() around the attributes_schema in net.py
  + Add the "show" attribute to the neurton attribute_schema
  + Purge Fedora getting started of old info
  + Purge ubuntu getting started guide of old info
  + Imported Translations from Transifex
  + Fix F17 CFN link in Getting Started
  + Updated from global requirements
* Wed Oct  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a205.g003a3b9:
  + Fix inconsitencies in HOT template guide and spec
  + Lazily load resources when loading a Stack
  + Remove tools/openstack*
* Tue Oct  1 2013 vuntz@suse.com
- Fix description of python-heat subpackage.
* Mon Sep 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a200.g002dcaa:
  + Conform stack resource error so it gives a 4xx
  + Do not assume fixed_ips is a specified property
* Sun Sep 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a196.g31dac07:
  + Document EIP resource properties:
  + api : default signal body to None
  + Store tenant with trust details in user_creds
  + Remove Router resource id attribute
  + Remove Subnet id attribute
  + Provide config option to cap events per stack
  + Remove Neutron VPN resources id attributes
* Sat Sep 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a182.gdcbd7b6:
  + Rename counter_name to meter_name in alarm
  + Do not translate HOT param constraints
  + Sync gettextutils from oslo
  + Document floatingip properties
  + For Subnet gateway_ip, pass None for empty string
  + Handle HOT param constraints in provider templates
  + Move Rackspace resources into contrib
  + Document neutron Net properties
  + Make availability zone for CinderVolume optional
  + Imported Translations from Transifex
  + Skip None values in fixed_ips when creating Port
  + Return parsed list value in CommaDelimitedList
* Fri Sep 27 2013 dmueller@suse.com
- switch to crudini
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a158.g841862b:
  + Add config option to limit max stacks per tenant
  + Add attributes_schema to CinderVolume
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a154.gd79ee71:
  + api ec2token: allow auth_uri conf to be set via keystone_authtoken
  + Remove CinderVolume id attribute
  + Remove Net resource id attribute
  + Remove Neutron load balancer resources id attributes
  + Remove Neutron firewall resources id attributes
  + Remove Port resource id attribute
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a142.g217be2a:
  + Require oslo.config 1.2.0 final
  + StackResource set requires_deferred_auth=True
  + Improve test coverage of stack deletion
  + Stop nested stack updates exceeding resource limit
  + Add the shared property to neutron Net
  + Imported Translations from Transifex
  + HOT str_replace to use string.replace, not string.Template
  + Replace first_public_address/first_private_address
  + Comparing device name values instead of their reference
  + api ec2token: Clear failure when no auth_uri specified
  + Document internet gateway properties:
  + Add method to count events by stack
  + Make HOT parser errors translatable
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a116.gb057d6e:
  + Sync gettextutils from oslo
  + Consider downloading a valid status for CinderVolume
  + Format error on urlfetch.get fail
  + Use name property in OS::Nova::Server if set
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a108.gcf38339:
  + Use unicode() when serializing REST API errors
  + Add tenant_id property to neutron Net and Subnet
  + Document aws cloud watch alarm properties
  + Mark reservation_id, config_drive as implemented
  + Nested stack derive requires_deferred_auth from resources
  + Document swift properties and attributes
  + Document neutron health monitor and pool properties
  + Allow access to attributes of resumed resources
  + Allow resource_by_refid returning resumed resources
* Mon Sep 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a90.gb21ce20:
  + assert_ is deprecated, use assertEqual
  + Stop stack updates from exceeding resource limit
* Sun Sep 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a86.g0a72002:
  + Tolerate bad environment until validation
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a84.ga06e37c:
  + Encode values as utf-8 before encrypting
  + Provide config option to limit resources per stack
  + Limit resources per stack in nested stacks
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a78.gf00272b:
  + make get_flavor_id to work if input is flavor id
  + Document instance resource properties
  + Document nested stack properties
  + Document user properties
  + Document aws loadbalancer properties
  + Replace OpenStack LLC with OpenStack Foundation
* Thu Sep 19 2013 dmueller@suse.com
- set up logging for heat daemons
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a66.g3088aec:
  + Document ceilometer alarm properties
  + Use strings for block device mapping info
  + Validate OS::Nova::Server block_device_mapping property
  + Consistent logging in the API to better log exceptions
  + Add 'repeat_actions' property for OS::Ceilometer::Alarm
  + Document autoscaling resource properties
  + Docs for building heat-cfntools images with diskimage-builder
  + Document neutron vpn service properties
  + Remove broken tripleo links from on_devstack doc
  + Use built-in print() instead of print statement
* Wed Sep 18 2013 dmueller@suse.com
- fix init script
* Wed Sep 18 2013 dmueller@suse.com
- fix requires
* Tue Sep 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.g2eb8138:
  + Fix misused assertTrue in unit tests
  + assertEquals is deprecated, use assertEqual
* Mon Sep 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a42.gb97fb5c:
  + Add DB API to get the count of stacks per tenant
  + Add methods to help calculate a stack's resources
  + Only send traceback to users when in debug mode
  + Pass debug mode to eventlet.wsgi.server
* Sat Sep 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a34.g95bab11:
  + Add security_groups for create_port()
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a32.g378d73e:
  + Migrate remaining TEXT columns to LONGTEXT
  + Add error handling to property value resolution
  + Document volume properties
  + Use the generic RequestLimitExceeded exception when possible
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a24.g799b2ff:
  + Remove py33 from tox.ini until eventlet is ported
* Thu Sep 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a22.g6cd54b3:
  + Add HOT functions to dependency checks
  + Make some heat resolve functions workable in hot
  + Enclose command args in with_venv.sh
  + Impose a size limit on JSON request body
  + Use physical_resource_name as Ref for Instance/AS Group
* Sun Sep  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a13.g20a8a08:
  + Only validate credentials on create based on resources
  + Set a small max_template_size for test_long_yaml
* Sat Sep  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a9.g3734484:
  + Fix TemplateResource list property conversion
  + Fix H233 in sphinx config
  + Run cfg.CONF.reset() on test cleanup
  + Make the new template validation usable from tests
  + Make global TemplateResources usable in the tests
  + Move dbinstance into a TemplateResource
  + Change the dbinstance to F19
* Thu Sep  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a549.g4be2474:
  + Implement parallel delete
  + parallelize volume deletion
  + parallelize instance delete
  + Remove some heat-cfnclients only exceptions
  + update neutronclient to 2.3.0 minimum version
  + Adding VPN Service to Heat resources
  + Adding IKE policy to Heat resources
  + Adding IPsec policy to Heat resources
  + Adding IPsec site connection to Heat resources
  + parallelize StackResource delete
* Wed Sep  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a529.gfceff8b:
  + Add unit tests for Resource dependency inference
  + Make error message for InvalidTemplateReference sane
  + Migrate stored credentials to keystone trusts
  + Change _testnoexisthost_ references in tests
  + Create a Stack.update_task() method
  + Fix problem with mocking tasks
  + Update nested stacks in parallel
  + Fix AttributeError exception in autoscaling
* Wed Sep  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a514.g9d5d70c:
  + Don't use a query for stack_get()
  + Add trust_id and trustor_user_id Context and DB
  + Parallelise Server updates
  + Don't use a query for watch_rule_get()
  + Allowing to pass network name to router gateway
* Tue Sep  3 2013 dmueller@suse.com
- Update to version 2013.2.a505.g4fd7441:
  + autoscaling test fix assertRaises Exception warning
  + Support ISO8601 duration format for UpdatePolicy PauseTime
  + Make security groups associated with Neutron port work
  + Do updates based on a single dependency list
  + Don't stub LoadBalancer.update in autoscaling tests
  + Allow resources to be updated in parallel
  + Parallelise Instance updates
  + Sync rpc from oslo-incubator
  + EC2token middleware implement multi-cloud auth
  + Rackspace: Parallelise CloudServer updates
  + Remove references to the multiple config files
  + Delete the old example config files
* Sat Aug 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a482.g752da8e:
  + Remove localhost references from tests
* Thu Aug 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a481.g566bc32:
  + Add the missing heat.po files into heat
  + Implement native nova server resource
  + Generate docs using new properties Schema class
  + Add auto code api doc generation
  + Cleanup the Properties doc strings
  + Implement interruption-free update and rollback
  + Fix CFN API error responses
  + Add schema for security group rule
* Thu Aug 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a465.g1fdc7e0:
  + Remove backup resources on stack delete
  + Include Description in conversion from legacy Property schema
  + Don't delete failed instances in InstanceGroup
  + Improve error message for nova unknown status
  + Add VPCZoneIdentifier attribute for autoscaling
  + Catch a NotFound exception in signal_responder delete
  + Rename OS::Metering::Alarm to OS::Ceilometer::Alarm
  + Remove unused service_* columns from user_creds
  + Remove unnecessary aws_* from user_creds
  + Make logical_resource_id renaming backward compatible
  + Add the api config opts in groups to deal with the single heat.conf
  + Add support for local file urls
  + TemplateResources need to download from local "file://" urls
  + Change localhost references in test_nested_stack
  + Provide user control for maximum nesting depth
  + Remove aws_creds from DB API
  + Give Property constraints a string representation
* Tue Aug 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a434.g2a01ae7:
  + Add support for source security groups
  + Enhance StackResource update for more use cases
  + Allow in-place update of nested stack
  + Implement a load balancer resource using new neutron pool
  + Remove the rest references to exception.py
  + Use oslo.sphinx for the doc templates
  + Adds support for Neutron Firewall
  + Always resolve properties against the current stack
  + Add a "rollback" parameter to StackUpdate
  + Autoload Nova extensions
  + Support native naming in InstanceGroup
  + Add a DB API to swap two resources between stacks
* Mon Aug 26 2013 dmueller@suse.com
- Update to version 2013.2.a412.g093638e:
  + Introduce nova_utils.server_to_ipaddress
  + Add new attributes to EIPAssociation resource
  + Fix crash in "make html" introduced by the global env
  + Fix some flake8 warnings in doc/resources.py
  + Fix all the sphinx-build warnings
  + Add an environment_format.py like the template one
  + Load deployer/global environment files at startup
  + Use the global environment to define AWS::CloudWatch::Alarm
  + Add UpdatePolicy attribute to Instance/AutoScalingGroup
  + Improve update debugging messages
  + Pass the previous stack to StackUpdate
  + Make the API for getting dependency graph edges public
  + Limit maximum size of all templates
  + Implement Fn::MemberListToMap
  + Try to reduce the number of tests with the same stack_id
  + Remove "lazy=joined" from the resource_data backref
  + Store the generated signed urls in resource_data
  + Add some basic evironment docs
  + Remove the usecases from environment.py as they are in the docs
  + Fix the main docs index page
  + Convert heat.common.template_format to use C yaml
  + Add a script show all possible state transitions
  + Do not assume nova provides a fault on ERROR
  + Do not delete nova server on create fail
  + To support both CW and CM, return alarmurl from policy ref
  + Add a CloudWatch::Alarm implementation based on Ceilometer
  + Use string constants to prevent typo errors
  + Use Template to instantiate TemplateResource
  + Generate property Schema objects directly from parameters
  + Remove the Property.schema_from_param() method
  + Pass token as a callable to Ceilometer client
  + Rename event logical_resource_id to resource_name
  + Always validate auth_uri with allowed_auth_uris
  + Add a has_interface() method to the resource class
  + Use the global environment to map Quantum to Neutron
  + Replace httplib with requests for ec2tokens auth
  + Handling re-delete in rackspace db resource
  + Evaluate lazy translation in exception __str__
  + Allow a Provider with a known facade its own schema
  + Add a method of creating a backup stack in the DB
  + Pass owner_id to stack_get_by_name()
  + Store the backup stack during updates
  + Fix install.sh calling setup.py
  + Fix incorrect use of ServerError
  + Use system locale when Accept-Language header is not provided
  + Process request exceptions while fetching template
  + remove unused config options
  + Only create user_creds row on initial stack store
* Thu Aug 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a316.g044a8aa:
  + Allow Description in properties schema
  + Wrap the resource registration in a global environment
  + Create a Schema from a parameter
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a310.ge409910:
  + Use LONGTEXT for templates in MySQL
  + Allow Parameters to set defaults for TemplateResource
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a307.gad22636:
  + Add code from Oslo DB 96d1f887dda Part 2
  + Revert "Implement an "Action in progress" error."
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a303.g20bdc0f:
  + Move _check_resize to nova_utils
  + Use nova_utils for keypair validation
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a301.ga18f711:
  + Move _deferred_server_statuses to nova_utils
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a300.g5420135:
  + Adding HOT str_replace and get_resource functions
  + Catch "FloatingIpPoolNotFound" in eip.py
  + Translate user-facing exception messages
  + Move _delete_server to nova_utils
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a293.ga4a823a:
  + Tests for s3 and swift resources were extended
  + Updated LaunchConfig for AutoScaling UpdatePolicy
  + Make Event object independent of resource object
* Thu Aug 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a287.gdfdef84:
  + Extract failure reason before deleting nova server
  + Tolerate missing user on signal responder delete
  + Store owner_id on Stack so updates maintain it
* Thu Aug 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a281.gc92aa02:
  + Do validation in parameter schema
  + Handle heat with SQLAlchemy >= 0.8
* Wed Aug 14 2013 dmueller@suse.com
- fix requirements
* Wed Aug 14 2013 speilicke@suse.com
- Fix file permissions for /etc/heat/heat-*.conf files
* Wed Aug 14 2013 speilicke@suse.com
- Install global heat config file (etc/heat/heat.conf.sample) as
  /etc/heat/heat.conf and load that from init files
* Wed Aug 14 2013 speilicke@suse.com
- Update to version 2013.2.a277.g752bf20:
  + ReST API: Add an API for retrieving resource schemata
  + Introduce new resource_data_delete db api
  + Add constraint checking to Property schema
  + Remove unneccessary Property constraints from unit tests
  + Move property constraints validation to Schema
  + Fix intermittent failure in autoscaling tests
  + Move heat-cfn, heat-boto, heat-watch to new repo
  + Add debug option to run_tests.sh
  + Fix syntax description of HOT get_attr function
  + Update Oslo to 96d1f887dda Part 1
  + Tidy up a few places in test_engine_serivce.py
  + Validate created/updated stacks in StackResource
  + Use correct actions for StackResource
  + Ensure all REST API error responses are consistent
  + Fixes files with wrong bitmode
  + Hot SoftwareConfig model part
  + Revert "Add missing _ imports to allow doc generation"
  + Not to eat Metadata parsing error
  + Derive keystone_ec2_uri from auth_uri
  + Update test requirements
  + Stub ResourceWithProps instead of GenericResource
  + Differentiate resource types in test_update_rollback_remove
- No need to require shadow-utils anymore, even SLE_11_SP3 has pwdutils
- Refresh dependencies
- Drop outdated binaries (heat-boto, heat-cfn, heat-watch) and their
  man-pages
* Mon Aug 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a237.g499ef45:
  + Fix problem creating ResourceFailure
  + Port policy from oslo and refactor heat policy
  + RPC Client: Add missing unit tests
  + RPC: Add an RPC call to get a resource type schema
  + Enable multi-cloud standalone mode
  + Don't raise ResourceFailure directly in Instance
  + Initial input for HOT template guide and spec
  + Resolve LaunchConfig references
  + Get rid of unused greenlet things in test_resource
  + Fail fast if Resource action methods are missing
* Sun Aug 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a219.g82e01b6:
  + Define a Schema format for properties
  + Tidy up RPC API definitions
* Sat Aug 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a215.g872fcf8:
  + Remove unnecessary individual import tests.utils.X
  + Add unittests for faultwrap middleware
  + db: Remove deprecated assert_unicode attribute
  + Implement neutron health monitor resource
  + Implement neutron pool resource
  + HOT parameter validator part
  + Use openstack rpc functions to generate _Remote exceptions
  + Remove meaningless property set in models.HeatBase
  + Tolerance for modified ceilometer alarm notification
* Thu Aug  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a198.gbafa5fe:
  + Implement an "Action in progress" error.
  + Fix H501 Do not use locals() for string formatting
  + Fix H231 Python 3.x incompatible 'except x,y:'
  + Add missing _ imports to allow doc generation
  + Refactor InstanceGroup to use a nested stack
  + Provide a way to clean up testing database
  + Refactor some tests for stack soft-delete
  + Exclude heat-cfn, heat-watch from pep8
  + Enable stack soft delete for event persistence
  + Provide a way to clean up soft deleted data
  + Remove raw_template_get_all from db api
  + Refactor compute resources to use nova_utils
  + Updated from global requirements
* Thu Aug  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a173.gc84b280:
  + Returns text error when instance validation fails
  + Add the enabled property to the ceilometer alarm.
  + Don't assign "error" variable twice.
  + Stop copying UUIDStub, put it into tests.utils
  + DB models and migration scripts for soft delete
  + Fix test cases pass dict schema directly as parameter schema object
  + Add help option to Config Settings
  + Rename Quantum to Neutron
  + Don't cache data from the API that could change.
  + Refactor useful nova functions for re-use.
* Tue Aug  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a155.g5270ec8:
  + Change token name from context.
  + Rename: VALUES to ALLOWED_VALUES, PATTERN to ALLOWED_PATTERN
  + Add Babel missing requirement
  + Fix test cases pass dict as template object directly.
* Tue Aug  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a148.g6a4f8a5:
  + Small tweaks to recreation of remote errors
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a146.gc1342fc:
  + Sync gettextutils from oslo
  + Enable localizable REST API responses via the Accept-Language header
  + Make Volumes work with the default AvailabilityZone
  + Remove support for eventlet 0.9.16
  + Resource: Clean up exception handling and error messages
  + Rackspace: Don't raise ResourceFailure exceptions
  + unit tests: Add a handle_delete method to GenericResource
  + Unit tests: Don't raise ResourceFailure directly
  + Include the resource and action in ResourceFailure exceptions
  + Revert "Replace part_handler.py with write-files cloudinit mechanism"
* Mon Aug  5 2013 dmueller@suse.com
- quantumclient -> neutronclient
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a128.gbd380aa:
  + Stop delete polling after status == DELETED.
  + Call cfn-create-aws-symlinks in rackspace servers.
  + Add the AutoScalingGroupName to the server Tags
  + Allow the Ceilometer Alarm to be used with cfn-push-stats
  + Rename rackspace server ImageName, Flavor, UserData.
* Thu Aug  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a120.ge6ec146:
  + Don't use a static uuid for the stack_id in ceilometer_alarm
* Thu Aug  1 2013 speilicke@suse.com
- Update to version 2013.2.a119.g1e496dd:
  + Enable service validate-template for hot template
  + Sphinx extension to generate resource documentation.
  + Auto-document all resource types.
  + Fix a timing sensive cloudwatch testcase
  + Add a Ceilometer alarm resource
  + Allow template resource use outside of Environment
  + Print before exiting
  + Add Cloud Server support for RHEL and CentOS.
  + Add rest endpoints for resource template generation.
  + Clarify text in heat/tests/templates/README
  + Functions documentation cleanup.
  + Rackspace database resource output is null
  + Initialize resources to DELETE-COMPLETE if missing during stack delete
  + Tolerate an actual boolean for NoEcho.
  + Replace part_handler.py with write-files cloudinit mechanism
  + Replace rackspace PublicKey property with key_name.
  + Support any distribution without UserData/MetaData
  + Assign rackspace server name from physical_resource_name.
  + Move the random_name() function from loadbalancer to utils
  + Clean up the attributes module
  + Fix for bad content inside Resources element
  + Remove password auth from pyrax
  + Use subsections in resource doc generation.
  + Use dummy_context() for rackspace server test
  + Rackspace database resource output is null
- Fix broken requirements
- Remove heat-specific Sphinx extension (similar to autodoc) for man-pages build
* Fri Jul 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a73.g07793f1:
  + Only create the period watch task if there is a watch in the stack
  + Set tenant headers from ec2 authentication.
  + Set role headers from ec2 authentication.
  + Configure standalone pipelines for cfn and cloudwatch.
  + Add a py33 tox environment
  + Reset state before resource recreation
  + add docs from the heat wiki
  + Update openstack.common.config
  + Handle 'detaching' state of Volume
  + Refactor the code in heat/tests/test_volume.py
  + Reset the the watch_rule.last_evaluated on start up
  + Migrate all tests to use dummy_context.
  + Add missing Aapche 2.0 license headers (H102)
  + Add `default` attribute in hot parameter definition
  + Add resource for Rackspace Cloud Servers.
  + Use new style classes
  + api : Implement OnFailure option to cfn API CreateStack call
  + make heat-api return a parsable error
  + Only use a token for openstack client operations.
  + remove remote_error and corresponding try...catches.
  + HOT parameter validation model translation
  + Fix loguserdata output to file issue
  + Replace urllib2 with requests in urlfetch module
  + Add some docs for intrinsic functions.
  + Add an API for passing a signal through to a resource
  + Make the current alarms use the signal action
  + Generate a template from a resource implementation.
  + Teach ScalingPolicy and Restarter to create signed urls
  + Always convert AllowedValues to a list
  + Skip RSA generation during tests
  + Fix cloud_watch delete when the watchrule is not found.
* Mon Jul 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a15.g4d7ab4c:
  + Wrap the watch rule start in a method
* Sat Jul 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a13.ga19d3bc:
  + Handle InstanceType change in Instance.handle_update
  + Test utils dummy_context for tests that need one.
  + Move url_for into heat_keystoneclient.
* Thu Jul 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a334.ga37d2b4:
  + Put pre-created resources in state INIT COMPLETE.
* Thu Jul 18 2013 speilicke@suse.com
- Update to version 2013.2.a332.g3e4e007:
  + Fix version and location of heat doc build
  + Make sure that Tags on the InstanceGroup get passed to nova
  + Update oslo.notifier and always register options
- Fix location for man-pages
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a326.g48701ed:
  + Don't reload haproxy and use ensureRunning=true
  + Let git ignore pydev project description files
  + Test that Tags get converted into nova metadata
  + Fix resource-data delete bug.
  + Add tests for resource-data delete bug.
  + Check missing parameters during stack create
  + Add a test for customizing AWS::EC2::Instance
* Tue Jul 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a312.g95191f0:
  + Cleanup and make HACKING.rst DRYer
  + Add resource_data table for free-form key/value data.
  + Align OpenStack client versions with project requirements.
* Sun Jul 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a306.g034d054:
  + Suggest the use of tripelO images
* Sat Jul 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a304.gc6ace94:
  + Create implicit depends from gateway to public subnet.
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a302.g446a8f8:
  + Wait until quantum resources are deleted.
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a300.gc2317f7:
  + Handle conversion of MAP properties to JSON params
  + Use new environment and parameters on stack update.
  + Add length validation to properties of type LIST and MAP.
  + Global disable scheduler _sleep instead of mocking.
  + Do not override FnGetAtt
  + provide test for nested stack error path
  + Add Rackspace cloud loadbalancer resource.
  + engine : Allow loadbalancer resource to work with no key
  + Rename part-handler.py to part_handler.py so it can be imported
  + avoid excessive database calls while loading events
* Fri Jul 12 2013 dmueller@suse.com
- remove neutron-rename.diff
* Thu Jul 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a280.g535c441:
  + Make the waitcondition signed url more generic
  + Tolerate an empty environment properties.
* Tue Jul  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a276.g64edc76:
  + Enforce credentials requirement on stack create/update.
  + Check duplicate names between params and resources
  + Define behaviour for properties with None values.
  + Sync install_venv_common from oslo.
* Tue Jul  9 2013 dmueller@suse.com
- add neutron-rename.diff
* Mon Jul  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a268.g0a530a8:
  + Stop patching the GenericResource's property_schema
  + engine : add suspend/resume support to watch resource
  + engine : add suspend/resume support to User resource
* Mon Jul  8 2013 dmueller@suse.com
- remove 0001-update-to-use-Neutron-and-deprecate-Quantum.patch
* Sun Jul  7 2013 dmueller@suse.com
- add 0001-update-to-use-Neutron-and-deprecate-Quantum.patch
* Fri Jul  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a262.gc03efe6:
  + Tolerate 404 on user delete.
  + cleanup watchrule delete logic/tests
* Fri Jul  5 2013 dmueller@suse.com
- quantum -> neutron
* Thu Jul  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a258.gcfb4a60:
  + engine : autoscaling pass instance id's not names to loadbalancer
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a256.g1d8e205:
  + Fix command name display issue in heat-manage usage
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a254.gd47fb8e:
  + implement stack metadata
  + engine : perform periodic tasks with stored stack_context
  + Fixup assert_has_keys.
  + Rework associations from vpc to quantum resources.
* Tue Jul  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a246.g3c17227:
  + Explicitly pass old json snippet to update
  + Get rid of template caching in resources
  + Add resume support to Instance
  + api : Add actions resume support
  + engine : resume support for nested stacks
  + Add resume support to InstanceGroup
  + Expose resource dependency required_by to REST API.
  + add missing gettextutils imports
  + tests : remove duplicate suspend tests
  + Ports depend on the subnets in the same network.
  + Rackspace cloud database resource provider
* Mon Jul  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a224.g4b355a7:
  + engine : remove unnecessary default check_*_complete functions
  + engine : simplify resource state check
  + add GET /{tenant_id}/stacks/detail to Heat API
  + install "_" via gettextutils
  + Fixup handle_create backup restore.
  + destroy failed instances created by auto scaling
  + check content type in JSONRequestDeserializer
  + Add initial resume logic to engine
* Fri Jun 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a210.gda3b5ec:
  + Add editor backup files to .gitignore.
  + autoscaling : Fix issue when scaling to zero instances
  + Add suspend support to InstanceGroup
  + Remove comments from requirements.txt (workaround pbr bug)
* Thu Jun 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a203.ge8b893b:
  + Initial provider templates
  + Add dependency between RouterGateway and RouterInterface
  + Add MinLength, MaxLength to properties schema
  + Add suspend support to Instance
  + Raise suitable exception when stack validation fails
  + engine : suspend support for nested stacks
  + engine : parser.Stack create general stack_task
  + api : Add ReST actions POST method
  + engine : autoscaling refactor Instance list->object logic
* Thu Jun 27 2013 speilicke@suse.com
- Only depend on python-discover on SLE, it's a Python-2.6 feature
  backport
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a185.g84e0ed4:
  + Changes for HOT hello world template processing
  + Pass before and after snippets to template diff
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a181.gb48463c:
  + Allow JSON values for parameters
  + Refactor and partly parallelise stack update code
  + Simplify a stack update unit test
  + Handle YAML parser error as well
  + Allow a resource delete to be re-attempted.
  + Store created nova client in OpenStackClients.
  + Cache snippets in StackUpdate
  + engine : stack_resource change state_description to status_reason
* Tue Jun 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a165.ge5e1616:
  + Adding common base class for Rackspace Resource providers
  + Use print_function compatible syntax
  + Add initial suspend logic to engine
  + OS::Quantum::Subnet resource, add enable_dhcp
* Mon Jun 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a157.g123b386:
  + make stack creation return json response
  + Emit alarm actions if a rule remains in ALARM state.
  + Fixup some trivial license header mismatches
* Fri Jun 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a151.g47f9f54:
  + Do not refresh timestamp from database on read.
  + Fix BaseException.message DeprecationWarning
  + Give alarm a physical_resource_name which need no id.
  + Add VerifyAll to test methods using mox.
  + Unrestricted username length causing error.
* Thu Jun 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a142.gf236917:
  + Implement attribute schema for resources
  + Revert "check content type in JSONRequestDeserializer"
  + Fix one of the last stack.state's -> status
  + Updated common module from oslo
  + Fix and enable H303 and F403  No wildcard (*) import.
* Thu Jun 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a134.g6d7c84d:
  + scheduler: Simplify DependencyTaskGroup interface
  + Detect failed instance creation in autoscaling
  + check content type in JSONRequestDeserializer
  + Initial provider template uploading
  + Add dependency between FloatingIP and RouterGateway
  + Restore babel setup config options
  + Convert Stack to separate action/status
  + Introduce a schema for attributes
* Wed Jun 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a119.g2d673e5:
  + Use physical resource names with a short_id
  + Use physical_resource_name() for Swift containers
  + Fix bizarre Swift DeletionPolicy unit tests
  + Use PhysName for testing Swift container names
  + Initial Environment class and test
  + Convert Resource to separate action/status
  + engine : abstract state-transition logic
  + Add InstanceId property to EIP resource
  + Standardise resource names in Invalid Attribute errors
  + Return None for physical resource name during validation
  + autoscaling fix LoadBalancer reload static resolve
  + scheduler: Improve task descriptions in debug logs
  + suppress and log API internal exceptions
  + Add a Fn::Split function to aid provider templates
  + Use the Environment from within the engine
  + Remove unused parameter.user_parameters()
  + Make template_format.parse usable by environments
  + API support for Environments
  + Cleanup the doc strings in heat/rpc/client.py
  + Support cloud-specific suffixes to server status.
* Mon Jun 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a86.gd0cdcca:
  + Remove unused python-memcached from requirements.
* Fri Jun 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a84.g157223c:
  + Gate on H703
  + Make resource ids UUIDs in the database
  + Unit tests: Create User for testing AccessKey
  + Store stacks in the database when running unit tests
* Thu Jun 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a78.g28528ba:
  + Add bin/heat-manage to flake8 checks
  + Use Python 3.x compatible except construct
  + Convert Events to separate action/status
  + fix an CFN API and AWS error mapping
  + allow using image uuid for instance resource
  + Unit tests: Don't use mox to stub uuid.uuid4()
* Thu Jun 13 2013 dmueller@suse.com
- fix init script
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a69.g580c554:
  + Fix various Sphinx errors/warnings
  + scheduler: Fix an issue with wrappertasks and exceptions
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a65.g843d127:
  + Adds possible topdir to python search path
  + engine : remove GreenletExit workaround
  + Add descriptions of the pep8 checks
  + Key error when auth in standalone mode
  + Fix H702 errors and enable them
  + Remove explicit distribute depend.
* Tue Jun 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a54.gc77d4d1:
  + Use Python 3.x compatible octal literals
  + Initial mariadb support
  + Add Fn::Replace template function.
  + Return empty string when Fn::Select target is None.
* Mon Jun 10 2013 dmueller@suse.com
- fix buildrequires
* Mon Jun 10 2013 dmueller@suse.com
- update requires
* Mon Jun 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.ga2df351:
  + Enable H403
  + raise an UnknownUserParameter exception when receiving an unknown param
* Fri Jun  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a43.g760e1b1:
  + get rid of no-op __init__ methods
* Thu Jun  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a42.g23768d8:
  + Make Fn::GetAtt add a dependency
  + Only call FnGetAtt if resource is in acceptable state.
  + flake8 F812 list comprehension redefines fix.
  + Fix instance creation when a network with no subnet is used
  + Rename functions which should not be run as tests.
  + Make autoscale not dependent on loadbalancer impl.
* Wed Jun  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a32.gbc69152:
  + For Fn::Join, replace None items with an empty string.
  + Add Fn::Select template function
  + Use a physical name matching class in unit tests
  + Use - instead of . for physical_resource_name delim.
* Tue Jun  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a26.gc981c55:
  + tests : fix cut/paste test name shadowing
  + Relax lxml version requirements.
* Mon Jun  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a23.g73a9d36:
  + a minor fix to volume.py
  + Fix Hacking H304 Warnings
  + Log at DEBUG level in unit tests
  + Handle metadata updates during stack creation
* Sun Jun  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a15.g2135963:
  + Fix an intermitting failure in test_metadata_refresh
* Fri May 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a14.g027e91c:
  + Allow stacks to be created without a timeout
  + Implement timeouts for nested stacks
  + Create stacks with a co-routine
  + Create nested stacks in parallel
  + Clarify a comment which says we require KeyName - which is incorrect
  + add error flow tests for volume detach
  + scheduler: Fix inifinite loop for no-wait tasks
* Thu May 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a342.gbc635e6:
  + Add a basic heat-manage
  + Fix the handling of non-existing paste file
  + Use heat-engine.conf for heat-manage config
  + Make dependency graph node class public
  + Make the mutable dependency graph a separate class
  + Move deletion from dependency graph to __delitem__
  + Add a dependency-aware task group
  + Create resources in parallel where possible
  + Restore heat.db.sync and add Deprecated message.
  + Get rid of extra delays in unit tests
  + Add CONTRIBUTING.rst file.
  + Clean up DB migrations when running unit tests
  + Add a separate Template class for the HOT format
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Mon May 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a321.g5c348d6:
  + refactor test_engine_service.py
  + Fail validation when security groups and interfaces conflict
* Mon May 27 2013 dmueller@suse.com
- update requires of test subpackage
* Mon May 27 2013 speilicke@suse.com
- Update to version 2013.2.a318.g60ea259:
  + Migrate to pbr.
  + Add a convenience method to get instance volumes
  + Handle instance volume attachments with co-routines
  + Detach Volumes from an Instance in parallel
  + Use a task to delete Instances
  + Remove eventlet dependency from unit tests
  + Add CONTRIBUTING file.
  + Migrate test base class to testtools.
  + Update the oslo code before importing a new module
  + Bring in oslo.cliutils for heat-manage
- Updates test requirements
* Fri May 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a301.g3eafb93:
  + engine : replace UPDATE_REPLACE with ResourceReplace exception
  + heat tests : add coverage for instance UpdateReplace
  + Instance resource remove unreachable/redundant Metadata update check
  + engine : move update_template_diff functions into Resource
  + Rename requires files to standard names
  + Change SecurityGroups to be passed directly to nova
  + Make IDs for resources unique to ensure tests pass
  + Use UUIDs for Quantum security groups
  + Implement SecurityGroupIds property for instances
* Thu May 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a291.gb34c3d3:
  + Make volume attachment a co-routine
  + engine : Fix ResourceFailure exception issues
  + Make volume detachment a co-routine
  + Move VolumeAttachment polling to check_create_complete()
* Wed May 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a284.g71eb123:
  + Remove unrelated tracebacks from test output
  + Stub out sleeps in quantum unit tests
  + Verify function calls in cinder_fn_getatt unit test
* Tue May 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a279.g7b224c0:
  + PEP: be explicit about what errors are ignored.
  + Fix PEP H402 "one line docstring needs punctuation."
  + Fix PEP H301 (one import per line)
  + engine : cleanup Resource.update error paths
  + engine : remove unused update states/status
  + Adds sudo check for privileged operations.
  + UpdateStack for AWS::AutoScaling::ScalingPolicy
  + Fix PEP H902 (Use the 'not in' operator)
  + Implement OS::Cinder::VolumeAttachment
  + Fix PEP H101 (Use TODO(NAME))
  + update on_devstack doc
* Mon May 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a261.g97191c3:
  + Implement check_active for quantum net, port, router
  + Tolerate resource lookup errors for quantum FnGetAtt.
  + Tests for Router, RouterInterface, RouterGateway.
  + Exclude build/ from flake8 checks
  + The oslo module called utils is no more.
* Sun May 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a255.g75c449f:
  + The utils module in oslo is no more.
* Sat May 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a254.g1d79afc:
  + Migrate to flake8
* Sat May 18 2013 dmueller@suse.com
- update requires based on pip-requires
* Fri May 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a253.g8102ccb:
  + Handle errors in Volume creation
  + Move Volume polling to check_create_complete()
  + Make Volume snapshot a task
  + Clean up import of cinderclient exceptions
  + Fix SecurityGroups for AWS::AutoScaling::LaunchConfiguration
  + Initialise resources when service is created.
  + Fix error in Dependencies representation
  + Use mox for mocking quantum client test calls
  + Align usage of test skipping.
  + Clean up a pyflakes error in a comment.
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a234.gdea685e:
  + use skipIf for all quantum test skip checks
  + Cleaned up some simple hacking/pyflakes errors.
  + Rename handle_snapshot and pass state
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a228.g03f6d0a:
  + Move WaitCondition polling to check_create_complete()
  + Use python logging for loguserdata.py, log to console
  + Clean up VPC unit tests
  + Implement CinderVolume.FnGetAtt
* Wed May 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a220.gd14efee:
  + engine : rename check_active to make it more generic
  + api : Fix template-show partial URL redirect
  + Implement the SubnetId property in the Instance resource
  + Provide example config option for instance_user.
  + Use hostname from env in heat-keystone-setup
  + Add new exception for invalid template ref
  + Add a timeout option to the scheduler
  + heat-cfn : Make error with missing auth details more obvious
  + Update install_venv_common from oslo-incubator
  + Copy the RHEL6 eventlet workaround from Oslo
  + Implement OS::Cinder::Volume
* Mon May 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a200.g652a5c0:
  + docs : update local template references to heat-templates url
  + tools : remove fetch-cloudformation-examples
  + tests : utils parse_stack allow stack_id override
  + tests : utils parse stack specify tenant in context
  + tests : convert most remaining tests to inline templates
  + tests : convert test_template_format to test-local templates
  + templates : remove in-tree templates
  + Skip more tests that require Cinder backups
  + Explicitely register options to fix intermittent failure
  + Fix unit test coverage issues for wrappertask
  + Fix GroupSet assignment to use resource id instead of name
  + Deprecate tools/nova_create_flavors.sh
* Tue May  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a181.g60e7ef0:
  + Support SnapshotId in volume creation.
  + Give each cli its own test.
  + Add a PollingTaskGroup task
  + Support password authentication.
  + Add a wrappertask decorator
  + Use a PollingTaskGroup to simplify autoscaling
  + Use scheduler for driving autoscaling task
  + Fix skips done in the test suite by using testtools skipIf
  + Add test to handle nova BUILD status on create
  + Wait for any nova server status that makes sense
* Tue May  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a161.gf333d77:
  + Support Snapshot policy in volumes
* Mon May  6 2013 dmueller@suse.com
- heat switched to testr - adjust requires
* Fri May  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a159.g6ad24e4:
  + Depend on discover to fix python2.6 tests
  + Fix test_validate to run by itself
  + Allow non-replacement updates of Alarms
  + Sometimes use quantum for SecurityGroup
  + Use install_venv_common from oslo
  + heat api: ec2token remove unnecessary jsonutils retry
  + Set Stack id to None when deleted
  + Fix error reporting in @stack_delete_after unit tests
  + heat tests : add parse_stack function to test utils
  + heat tests : convert most tests to inline templates
  + heat tests : separate Autoscaling and CW alarm tests
* Thu May  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a139.g9405fcc:
  + Remove all references to nose
  + Enhance testcase for failed resource deletion
  + Refactor instance tests to share common code
  + Remove unused jenkins arguments from tox.ini
  + Fix test_dbinstance not running by itself
  + Make DeletionPolicy a resource attribute instead of a property.
  + Split the module lines in openstack-common.conf
* Wed May  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a126.g1ba1280:
  + Enable running tests via testr
  + Use testr for running gate tests
  + Remove examples and update testing-overview.txt
  + Remove functional tests in preferece for tempest
  + Removing all prints and capturing logging
  + Remove use of nose attrib plugin and most unittest
  + Remove broken --doctest call from run_pep8.sh
  + Re-work run_tests.sh to call testr instead of nose
  + Remove unused and outdated heat/testing dir
  + Remove unused skip_unless and skip_test decorators
  + heat docs: deprecate old GettingStarted guide
  + Retrieve the list of availability zones from nova in Fn::GetAZs
  + heat tests : run_tests.sh reinstate text coverage report
  + heat api : Update ec2token middleware for v4 signatures
  + Fix "No handlers could be found" warnings
  + Fix warning about using os.tempnam in test suite.
* Tue Apr 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a106.g36dea3a:
  + Remove pyflakes_bypass
  + Validate properties against the schema in validate_template
  + Update tools/integration.sh script to new docs tree
  + heat api: fix ec2token authentication
  + Add a scheduler module
  + heat docs : Update jeos building documentation
  + Make Resource.create() a co-routine
* Tue Apr 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a93.gc8711ce:
  + Do not initialize anything during import phase
  + heat engine : register options before using them
  + Fix DB sync script
* Mon Apr 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a89.g117e73b:
  + Propagate creation errors with exceptions
  + Mark resources as failed when creation aborted
  + Mock delete_network in Quantum unit tests
  + Propagate deletion errors with exceptions
  + Consolidated api-paste.ini file
  + Send RPCs to 'engine' topic not 'engine.$host'
  + Remove engine_topic configuration option
* Thu Apr 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a77.ga2e8cab:
  + Optionally allow ec2token config to come from .conf
  + Move ec2token defaults from paste.ini to .conf
* Tue Apr 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a73.gf3be3d9:
  + Subclass keystone middleware to set headers
  + Move heat-api auth_token conf from paste.ini
  + Remove service _user, _password, _tenant from context
  + Fix pyflakes-bypass for PyFlakes 0.7
  + Get rid of create state in Autoscaling
  + Clean up metadata refresh unit test
  + Get rid of create state in Instance
  + Fix issues with EIP unit test
  + Assert on Resource double-create()
* Mon Apr 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a61.gf83b7ea:
  + Improve Python 3.x compatibility
* Mon Apr 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a60.g4ce8855:
  + validate_template returns whole Parameters snippet
  + heat : remove fallback ec2signer implementation
  + heat engine : Autoscaling reload Loadbalancer correctly
  + Don't assume a Parameter value is a str
  + Make swift FnGetAtt fault tolerant and block less
  + Fix swift client token authentication
  + Catch NotFound exceptions on Volume handle_delete
  + Log tracepath for stack validate exceptions.
  + Allow cinder operations with only auth_token
  + Pass in endpoint url for swift auth_token auth
  + Allow nova operations with only auth_token
  + Pass in endpoint url for quantum auth_token auth
  + No longer pass no_cache=True to novaclient create
  + Add Getting Started Guides the developer doc's
  + Fix sphinx warnings
  + Replace deprecated commands with current equivalents
  + Delete unused ContextMiddleware
  + ReST API: Translate the documentation to WADL
  + Fix AccessKey deletion with bad credentials
  + Attempt to delete resources even if they failed
  + Remove unused and deprecated auth-context filter
  + Remove paste config for non-existant cache filters
  + heat tools : openstack script fixes for grizzly
  + heat : cloudwatch paste.ini credentials incorrect
  + heat : Getting started updates for grizzly
  + heat templates : Update Wordpress config for F18 guests
  + Update to the latest loopingcall from oslo.
  + Update the README to point to docs.openstack.org/developer/heat
  + heat-cfn: Handle parameters with = in them
  + uses os.urandom instead of Crypto.Random for backward compatibility
  + Fix the exception message in stack_resource.get_output()
  + Updated OpenShift template
  + Pass data from handle_create() to check_active()
  + Simplify rpc client calls
* Mon Mar 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a8.g84ba8f8:
  + Bump Heat version to 2013.2
  + Change executable file permissions for rpmlint
  + Change executable file permission for rpmlint
  + Tolerate missing keys in reformat_dict_keys
  + Get rid of versioninfo cruft
  + heat getting started : fix heat-jeos URL
* Thu Mar 21 2013 dmueller@suse.com
- Require cloudwatch subpackage for the unit tests
* Mon Mar 18 2013 speilicke@suse.com
- Update to version 2013.1.a414.g4efb51c:
  + Add heat-keystone-setup man page
  + If a stack create fails, ensure the stack is deleteable
  + Create a wsgi factory method for Debug filter.
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Sun Mar 17 2013 dmueller@suse.com
- Update to version 2013.1.a408.g9b6b6df+git.1363519434.9b6b6df:
  + Fix security groups (need to be accessed as attributes)
  + heat docs : Add manpage for heat-boto
  + heat docs : Add heat-watch manpage
  + Remove Nova dependencies from hacking test
  + heat engine : fix exception syntax issue
  + Update dependency versions to match oslo-incubator
  + loguserdata: prevent shadowing of arguments and globals
  + Sort the manual page list in conf.py
  + Remove ssh from cloud-config-files
  + Allow per-deployment configuration of user id
  + loguserdata: handle exceptions from running the userdata
  + part-handler: add missing import
  + Use built-in exception filtering for GreenletExit
  + Add a manual page for heat-db-setup
  + heat docs : Add 2013 to the copyright string
* Wed Mar 13 2013 vuntz@suse.com
- Update to version 2013.1.a381.g724a6fe+git.1363164979.724a6fe:
  + Register DB options independently of engine
  + Use internal DB management
  + Switch to final 1.1.0 oslo.config release
  + Pin SQLAlchemy to 0.7.x
  + Squash Grizzly database migrations
  + heat templates : Update for F18
  + heat engine : Add validation of stack names
  + Revert NestedStack FnGetRefId changes
  + Only split roles if they are not None.
  + Remove todolist from docs index
- Drop sqlalchemy-update.diff: fixed upstream.
* Tue Mar 12 2013 dmueller@suse.com
- python-oslo-config -> python-oslo.config
* Tue Mar 12 2013 cloud-devel@suse.de
- Update to version 2013.1.a364.gdd2d5c9+git.1363046944.dd2d5c9:
  + heat clients : Fix --timeout option for heat-boto
  + Skip quantum unit tests if client not installed
  + Set correct type for owner_id in DB model
  + Establish an initial version of the database
  + Avoid manipulating DB directly in unit test
* Mon Mar 11 2013 dmueller@suse.com
- Add sqlalchemy-update.diff
  * Add support for SQLAlchemy 0.7.x
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a355.g0174b7d+git.1363006634.0174b7d:
  + Recognise arn: for REST stack lookup.
  + Delay calling _get_user() until AccessKey is created
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a351.gf75171a+git.1362995934.f75171a:
  + add missing licence header
  + When updating the metadata load the stack with the stored context
  + Test coverage for NestedStack, and fix FnGetRefId
  + heat engine : Ensure properties validation is caught
  + heat engine : Loadbalancer template watch reference should be Ref
  + heat engine : watchrule quietly discard unused metric data
  + make parsed template snapshots before updating
  + Switch to oslo.config
  + Allow REST stack lookup by ARN
  + Allow instance NetworkInterfaces to be list of str or dict
  + heat tests : move GenericResource into tests directory
  + heat engine : allow Properties validation failure events
  + heat tests : Improve resource.py test coverage
  + Convenience method to look up resource by FnGetRefId
  + fakes: remove some duplicate methods
  + heat common : policy.py change LOG to logger
  + heat common : quieten policy logging
  + heat clients : make --host option error for heat-boto
  + heat common : BaseClient respect host argument
  + Use quantum IDs for VPC, Subnet, RouteTable resources
  + Add tests to validate REST path to action mapping.
  + Add Quantum floating ip tests to improve coverage.
  + Add Quantum port tests to improve coverage.
  + Add Quantum floating ip assoc tests to improve coverage.
  + Use stack.resource_by_refid to get the user resource.
  + heat engine : store stack on failed update
  + Update to Quantum Client 2.2.0
* Tue Mar  5 2013 cloud-devel@suse.de
- Update to version 2013.1.a303.g8634e15+git.1362504044.8634e15:
  + heat engine : Add parser parameter support for AWS::StackId
  + heat engine : Set stack parameters AWS::StackId on stack create/store
  + heat engine : Compare runtime resolved resource snippets on update
  + heat engine : Re-resolve resource static data before create
  + heat engine : loadbalancer resource template, refer to StackId
  + Removes unused config settings from heat-engine.conf
  + heat tools : openstack script install mysql via openstack-db
  + heat engine : fix hardcoded DisableRollback value
  + heat clients : make boto client library pass disable_rollback
  + Update infrastructure to more closely match other OpenStack projects
  + Add heat-watch to pep8 checks
  + Remove unused imports from repo in preperation for pyflakes
  + Gate on certain pyflakes failures
  + Make the exception string a little more useful
  + Do a metadata refresh after an explicit metadata write.
  + Allow heat to be used without a KeyName set.
  + Fix flaky unit test
  + Fix Unrecognized Attribute admin_state_up Error
  + Remove unused import from loguserdata.py
  + Fix unit tests for Instance IP
  + Split resource create into create and check_active
  + Add breaks to for loops
  + Remove unused import from test_nokey.py
  + Add pyflakes to test-requires
  + heat engine : Disable stack rollback by default
  + heat clients : Change --disable-rollback to --enable-rollback
  + heat clients : Make heat-boto rollback disabled by default
  + Use oslo logging setup.
  + Move instance polling into check_active()
  + Separate public/private autoscaling adjust() APIs
  + Create autoscaling instances in parallel
  + Add N802 rule to hacking.py
  + vpc_test: move DependsOn to the correct template section
  + Validation failures now raise StackValidationFailed
  + Fail validation when an unknown property is supplied in a template.
  + Prevent shadowing of the "context" module/parameter
  + Make sure we have a volumes property before trying to use it
  + Stop heat services from logging to stderr by default
* Thu Feb 28 2013 saschpe@suse.de
- Fix test_cli binary path
- Install templates/, currently into python_sitelib
* Thu Feb 28 2013 saschpe@suse.de
- Split up into sub-packages: api, api-cfn, api-cloudwatch, engine
  + Add init scripts
- Install global configuration
- Proper logrotate configuration
- Add documentation sub-package
- Update to version 2013.1.a244.g95c8037+git.1362050250.95c8037:
  + Make quantumclient optional again
  + Remove compat cfg wrapper
  + Protect AccessKey deletion from failing
  + Add a module for generating random short ID strings
  + Use a short_id for naming Swift containers
  + Use a short_id for naming S3 containers
  + heat : Only set qpid loglevel when rpc_backend specifies qpid
  + Throw a proper error if the flavor is missing.
  + Make the alarm actions run in one thread
  + Update the metadata if an alarm action makes changes
  + heat engine : reinstate resources import
  + heat engine : fix variable/import shadowing in service.py
  + Add waitcondition to loadbalancer nested template
  + heat engine : Make loadbalancer nested template raw string
  + Depend on recently released python-quantumclient 2.1.2
  + Remove duplicate Mapper() constructor
  + Put heat data files in /var/lib/heat-cfntools
* Sun Feb 24 2013 dmueller@suse.com
- Update to version 2013.1.a218.gbf64384+git.1361732086.bf64384:
  + Fix Instance deletion in unit tests
  + Wait for deletion of Instances during creation
  + heat engine : don't replace resource template before update
  + heat engine : pass json snippet into resource handle_update
  + heat engine : add Resource update_template_diff method
  + heat engine : Support Metadata update for Instance resource
  + heat engine : pass fully resolved template to update
  + heat engine : don't treat UPDATE_COMPLETE as failure
  + heat engine : WaitConditionHandle use creation time for timestamp
  + heat api : add register_api_opts to init.py
  + heat tests : Add utility decorator for deleting stacks
  + heat tests : test_waitcondition move cleanup out of teardown
  + heat tests : test_api_cfn_v1 move verify out of teardown
  + heat engine : WaitCondition add Handle property validation
  + heat docs : Fix version string issue
  + heat engine : Resource remove redundant None get defaults
  + heat tests : update_allowed_keys should be tuple
  + heat engine : Resource add function to compare properties
  + heat engine : AutoScalingGroup UpdateStack support
  + Fix typo in AutoScaling update
  + Update to latest oslo-version code.
  + Change install scripts to use cinder
  + Fix a few bash logic errors in install script
  + Remove unused heat/common/policy.py
  + update openstack common and include policy.py
  + Add initial code to support policy.json implementation
  + heat tests : remove duplicate import
  + heat tests : fix StackControllerTest name duplication
  + Add cinder support to resource volume
  + heat common : context should split roles from X-Roles
  + heat api : Add policy.json authorization to CFN API
  + Use yaml.safe_load: full yaml.load isn't needed
  + test_s3: use try_import from common
  + Add missing logging import
  + heat scripts : Avoid using lsb_release in tools/openstack
  + heat api : Add policy.json authorization to cloudwatch API
  + heat tests : split user test into User/AccessKey
  + heat templates : Remove IAM Policy sections
  + Implement simple AccessPolicy Resource
  + heat clients : Make boto client select http/https from configfile
  + Remove sendfile as a dependency.
  + Depend on WebOb==1.2.3 to align with other OS projects
  + Add update support to InstanceGroup
  + heat engine : add option to control instance boto http/https
  + Refactor loguserdata.py so it can be tested.
  + Implement the "Volumes" property of Instances
  + Catch 404s when deleting quantum resources.
  + Implement NetworkInterfaces instance property.
  + Make the doc look a bit better and give a better overview.
  + heat templates : allow access to wordpress in example templates
  + Impement VPC subnet resource
  + Fix policy checks for users without policies
  + Add Tags to vpc properties schema (Unimplemented)
  + Implement VPC Network Interface resource
  + ip_version is mandatory for quantum create_subnet
  + Use physical_resource_name for quantum/vpc resources.
  + Complete tests for NetworkInterface
  + Escape awk + sign so heat-keystone-setup works on Ubuntu 12.04
  + Implement Internet Gateway and VPC attachment
  + Make AvailabilityZone parameter available to nova create
  + heat engine : Add support for disable_rollback to engine API
  + Implement RouteTable and subnet association
  + Add information about using the python-heatclient to the documentation
  + make engine api handle string or bool disable_rollback
  + heat api : Handle DisableRollback parameter in cfn API
  + heat tests : delete stacks from DB in parser tests
  + heat cli : Add --disable-rollback option to heat-cfn
  + Provide unit test coverage for AWS::EC2::SecurityGroup
  + make stack_delete_after decorator tolerate deleted stacks
  + heat engine : Only create periodic task on CREATE_COMPLETE
  + heat engine : Implement rollback for stack create
  + Use 2013.1 for Grizzly release version info in setup.py
  + Missing policy json files from tarball
  + heat engine : avoid returning empty resource error strings
  + Add config for boto https_validate_certificates
  + heat common : Add ResourceUpdateFailed exception type
  + heat engine : fail update immediately on resource update failure
  + heat engine : Update stack dependencies during update
  + heat engine : Add support rollback support for stack updates
  + Update GettingStarted with link to prebuilt images
  + Use oslo-config-2013.1b3
  + Remove "deny from all" line in wordpress config
  + heat : bump oslo-config version to fix import error
  + Add an attribute to InstanceGroup and AutoScalingGroup to return the ips
  + heat tests : fix run_tests.sh pep checks
  + Do not tag development releases "dev"
  + heat api : don't store whole request in ec2Credentials context
  + heat api : allow validation of YAML templates via cfn api
  + heat loadbalancer : make LB nested template create credentials
  + Get rid of unused imports
  + Fix tarball tag to be empty rather than a point
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-macros
* Mon Feb  4 2013 cloud-devel@suse.de
- Update to version grizzly.2.77.g4103368dev+git.1359979010.4103368:
  + Hardcode provision-finished file path
  + Initial support for Transifex translations
  + heat engine : error on resource update with invalid properties
  + Store instance resource-id earlier
  + Merge from Oslo-incubator
  + Make sure failures in groups (autoscaling & static) are raised.
* Mon Jan 28 2013 dmueller@suse.com
- Update to version grizzly.2.67.g0eff406dev+git.1359364818.0eff406:
  + heat engine : AutoScalingGroup implement Cooldown property
  + Make a dedicated InstanceGroup
  + heat engine : ScalingPolicy implement Cooldown property
  + heat tests : autoscaling test add missing VerifyAll
  + heat tests : WatchRule test add missing VerifyAll
  + Use pkg_resources to detect version of cloud-init
  + A native Swift container resource type.
  + heat_keystoneclient make token auth work
  + heat api paste.ini auth_uri should use auth_port
  + heat rename HEAT::HA::Restarter resource
  + heat engine : make WatchRule state message info
  + heat engine : make WatchRule initial state NODATA
  + heat tests : test_watch add tests for set_watch_state
  + heat tests : test_watch add create_watch_data test
  + heat engine : make watchrule actions run in stack ThreadGroup
  + heat tests : Add WatchRule evaluate test
  + heat engine : watchrule save state when actions undefined
  + ReST API: Don't overwrite webob error messages
  + heat tests : test_watch remove logging
  + ReST API: Return 400 for malformed JSON input
  + Typo error, "requied" -> "required" in run_tests.sh
* Wed Jan 23 2013 saschpe@suse.de
- Clean up %%config(noreplace), only logrotate config and *.conf
  files should be noreplace
* Mon Jan 21 2013 dmueller@suse.com
- Update to version grizzly.2.36.g55c9032dev+git.1358761814.55c9032:
  + openstack/common : rebase to latest oslo
  + heat tests : test_engine_service remove commented lines
  + heat engine : watchrule don't run rule for every SampleCount
  + heat templates : IHA enable cfn-hup
  + heat templates : fix IHA HeartbeatFailureAlarm during instance build
  + heat templates : IHA HeartbeatFailureAlarm should be Ref
  + heat templates : add missing credentials to IHA template
  + ReST API: Clean up exception-handling cruft
  + RPC API: Add a WatchRuleNotFound exception
  + RPC API: Add a PhysicalResourceNotFound exception
  + RPC API: Add a ResourceNotAvailable exception
  + RPC API: Add a ResourceNotFound exception
  + RPC API: Add a StackExists exception
  + RPC API: Add a StackNotFound exception
  + RPC API: Add an InvalidTenant exception
  + Prepare the groundwork for more exception types
  + Fix duplicate naming in unit tests
  + Get rid of unused initialisations in Resource
  + heat tests : remove debug print
  + Don't inherit from NestedStack
  + Move abstract nested stack class to separate file
  + Add a convenience method for deleting nested stacks
  + Only delete the flavors that the script will then replace.
  + Make pip-requires a little F18 friendlier
  + Remove instance in ERROR state after failed create
  + Remove extras dependency with a partial oslo sync.
  + heat engine : WaitCondition FnGetAtt return correct signal data
  + heat engine : Implement Count property for WaitCondition
  + heat engine : Add metadata validation to WaitConditionHandle
  + heat engine : implement metadata_update per-resource
  + Add auth middleware for custom cloud backend
  + Add configurable cloud backend
  + Trivial commit to make daily rpm builds work again.
  + heat engine : DBInstance don't pass credentials to cfn-init
  + heat engine : LoadBalancer resource delete nested stack
  + heat engine : DBInstance fix so nested stack is deleted
  + heat engine : allow NestedStack template validation to work
  + heat engine : ensure create thread exits on stack delete
  + Handle different cloud-init versions gracefully
  + Add missing files to generated tarballs
  + heat tests : remove unused get_sftp_client()
  + heat tests : remove pointless get_ssh_client
  + heat engine : map DBInstance DBSecurityGroups parameter correctly
  + heat tests : functional tests align eip output with Folsom
  + Turn off tag_date on branch master
  + heat tests : CFN_API functional tests NoEcho Parameters fix
  + heat tests : functional tests remove erroneous finally clause
  + heat tests : convert stack ID to uuid format
  + heat tests : functional tests poll_glance cleanup
  + heat tests : convert functional tests to folsom glanceclient
  + Use correct stack_id arg name for metadata_update()
  + On master branch, tag tarballs as dev snapshots
  + RPC API: Simplify describe_stack_resources call
  + Use the new find_physical_resource RPC call
  + RPC API: Add a separate find_physical_resource call
  + CFN API: Fix DescribeStackResources with physical ID
  + Handle duplicate physical resources IDs
  + RPC API: Clean up list_events results
  + RPC API: Clean up list_stacks results
  + RPC API: Clean up show_stack results
  + Include new doc directory
  + run_tests.sh fixup venv/novenv logic
  + run_tests.sh cosmetic, make if/then style consistent
  + run_tests.sh cosmetic cleanup indents
  + update tox.ini to pep8 latest (1.3.4)
  + heat cleanups to align unit tests with pep8 1.3.4
  + heat cleanups to align functional tests with pep8 1.3.4
  + heat cleanups to align with pep8 1.3.4
  + Fix DescribeStacks command for all stacks
  + ReST API: Improve format of resource_types response
  + Return an ARN as the Ref for nested stacks
  + Split nested stack implementation into abstract and concrete
  + Avoid logging.getChild for python2.6 compatibility
  + RPC API: Pass a stack identifier to metadata_update
  + Pass correct types in RPC Client unit tests
  + Update links in composed templates
* Wed Dec 19 2012 saschpe@suse.de
- Use macro %%openstack_sphinx_build_manpages_only
- Adapt new runtime requirements
* Wed Dec 19 2012 saschpe@suse.de
- Update to version 2013.1+git.1355917108.c477779:
  + A new documention structure, ready for contributions
  + pip-requires PyCrypto should be >= 2.1.0
  + Add support for missing Instance attributes PrivateIp and PublicDnsName.
  + GettingStarted: Install python-pip package
  + Fix issues with deleting a WaitCondition
  + Fix importing of novaclient exceptions
  + tools/openstack_ubuntu fix nova-manage network create command
  + Handle empty UserData for instance
  + Make resource registration conditional
  + Add a resource type list to the ReST API
  + Add an RPC API to list resource types
  + Standardise client imports
  + Fix ReST API documentation for template validation
  + install.sh non-root error should go to stderr
  + install.sh add logic detecting rabbitmq
  + tools/openstack fixup header formatting
  + Add ubuntu version of tools/openstack
  + install.sh simplify heat-engine.conf conditional
  + Remove heat-metadata man page
  + Get rid of naked "except:" clauses in tests
  + Don't skip watchrule test on exception
  + Get rid of unused imports
  + Get rid of nose.main() in unit test files
  + heat_keystoneclient ec2 user fix
  + Move the cfn client code to a subpackage
  + heat cfn api, format waitcondition error responses correctly
  + Override events for AutoScalingGroup instances
  + resource state_set, abstract update/store logic
  + Don't allow identifiers with slashes
  + Don't allow slashes in Stack or Resource names
  + Move resolved template comparison to stack update
  + Fix race condition in list_stacks
  + Get rid of glanceclient dependency
  + heat engine : convert WaitConditionHandle URL to ARN format
  + heat : Add HeatIdentifier from_url function
  + Eventlet monkey-patch heat-api-cloudwatch.
  + Eventlet monkey-patch heat-api-cfn
  + Eventlet monkey-patch heat-api
  + Add test to simply run a few binaries
  + Switch over missed file in version switch
  + Don't pass -1 as a stack_id in unit tests
  + Make Volume tests independent
  + Clean up the volume test
  + Fix Instance unit tests
  + Add back catch_error which is used for CLI errors
  + Switch to openstack style versioning
  + Update openstack-common to get newly fixed version.py
  + heat-db-setup read engine config file for DB connection details
  + Don't get nested stacks by name
  + Fix exception handling in AccessKey fetching
  + Move utils.py to a more appropriate location
  + Get rid of leftover heat-jeos code in utils
  + Get rid of pointless cloudformation.py file
  + Get rid of the cfn_helper tests
  + Enable VPC unit tests
  + Enable Quantum unit tests
  + Get rid of naked except: clauses
  + heat : Update getting started wiki links
  + heat : Clarify openstack versions for Fedora releases
  + heat : Update repositiory in getting started guide
  + Add version.py from openstack-common
  + Do not wrap exceptions during quantum resource delete
  + Update openstack-common
  + Use common implementation for fetching templates
  + Add a common implementation for fetching a URL
  + Pass string to template_format.parse()
  + Resource.__eq__ allow resources in different stacks
  + Fix importing of quantum resources subpackage
  + Do the same install_requires as other projects
  + Install extras during pip install; fixes devstack
  + heat remove unused config options
  + heat getting started, add pip install extras
  + heat engine : remove KeystoneClient get_user_by_name
  + heat engine : Rework AccessKey to avoid keystone user lookup
  + Make sure heat uses its own control_exchange
  + Make default encryption key long enough for unit tests
  + Update the README with more current links
  + Add VPC resource implementation
  + Update .gitreview for org move.
  + Use pkgutil to load cloudinit data
  + Use module names as logger names
  + Add a plugin directory for Resources
  + Automatically register engine options
  + Move db crypto code out of the engine
  + Create a new heat.rpc package
  + Move template-format parsing code into common
  + Move the identifier module into heat.common
  + Remove gen(erate)_uuid from heat.common.utils
  + Remove is_uuid() from HeatIdentifier class
  + Use uuidutils from openstack-common
  + Add uuidutils from openstack-common
  + Update openstack-common
  + Remove heat-metadata service
  + heat engine : Convert WaitConditionHandle to pre-signed URLs
  + heat engine : subclass keystone client to encapsulate common code
  + Process engine config before initialisation
  + heat api : add waitcondition to cfn api
  + Add documentation on plugin_loader module
  + Lookup the class for an Instance in Autoscaling
  + Refactor autoscaling Instance creation
  + Load resources dynamically
  + Add a module for dynamically loading plugins
  + Distribute resource mapping to individual modules
  + Move the resource module out of the resources package
  + Remove YAML template trailing spaces
  + Convert some existing templates to YAML format.
  + For Fn::Join join strings in resolve_static_data
  + Set default empty dicts for missing sections
  + Don't assume parsed JSON in REST API.
  + cfn-json2yaml file-mode bugfix
  + pip-requires fix boto version
* Wed Dec  5 2012 saschpe@suse.de
- Use @PARENT_TAG@ in _service file to automate versioning
* Mon Nov 26 2012 saschpe@suse.de
- Add logrotate config
* Mon Nov 26 2012 saschpe@suse.de
- Initial version
